Low Specs Experience v13.0.8 - 2025-10-24
• Added maximum performance optimization for Dying Light: The Beast
• Added maximum performance optimization for F1 25
• Added optimized settings for Dying Light: The Beast
• Added optimized settings for F1 25
• Tweaked maximum performance optimization for Dying Light
• Tweaked maximum performance optimization for Dying Light 2 Stay Human
• Tweaked maximum performance optimization for F1 22
• Tweaked maximum performance optimization for F1 23
• Tweaked maximum performance optimization for F1 24
• Tweaked maximum performance optimization for Returnal
• Tweaked maximum performance optimization for Sword and Fairy 7
• Tweaked maximum performance optimization for The Elder Scrolls 4: Oblivion Remastered
• Tweaked maximum performance optimization for The Quarry
• Tweaked optimized settings for Dying Light
• Tweaked optimized settings for Dying Light 2 Stay Human
• Tweaked optimized settings for F1 22
• Tweaked optimized settings for F1 23
• Tweaked optimized settings for F1 24
• Tweaked optimized settings for Returnal
• Tweaked optimized settings for Sword and Fairy 7
• Tweaked optimized settings for The Elder Scrolls 4: Oblivion Remastered
• Tweaked optimized settings for The Quarry

Low Specs Experience v13.0.7 - 2025-10-17
• [BACK-END] Refined game detection and optimization API (gen_5_update_3)
• Tweaked maximum performance optimization for Avowed
• Tweaked maximum performance optimization for Silent Hill f (2025)
• Tweaked optimized settings for Avowed
• Tweaked optimized settings for Silent Hill f (2025)

Low Specs Experience v13.0.6 - 2025-10-17
• [BACK-END] Refined game detection and optimization API (gen_5_update_2)
• Added maximum performance optimization for EA Sports FC 26
• Added maximum performance optimization for Hell is Us (2025)
• Added maximum performance optimization for Little Nightmares 2 Enhanced Edition
• Added maximum performance optimization for Little Nightmares 3 (2025)
• Added maximum performance optimization for Little Nightmares Enhanced Edition
• Added maximum performance optimization for Lost Soul Aside (2025)
• Added maximum performance optimization for Train Sim World 6
• Added optimized settings for EA Sports FC 26
• Added optimized settings for Hell is Us (2025)
• Added optimized settings for Little Nightmares 2 Enhanced Edition
• Added optimized settings for Little Nightmares 3 (2025)
• Added optimized settings for Little Nightmares Enhanced Edition
• Added optimized settings for Lost Soul Aside (2025)
• Added optimized settings for Train Sim World 6
• Tweaked maximum performance optimization for Grand Theft Auto 3 - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked maximum performance optimization for High on Life
• Tweaked maximum performance optimization for Train Sim World 2
• Tweaked maximum performance optimization for Train Sim World 2020
• Tweaked maximum performance optimization for Train Sim World 3
• Tweaked maximum performance optimization for Train Sim World 4
• Tweaked maximum performance optimization for Train Sim World 5
• Tweaked maximum performance optimization for Until Dawn (2024)
• Tweaked optimized settings for Grand Theft Auto 3 - The Definitive Edition
• Tweaked optimized settings for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked optimized settings for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked optimized settings for High on Life
• Tweaked optimized settings for Train Sim World 2
• Tweaked optimized settings for Train Sim World 2020
• Tweaked optimized settings for Train Sim World 3
• Tweaked optimized settings for Train Sim World 4
• Tweaked optimized settings for Train Sim World 5
• Tweaked optimized settings for Until Dawn (2024)
• Updated game detection protocol for Little Nightmares
• Updated game detection protocol for Little Nightmares 2

Low Specs Experience v13.0.5 - 2025-09-10
• Tweaked maximum performance optimization for Silent Hill f (2025)
• Tweaked optimized settings for Silent Hill f (2025)
• Updated game detection protocol for F1 Manager 2024
• Updated game detection protocol for Gears of War: Reloaded (2025)

Low Specs Experience v13.0.4 - 2025-09-10
• Added maximum performance optimization for Cronos: The New Dawn (2025)
• Added maximum performance optimization for Gears of War: Reloaded (2025)
• Added maximum performance optimization for Silent Hill f (2025)
• Added optimized settings for Cronos: The New Dawn (2025)
• Added optimized settings for Gears of War: Reloaded (2025)
• Added optimized settings for Silent Hill f (2025)
• Updated game detection protocol for Dishonored 2
• Updated game detection protocol for Dishonored: Death of the Outsider

Low Specs Experience v13.0.3 - 2025-10-01
• Tweaked maximum performance optimization for Call of Juarez (2006)
• Tweaked maximum performance optimization for eFootball
• Tweaked maximum performance optimization for The Eternal Cylinder
• Tweaked optimized settings for eFootball
• Tweaked optimized settings for The Eternal Cylinder
• Updated game detection protocol for Call of Juarez (2006)

Low Specs Experience v13.0.2 - 2025-09-29
• [BACK-END] Refined game detection and optimization API (gen_5_update_1)
• Tweaked maximum performance optimization for Anno 1800
• Tweaked maximum performance optimization for Anno 2205
• Tweaked maximum performance optimization for Clair Obscur: Expedition 33
• Tweaked maximum performance optimization for RoboCop: Rogue City
• Tweaked maximum performance optimization for RoboCop: Rogue City - Unfinished Business
• Tweaked maximum performance optimization for The Sinking City Remastered
• Tweaked optimized settings for Anno 1800
• Tweaked optimized settings for Anno 2205
• Tweaked optimized settings for Clair Obscur: Expedition 33
• Tweaked optimized settings for RoboCop: Rogue City
• Tweaked optimized settings for RoboCop: Rogue City - Unfinished Business
• Tweaked optimized settings for The Sinking City Remastered

Low Specs Experience v13.0.1 - 2025-09-28
• [UI-UX] Refined user interface (gen_5_update_1)

Low Specs Experience v13.0.0 - 2025-09-24
• [BACK-END] Refined game detection and optimization API (gen_5_initial)
• [BACK-END] Refined ReSwitch add-on (gen_5_initial)
• [UI-UX] Refined user interface (gen_5_initial)

Low Specs Experience v12.9.2 - 2025-10-01
• Tweaked maximum performance optimization for Call of Juarez (2006)
• Tweaked maximum performance optimization for eFootball
• Tweaked maximum performance optimization for The Eternal Cylinder
• Tweaked optimized settings for eFootball
• Tweaked optimized settings for The Eternal Cylinder
• Updated game detection protocol for Call of Juarez (2006)

Low Specs Experience v12.9.1 - 2025-09-29
• Tweaked maximum performance optimization for Anno 1800
• Tweaked maximum performance optimization for Anno 2205
• Tweaked maximum performance optimization for Clair Obscur: Expedition 33
• Tweaked maximum performance optimization for RoboCop: Rogue City
• Tweaked maximum performance optimization for RoboCop: Rogue City - Unfinished Business
• Tweaked maximum performance optimization for The Sinking City Remastered
• Tweaked optimized settings for Anno 1800
• Tweaked optimized settings for Anno 2205
• Tweaked optimized settings for Clair Obscur: Expedition 33
• Tweaked optimized settings for RoboCop: Rogue City
• Tweaked optimized settings for RoboCop: Rogue City - Unfinished Business
• Tweaked optimized settings for The Sinking City Remastered

Low Specs Experience v12.9.0 - 2025-09-28
• [UI-UX] Refined user interface (gen_4_update_23)

Low Specs Experience v12.8.9 - 2025-09-23
• [BACK-END] Refined game detection and optimization API (gen_4_update_21)
• [UI-UX] Refined user interface (gen_4_update_22)

Low Specs Experience v12.8.8 - 2025-09-05
• [BACK-END] Refined game detection and optimization API (gen_4_update_20)
• [UI-UX] Refined user interface (gen_4_update_21)
• Tweaked maximum performance optimization for Alan Wake Remastered
• Tweaked maximum performance optimization for Alien: Isolation
• Tweaked maximum performance optimization for Ancestors: The Humankind Odyssey
• Tweaked maximum performance optimization for Bakery Simulator
• Tweaked maximum performance optimization for Big Earth
• Tweaked maximum performance optimization for Biomutant
• Tweaked maximum performance optimization for Blair Witch
• Tweaked maximum performance optimization for Bloodstained: Ritual of the Night
• Tweaked maximum performance optimization for Bright Memory
• Tweaked maximum performance optimization for Bright Memory: Infinite
• Tweaked maximum performance optimization for Call of Cthulhu
• Tweaked maximum performance optimization for Call of Duty: Black Ops 2 (2012)
• Tweaked maximum performance optimization for Clair Obscur: Expedition 33
• Tweaked maximum performance optimization for Close to the Sun
• Tweaked maximum performance optimization for Crysis 2 Remastered
• Tweaked maximum performance optimization for Crysis Remastered
• Tweaked maximum performance optimization for Darksiders
• Tweaked maximum performance optimization for Darksiders 2
• Tweaked maximum performance optimization for Darksiders 2: Deathinitive Edition
• Tweaked maximum performance optimization for Darksiders Warmastered Edition
• Tweaked maximum performance optimization for Daymare: 1994 Sandcastle
• Tweaked maximum performance optimization for Daymare: 1998
• Tweaked maximum performance optimization for Dead Island Definitive Edition
• Tweaked maximum performance optimization for Dead Island: Riptide Definitive Edition
• Tweaked maximum performance optimization for Devil May Cry 5
• Tweaked maximum performance optimization for Dragon Age: Inquisition
• Tweaked maximum performance optimization for Effie
• Tweaked maximum performance optimization for eFootball
• Tweaked maximum performance optimization for eFootball PES 2020
• Tweaked maximum performance optimization for eFootball PES 2021 Season Update
• Tweaked maximum performance optimization for Empire of the Ants (2024)
• Tweaked maximum performance optimization for Esse Proxy
• Tweaked maximum performance optimization for F1 Manager 2022
• Tweaked maximum performance optimization for F1 Manager 2023
• Tweaked maximum performance optimization for F1 Manager 2024
• Tweaked maximum performance optimization for Fade to Silence
• Tweaked maximum performance optimization for Food Truck Simulator
• Tweaked maximum performance optimization for Friday the 13th: The Game
• Tweaked maximum performance optimization for Ghostwire: Tokyo
• Tweaked maximum performance optimization for Goat Simulator 3
• Tweaked maximum performance optimization for Grand Theft Auto 4: The Complete Edition
• Tweaked maximum performance optimization for GreedFall
• Tweaked maximum performance optimization for Halo: The Master Chief Collection
• Tweaked maximum performance optimization for High on Life
• Tweaked maximum performance optimization for Just Cause 2
• Tweaked maximum performance optimization for Mafia 2 (Classic)
• Tweaked maximum performance optimization for Mafia 2: Definitive Edition
• Tweaked maximum performance optimization for Mafia 3
• Tweaked maximum performance optimization for Mafia 3: Definitive Edition
• Tweaked maximum performance optimization for Mafia: Definitive Edition
• Tweaked maximum performance optimization for Martha Is Dead
• Tweaked maximum performance optimization for Mega Man 11
• Tweaked maximum performance optimization for Mirror's Edge Catalyst
• Tweaked maximum performance optimization for Need for Speed Unbound
• Tweaked maximum performance optimization for Outlast 2
• Tweaked maximum performance optimization for Payday 2
• Tweaked maximum performance optimization for Payday: The Heist
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked maximum performance optimization for Pro Evolution Soccer 2010
• Tweaked maximum performance optimization for Pro Evolution Soccer 2011
• Tweaked maximum performance optimization for Pro Evolution Soccer 2012
• Tweaked maximum performance optimization for Pro Evolution Soccer 2013
• Tweaked maximum performance optimization for Pro Evolution Soccer 2014
• Tweaked maximum performance optimization for Pro Evolution Soccer 2015
• Tweaked maximum performance optimization for Pro Evolution Soccer 2016
• Tweaked maximum performance optimization for Pro Evolution Soccer 2017
• Tweaked maximum performance optimization for Pro Evolution Soccer 2018
• Tweaked maximum performance optimization for Pro Evolution Soccer 2019
• Tweaked maximum performance optimization for Red Dead Redemption
• Tweaked maximum performance optimization for Returnal
• Tweaked maximum performance optimization for Rune 2
• Tweaked maximum performance optimization for Ryse: Son of Rome
• Tweaked maximum performance optimization for Sackboy: A Big Adventure
• Tweaked maximum performance optimization for Scorn
• Tweaked maximum performance optimization for Sea of Solitude
• Tweaked maximum performance optimization for Senua's Saga: Hellblade 2
• Tweaked maximum performance optimization for Shadow Warrior 3
• Tweaked maximum performance optimization for Shenmue 3
• Tweaked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Tweaked maximum performance optimization for Star Wars Battlefront (2015)
• Tweaked maximum performance optimization for Star Wars Jedi: Fallen Order
• Tweaked maximum performance optimization for Star Wars Jedi: Survivor
• Tweaked maximum performance optimization for Star Wars: Squadrons
• Tweaked maximum performance optimization for Submerged: Hidden Depths
• Tweaked maximum performance optimization for Sunset Overdrive
• Tweaked maximum performance optimization for Tell Me Why
• Tweaked maximum performance optimization for The Callisto Protocol
• Tweaked maximum performance optimization for The Elder Scrolls 4: Oblivion Remastered
• Tweaked maximum performance optimization for The Evil Within 2
• Tweaked maximum performance optimization for The Last Oricru
• Tweaked maximum performance optimization for The Quarry
• Tweaked maximum performance optimization for Trek to Yomi
• Tweaked maximum performance optimization for Until Dawn (2024)
• Tweaked maximum performance optimization for Visage
• Tweaked maximum performance optimization for Wolfenstein: The New Order
• Tweaked maximum performance optimization for Wolfenstein: The Old Blood
• Tweaked optimized settings for Alan Wake Remastered
• Tweaked optimized settings for Alien: Isolation
• Tweaked optimized settings for Ancestors: The Humankind Odyssey
• Tweaked optimized settings for Bakery Simulator
• Tweaked optimized settings for Big Earth
• Tweaked optimized settings for Biomutant
• Tweaked optimized settings for Blair Witch
• Tweaked optimized settings for Bloodstained: Ritual of the Night
• Tweaked optimized settings for Bright Memory
• Tweaked optimized settings for Bright Memory: Infinite
• Tweaked optimized settings for Call of Cthulhu
• Tweaked optimized settings for Call of Duty: Black Ops 2 (2012)
• Tweaked optimized settings for Clair Obscur: Expedition 33
• Tweaked optimized settings for Close to the Sun
• Tweaked optimized settings for Crysis 2 Remastered
• Tweaked optimized settings for Crysis Remastered
• Tweaked optimized settings for Darksiders
• Tweaked optimized settings for Darksiders 2
• Tweaked optimized settings for Darksiders 2: Deathinitive Edition
• Tweaked optimized settings for Darksiders Warmastered Edition
• Tweaked optimized settings for Daymare: 1994 Sandcastle
• Tweaked optimized settings for Daymare: 1998
• Tweaked optimized settings for Dead Island Definitive Edition
• Tweaked optimized settings for Dead Island: Riptide Definitive Edition
• Tweaked optimized settings for Devil May Cry 5
• Tweaked optimized settings for Dragon Age: Inquisition
• Tweaked optimized settings for Effie
• Tweaked optimized settings for eFootball
• Tweaked optimized settings for eFootball PES 2020
• Tweaked optimized settings for eFootball PES 2021 Season Update
• Tweaked optimized settings for Empire of the Ants (2024)
• Tweaked optimized settings for Esse Proxy
• Tweaked optimized settings for F1 Manager 2022
• Tweaked optimized settings for F1 Manager 2023
• Tweaked optimized settings for F1 Manager 2024
• Tweaked optimized settings for Fade to Silence
• Tweaked optimized settings for Food Truck Simulator
• Tweaked optimized settings for Friday the 13th: The Game
• Tweaked optimized settings for Ghostwire: Tokyo
• Tweaked optimized settings for Goat Simulator 3
• Tweaked optimized settings for Grand Theft Auto 4: The Complete Edition
• Tweaked optimized settings for GreedFall
• Tweaked optimized settings for Halo: The Master Chief Collection
• Tweaked optimized settings for High on Life
• Tweaked optimized settings for Just Cause 2
• Tweaked optimized settings for Mafia 2 (Classic)
• Tweaked optimized settings for Mafia 2: Definitive Edition
• Tweaked optimized settings for Mafia 3
• Tweaked optimized settings for Mafia 3: Definitive Edition
• Tweaked optimized settings for Mafia: Definitive Edition
• Tweaked optimized settings for Martha Is Dead
• Tweaked optimized settings for Mega Man 11
• Tweaked optimized settings for Mirror's Edge Catalyst
• Tweaked optimized settings for Need for Speed Unbound
• Tweaked optimized settings for Outlast 2
• Tweaked optimized settings for Payday 2
• Tweaked optimized settings for Payday: The Heist
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Tweaked optimized settings for Pro Evolution Soccer 2010
• Tweaked optimized settings for Pro Evolution Soccer 2011
• Tweaked optimized settings for Pro Evolution Soccer 2012
• Tweaked optimized settings for Pro Evolution Soccer 2013
• Tweaked optimized settings for Pro Evolution Soccer 2014
• Tweaked optimized settings for Pro Evolution Soccer 2015
• Tweaked optimized settings for Pro Evolution Soccer 2016
• Tweaked optimized settings for Pro Evolution Soccer 2017
• Tweaked optimized settings for Pro Evolution Soccer 2018
• Tweaked optimized settings for Pro Evolution Soccer 2019
• Tweaked optimized settings for Red Dead Redemption
• Tweaked optimized settings for Returnal
• Tweaked optimized settings for Rune 2
• Tweaked optimized settings for Ryse: Son of Rome
• Tweaked optimized settings for Sackboy: A Big Adventure
• Tweaked optimized settings for Scorn
• Tweaked optimized settings for Sea of Solitude
• Tweaked optimized settings for Senua's Saga: Hellblade 2
• Tweaked optimized settings for Shadow Warrior 3
• Tweaked optimized settings for Shenmue 3
• Tweaked optimized settings for Star Wars Battlefront 2 (2017)
• Tweaked optimized settings for Star Wars Battlefront (2015)
• Tweaked optimized settings for Star Wars Jedi: Fallen Order
• Tweaked optimized settings for Star Wars Jedi: Survivor
• Tweaked optimized settings for Star Wars: Squadrons
• Tweaked optimized settings for Submerged: Hidden Depths
• Tweaked optimized settings for Sunset Overdrive
• Tweaked optimized settings for Tell Me Why
• Tweaked optimized settings for The Callisto Protocol
• Tweaked optimized settings for The Elder Scrolls 4: Oblivion Remastered
• Tweaked optimized settings for The Evil Within 2
• Tweaked optimized settings for The Last Oricru
• Tweaked optimized settings for The Quarry
• Tweaked optimized settings for Trek to Yomi
• Tweaked optimized settings for Until Dawn (2024)
• Tweaked optimized settings for Visage
• Tweaked optimized settings for Wolfenstein: The New Order
• Tweaked optimized settings for Wolfenstein: The Old Blood
• Updated game detection protocol for Alien: Isolation
• Updated game detection protocol for Alone in the Dark (2024)
• Updated game detection protocol for Clair Obscur: Expedition 33
• Updated game detection protocol for Dragon Age: Inquisition
• Updated game detection protocol for Mirror's Edge Catalyst
• Updated game detection protocol for Need for Speed Unbound
• Updated game detection protocol for Plants vs. Zombies: Garden Warfare
• Updated game detection protocol for Plants vs. Zombies: Garden Warfare 2
• Updated game detection protocol for Prey (2017)
• Updated game detection protocol for Shenmue 3
• Updated game detection protocol for Star Wars Battlefront 2 (2017)
• Updated game detection protocol for Star Wars Battlefront (2015)
• Updated game detection protocol for Star Wars: Squadrons

Low Specs Experience v12.8.7 - 2025-09-02
• Tweaked maximum performance optimization for Call of Duty: Advanced Warfare (2014)
• Tweaked maximum performance optimization for Call of Duty: Black Ops (2010)
• Tweaked maximum performance optimization for Call of Duty: Ghosts (2013)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 2 (2009)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 3 (2011)
• Tweaked maximum performance optimization for Call of Duty: World at War (2008)
• Tweaked maximum performance optimization for Cyberpunk 2077
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked optimized settings for Call of Duty: Advanced Warfare (2014)
• Tweaked optimized settings for Call of Duty: Black Ops (2010)
• Tweaked optimized settings for Call of Duty: Ghosts (2013)
• Tweaked optimized settings for Call of Duty: Modern Warfare 2 (2009)
• Tweaked optimized settings for Call of Duty: Modern Warfare 3 (2011)
• Tweaked optimized settings for Call of Duty: World at War (2008)
• Tweaked optimized settings for Cyberpunk 2077
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Updated game detection protocol for Cyberpunk 2077

Low Specs Experience v12.8.6 - 2025-09-01
• Reworked maximum performance optimization for Dead Island Definitive Edition
• Reworked maximum performance optimization for Dead Island: Riptide Definitive Edition
• Reworked maximum performance optimization for Dying Light
• Tweaked maximum performance optimization for Call of Duty 4: Modern Warfare (2007)
• Tweaked maximum performance optimization for Call of Duty: Advanced Warfare (2014)
• Tweaked maximum performance optimization for Call of Duty: Black Ops 2 (2012)
• Tweaked maximum performance optimization for Call of Duty: Black Ops 3 (2015)
• Tweaked maximum performance optimization for Call of Duty: Black Ops 4 (2018)
• Tweaked maximum performance optimization for Call of Duty: Black Ops 6 (2024)
• Tweaked maximum performance optimization for Call of Duty: Black Ops (2010)
• Tweaked maximum performance optimization for Call of Duty: Black Ops Cold War (2020)
• Tweaked maximum performance optimization for Call of Duty: Ghosts (2013)
• Tweaked maximum performance optimization for Call of Duty: Infinite Warfare (2016)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 2 (2009)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 2 (2022)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 3 (2011)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 3 (2023)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare (2019)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare Remastered (2016)
• Tweaked maximum performance optimization for Call of Duty: Vanguard (2021)
• Tweaked maximum performance optimization for Call of Duty: Warzone (2025)
• Tweaked maximum performance optimization for Call of Duty: World at War (2008)
• Tweaked maximum performance optimization for Call of Duty: World War 2 (2017)
• Tweaked maximum performance optimization for Dead Island Definitive Edition
• Tweaked maximum performance optimization for Dead Island: Riptide Definitive Edition
• Tweaked maximum performance optimization for Dying Light 2 Stay Human
• Tweaked maximum performance optimization for Forza Motorsport (2023)
• Tweaked maximum performance optimization for Mafia 2 (Classic)
• Tweaked maximum performance optimization for Mafia 2: Definitive Edition
• Tweaked maximum performance optimization for Mafia: Definitive Edition
• Tweaked maximum performance optimization for Senua's Saga: Hellblade 2
• Tweaked maximum performance optimization for Starfield
• Tweaked optimized settings for Call of Duty 4: Modern Warfare (2007)
• Tweaked optimized settings for Call of Duty: Advanced Warfare (2014)
• Tweaked optimized settings for Call of Duty: Black Ops 2 (2012)
• Tweaked optimized settings for Call of Duty: Black Ops 3 (2015)
• Tweaked optimized settings for Call of Duty: Black Ops 4 (2018)
• Tweaked optimized settings for Call of Duty: Black Ops 6 (2024)
• Tweaked optimized settings for Call of Duty: Black Ops (2010)
• Tweaked optimized settings for Call of Duty: Black Ops Cold War (2020)
• Tweaked optimized settings for Call of Duty: Ghosts (2013)
• Tweaked optimized settings for Call of Duty: Infinite Warfare (2016)
• Tweaked optimized settings for Call of Duty: Modern Warfare 2 (2009)
• Tweaked optimized settings for Call of Duty: Modern Warfare 2 (2022)
• Tweaked optimized settings for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• Tweaked optimized settings for Call of Duty: Modern Warfare 3 (2011)
• Tweaked optimized settings for Call of Duty: Modern Warfare 3 (2023)
• Tweaked optimized settings for Call of Duty: Modern Warfare (2019)
• Tweaked optimized settings for Call of Duty: Modern Warfare Remastered (2016)
• Tweaked optimized settings for Call of Duty: Vanguard (2021)
• Tweaked optimized settings for Call of Duty: Warzone (2025)
• Tweaked optimized settings for Call of Duty: World at War (2008)
• Tweaked optimized settings for Call of Duty: World War 2 (2017)
• Tweaked optimized settings for Dead Island Definitive Edition
• Tweaked optimized settings for Dead Island: Riptide Definitive Edition
• Tweaked optimized settings for Dying Light
• Tweaked optimized settings for Dying Light 2 Stay Human
• Tweaked optimized settings for Forza Motorsport (2023)
• Tweaked optimized settings for Mafia 2 (Classic)
• Tweaked optimized settings for Mafia 2: Definitive Edition
• Tweaked optimized settings for Mafia: Definitive Edition
• Tweaked optimized settings for Senua's Saga: Hellblade 2
• Tweaked optimized settings for Starfield
• Updated game detection protocol for Call of Duty 4: Modern Warfare (2007)
• Updated game detection protocol for Call of Duty: Advanced Warfare (2014)
• Updated game detection protocol for Call of Duty: Black Ops 2 (2012)
• Updated game detection protocol for Call of Duty: Black Ops 3 (2015)
• Updated game detection protocol for Call of Duty: Black Ops 4 (2018)
• Updated game detection protocol for Call of Duty: Black Ops 6 (2024)
• Updated game detection protocol for Call of Duty: Black Ops (2010)
• Updated game detection protocol for Call of Duty: Black Ops Cold War (2020)
• Updated game detection protocol for Call of Duty: Ghosts (2013)
• Updated game detection protocol for Call of Duty: Infinite Warfare (2016)
• Updated game detection protocol for Call of Duty: Modern Warfare 2 (2009)
• Updated game detection protocol for Call of Duty: Modern Warfare 2 (2022)
• Updated game detection protocol for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• Updated game detection protocol for Call of Duty: Modern Warfare 3 (2011)
• Updated game detection protocol for Call of Duty: Modern Warfare 3 (2023)
• Updated game detection protocol for Call of Duty: Modern Warfare (2019)
• Updated game detection protocol for Call of Duty: Modern Warfare Remastered (2016)
• Updated game detection protocol for Call of Duty: Vanguard (2021)
• Updated game detection protocol for Call of Duty: Warzone (2025)
• Updated game detection protocol for Call of Duty: World at War (2008)
• Updated game detection protocol for Call of Duty: World War 2 (2017)
• Updated game detection protocol for Call of Juarez (2006)
• Updated game detection protocol for Call of Juarez: Bound in Blood
• Updated game detection protocol for Call of Juarez: Gunslinger
• Updated game detection protocol for Call of Juarez: The Cartel
• Updated game detection protocol for Dead Island Definitive Edition
• Updated game detection protocol for Dead Island: Riptide Definitive Edition
• Updated game detection protocol for Dying Light
• Updated game detection protocol for Dying Light 2 Stay Human
• Updated game detection protocol for Forza Motorsport (2023)
• Updated game detection protocol for Senua's Saga: Hellblade 2
• Updated game detection protocol for Sniper: Ghost Warrior
• Updated game detection protocol for Starfield

Low Specs Experience v12.8.5 - 2025-08-22
• Added maximum performance optimization for Call of Juarez (2006)
• Added optimized settings for Call of Juarez (2006)
• Reworked maximum performance optimization for Anno 2070
• Reworked maximum performance optimization for Anno 2205
• Reworked maximum performance optimization for Call of Juarez: Bound in Blood
• Reworked maximum performance optimization for Call of Juarez: Gunslinger
• Reworked maximum performance optimization for Call of Juarez: The Cartel
• Reworked maximum performance optimization for Dark Souls 2 (2014)
• Reworked maximum performance optimization for Dark Souls 2: Scholar of the First Sin
• Reworked maximum performance optimization for Dark Souls 3
• Reworked maximum performance optimization for Dark Souls Remastered
• Reworked maximum performance optimization for Dark Souls: Prepare to Die Edition (2012)
• Reworked maximum performance optimization for The Witcher 2: Assassins of Kings Enhanced Edition
• Tweaked maximum performance optimization for Anno 1800
• Tweaked maximum performance optimization for BioShock Infinite
• Tweaked maximum performance optimization for Borderlands 2
• Tweaked maximum performance optimization for Borderlands (2009)
• Tweaked maximum performance optimization for Borderlands: Game of the Year Enhanced (2019)
• Tweaked maximum performance optimization for Borderlands: The Pre-Sequel
• Tweaked maximum performance optimization for Crysis
• Tweaked maximum performance optimization for Crysis 2
• Tweaked maximum performance optimization for Crysis 2 Remastered
• Tweaked maximum performance optimization for Crysis 3
• Tweaked maximum performance optimization for Crysis 3 Remastered
• Tweaked maximum performance optimization for Crysis Remastered
• Tweaked maximum performance optimization for Crysis Warhead
• Tweaked maximum performance optimization for Dishonored 2
• Tweaked maximum performance optimization for Dishonored: Death of the Outsider
• Tweaked maximum performance optimization for eFootball
• Tweaked maximum performance optimization for Fallout 4
• Tweaked maximum performance optimization for Fallout 76
• Tweaked maximum performance optimization for Fallout: New Vegas
• Tweaked maximum performance optimization for Grand Theft Auto 5 Enhanced
• Tweaked maximum performance optimization for Guilty Gear Strive
• Tweaked maximum performance optimization for Homefront: The Revolution
• Tweaked maximum performance optimization for Kingdom Come: Deliverance
• Tweaked maximum performance optimization for Kingdom Come: Deliverance 2
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked maximum performance optimization for Sniper: Ghost Warrior
• Tweaked maximum performance optimization for Sniper: Ghost Warrior 2
• Tweaked maximum performance optimization for Sniper: Ghost Warrior 3
• Tweaked maximum performance optimization for Sniper: Ghost Warrior Contracts
• Tweaked maximum performance optimization for Sniper: Ghost Warrior Contracts 2
• Tweaked maximum performance optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Tweaked maximum performance optimization for Until Dawn (2024)
• Tweaked maximum performance optimization for Visage
• Tweaked optimized settings for Anno 1800
• Tweaked optimized settings for Anno 2070
• Tweaked optimized settings for Anno 2205
• Tweaked optimized settings for BioShock Infinite
• Tweaked optimized settings for Borderlands 2
• Tweaked optimized settings for Borderlands (2009)
• Tweaked optimized settings for Borderlands: Game of the Year Enhanced (2019)
• Tweaked optimized settings for Borderlands: The Pre-Sequel
• Tweaked optimized settings for Call of Juarez: Bound in Blood
• Tweaked optimized settings for Call of Juarez: Gunslinger
• Tweaked optimized settings for Call of Juarez: The Cartel
• Tweaked optimized settings for Crysis
• Tweaked optimized settings for Crysis 2
• Tweaked optimized settings for Crysis 2 Remastered
• Tweaked optimized settings for Crysis 3
• Tweaked optimized settings for Crysis 3 Remastered
• Tweaked optimized settings for Crysis Remastered
• Tweaked optimized settings for Crysis Warhead
• Tweaked optimized settings for Dark Souls 2 (2014)
• Tweaked optimized settings for Dark Souls 2: Scholar of the First Sin
• Tweaked optimized settings for Dark Souls 3
• Tweaked optimized settings for Dark Souls Remastered
• Tweaked optimized settings for Dark Souls: Prepare to Die Edition (2012)
• Tweaked optimized settings for Dishonored 2
• Tweaked optimized settings for Dishonored: Death of the Outsider
• Tweaked optimized settings for eFootball
• Tweaked optimized settings for Fallout 4
• Tweaked optimized settings for Fallout 76
• Tweaked optimized settings for Fallout: New Vegas
• Tweaked optimized settings for Grand Theft Auto 5 Enhanced
• Tweaked optimized settings for Guilty Gear Strive
• Tweaked optimized settings for Homefront: The Revolution
• Tweaked optimized settings for Kingdom Come: Deliverance
• Tweaked optimized settings for Kingdom Come: Deliverance 2
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Tweaked optimized settings for Sniper: Ghost Warrior
• Tweaked optimized settings for Sniper: Ghost Warrior 2
• Tweaked optimized settings for Sniper: Ghost Warrior 3
• Tweaked optimized settings for Sniper: Ghost Warrior Contracts
• Tweaked optimized settings for Sniper: Ghost Warrior Contracts 2
• Tweaked optimized settings for The Witcher 2: Assassins of Kings Enhanced Edition
• Tweaked optimized settings for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Tweaked optimized settings for Until Dawn (2024)
• Tweaked optimized settings for Visage
• Updated game detection protocol for BioShock Infinite
• Updated game detection protocol for Borderlands 2
• Updated game detection protocol for Borderlands (2009)
• Updated game detection protocol for Borderlands: Game of the Year Enhanced (2019)
• Updated game detection protocol for Borderlands: The Pre-Sequel
• Updated game detection protocol for Call of Juarez: Bound in Blood
• Updated game detection protocol for Call of Juarez: Gunslinger
• Updated game detection protocol for Call of Juarez: The Cartel
• Updated game detection protocol for Crysis
• Updated game detection protocol for Crysis 2
• Updated game detection protocol for Crysis 2 Remastered
• Updated game detection protocol for Crysis 3
• Updated game detection protocol for Crysis 3 Remastered
• Updated game detection protocol for Crysis Remastered
• Updated game detection protocol for Crysis Warhead
• Updated game detection protocol for Dark Souls 2 (2014)
• Updated game detection protocol for Dark Souls 2: Scholar of the First Sin
• Updated game detection protocol for Dark Souls 3
• Updated game detection protocol for Dark Souls Remastered
• Updated game detection protocol for Dark Souls: Prepare to Die Edition (2012)
• Updated game detection protocol for Deathloop
• Updated game detection protocol for Dishonored: Death of the Outsider
• Updated game detection protocol for eFootball
• Updated game detection protocol for Fallout 4
• Updated game detection protocol for Fallout 76
• Updated game detection protocol for Fallout: New Vegas
• Updated game detection protocol for Guilty Gear Strive
• Updated game detection protocol for Homefront: The Revolution
• Updated game detection protocol for Kingdom Come: Deliverance
• Updated game detection protocol for Kingdom Come: Deliverance 2
• Updated game detection protocol for Sniper: Ghost Warrior
• Updated game detection protocol for Sniper: Ghost Warrior 2
• Updated game detection protocol for Sniper: Ghost Warrior 3
• Updated game detection protocol for Sniper: Ghost Warrior Contracts
• Updated game detection protocol for Sniper: Ghost Warrior Contracts 2
• Updated game detection protocol for The Witcher 2: Assassins of Kings Enhanced Edition
• Updated game detection protocol for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Updated game detection protocol for Until Dawn (2024)
• Updated game detection protocol for Visage

Low Specs Experience v12.8.4 - 2025-08-16
• [BACK-END] Refined game detection and optimization API (gen_4_update_19)
• Reworked maximum performance optimization for I Am Alive
• Reworked maximum performance optimization for Tree of Savior
• Tweaked maximum performance optimization for Batman: Arkham Asylum - Game of the Year Edition
• Tweaked maximum performance optimization for Batman: Arkham City - Game of the Year Edition
• Tweaked maximum performance optimization for Batman: Arkham Knight
• Tweaked maximum performance optimization for Batman: Arkham Origins
• Tweaked maximum performance optimization for BioShock
• Tweaked maximum performance optimization for BioShock 2
• Tweaked maximum performance optimization for BioShock 2 Remastered
• Tweaked maximum performance optimization for BioShock Remastered
• Tweaked maximum performance optimization for Bulletstorm: Full Clip Edition
• Tweaked maximum performance optimization for Deceit
• Tweaked maximum performance optimization for Devil May Cry 5
• Tweaked maximum performance optimization for Dishonored
• Tweaked maximum performance optimization for Fortnite
• Tweaked maximum performance optimization for Goat Simulator
• Tweaked maximum performance optimization for Grand Theft Auto 4: The Complete Edition
• Tweaked maximum performance optimization for Grand Theft Auto 5 Enhanced
• Tweaked maximum performance optimization for Grand Theft Auto 5 Legacy
• Tweaked maximum performance optimization for Grand Theft Auto 5 Legacy (FiveM)
• Tweaked maximum performance optimization for Homefront
• Tweaked maximum performance optimization for Hunt: Showdown 1896
• Tweaked maximum performance optimization for Mafia 2 (Classic)
• Tweaked maximum performance optimization for Mafia 2: Definitive Edition
• Tweaked maximum performance optimization for Mafia 3
• Tweaked maximum performance optimization for Mafia 3: Definitive Edition
• Tweaked maximum performance optimization for Mafia: Definitive Edition
• Tweaked maximum performance optimization for Medal of Honor (2010)
• Tweaked maximum performance optimization for Metro 2033 (2010)
• Tweaked maximum performance optimization for Metro 2033 Redux (2014)
• Tweaked maximum performance optimization for Metro Exodus (2019)
• Tweaked maximum performance optimization for Metro Exodus Enhanced Edition (2021)
• Tweaked maximum performance optimization for Metro: Last Light (2013)
• Tweaked maximum performance optimization for Metro: Last Light Redux (2014)
• Tweaked maximum performance optimization for Mirror's Edge
• Tweaked maximum performance optimization for Murdered: Soul Suspect
• Tweaked maximum performance optimization for Outlast
• Tweaked maximum performance optimization for Outlast 2
• Tweaked maximum performance optimization for Prey (2017)
• Tweaked maximum performance optimization for Rage
• Tweaked maximum performance optimization for Rage 2
• Tweaked maximum performance optimization for Red Dead Redemption
• Tweaked maximum performance optimization for Red Dead Redemption 2
• Tweaked maximum performance optimization for Remember Me
• Tweaked maximum performance optimization for Rocket League
• Tweaked maximum performance optimization for Ryse: Son of Rome
• Tweaked maximum performance optimization for Saints Row: The Third (2011)
• Tweaked maximum performance optimization for Sea of Thieves
• Tweaked maximum performance optimization for The Bureau: XCOM Declassified
• Tweaked maximum performance optimization for The Finals
• Tweaked maximum performance optimization for The Texas Chain Saw Massacre
• Tweaked maximum performance optimization for The Witcher 3: Wild Hunt Classic (2015)
• Tweaked maximum performance optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• Tweaked maximum performance optimization for Titanfall 2
• Tweaked maximum performance optimization for Tom Clancy's Splinter Cell: Conviction
• Tweaked maximum performance optimization for Watch Dogs
• Tweaked maximum performance optimization for Watch Dogs 2
• Tweaked maximum performance optimization for Watch Dogs: Legion
• Tweaked maximum performance optimization for Wolfenstein 2: The New Colossus
• Tweaked maximum performance optimization for Wolfenstein: The New Order
• Tweaked maximum performance optimization for Wolfenstein: The Old Blood
• Tweaked maximum performance optimization for Wolfenstein: Youngblood
• Tweaked maximum performance optimization for World of Warcraft
• Tweaked maximum performance optimization for World War Z
• Tweaked optimized settings for Batman: Arkham Asylum - Game of the Year Edition
• Tweaked optimized settings for Batman: Arkham City - Game of the Year Edition
• Tweaked optimized settings for Batman: Arkham Knight
• Tweaked optimized settings for Batman: Arkham Origins
• Tweaked optimized settings for BioShock
• Tweaked optimized settings for BioShock 2
• Tweaked optimized settings for BioShock 2 Remastered
• Tweaked optimized settings for BioShock Remastered
• Tweaked optimized settings for Bulletstorm: Full Clip Edition
• Tweaked optimized settings for Clair Obscur: Expedition 33
• Tweaked optimized settings for Deceit
• Tweaked optimized settings for Devil May Cry 5
• Tweaked optimized settings for Dishonored
• Tweaked optimized settings for Fortnite
• Tweaked optimized settings for Goat Simulator
• Tweaked optimized settings for Grand Theft Auto 4: The Complete Edition
• Tweaked optimized settings for Grand Theft Auto 5 Enhanced
• Tweaked optimized settings for Grand Theft Auto 5 Legacy
• Tweaked optimized settings for Grand Theft Auto 5 Legacy (FiveM)
• Tweaked optimized settings for Homefront
• Tweaked optimized settings for Hunt: Showdown 1896
• Tweaked optimized settings for I Am Alive
• Tweaked optimized settings for Mafia 2 (Classic)
• Tweaked optimized settings for Mafia 2: Definitive Edition
• Tweaked optimized settings for Mafia 3
• Tweaked optimized settings for Mafia 3: Definitive Edition
• Tweaked optimized settings for Mafia: Definitive Edition
• Tweaked optimized settings for Medal of Honor (2010)
• Tweaked optimized settings for Metro 2033 (2010)
• Tweaked optimized settings for Metro 2033 Redux (2014)
• Tweaked optimized settings for Metro Exodus (2019)
• Tweaked optimized settings for Metro Exodus Enhanced Edition (2021)
• Tweaked optimized settings for Metro: Last Light (2013)
• Tweaked optimized settings for Metro: Last Light Redux (2014)
• Tweaked optimized settings for Mirror's Edge
• Tweaked optimized settings for Murdered: Soul Suspect
• Tweaked optimized settings for Outlast
• Tweaked optimized settings for Outlast 2
• Tweaked optimized settings for Prey (2017)
• Tweaked optimized settings for Rage
• Tweaked optimized settings for Rage 2
• Tweaked optimized settings for Red Dead Redemption
• Tweaked optimized settings for Red Dead Redemption 2
• Tweaked optimized settings for Remember Me
• Tweaked optimized settings for Remnant 2
• Tweaked optimized settings for Rocket League
• Tweaked optimized settings for Ryse: Son of Rome
• Tweaked optimized settings for Saints Row: The Third (2011)
• Tweaked optimized settings for Sea of Thieves
• Tweaked optimized settings for The Bureau: XCOM Declassified
• Tweaked optimized settings for The Finals
• Tweaked optimized settings for The Texas Chain Saw Massacre
• Tweaked optimized settings for The Witcher 3: Wild Hunt Classic (2015)
• Tweaked optimized settings for The Witcher 3: Wild Hunt Next-Gen (2022)
• Tweaked optimized settings for Titanfall 2
• Tweaked optimized settings for Tom Clancy's Splinter Cell: Conviction
• Tweaked optimized settings for Tree of Savior
• Tweaked optimized settings for Watch Dogs
• Tweaked optimized settings for Watch Dogs 2
• Tweaked optimized settings for Watch Dogs: Legion
• Tweaked optimized settings for Wolfenstein 2: The New Colossus
• Tweaked optimized settings for Wolfenstein: The New Order
• Tweaked optimized settings for Wolfenstein: The Old Blood
• Tweaked optimized settings for Wolfenstein: Youngblood
• Tweaked optimized settings for World of Warcraft
• Tweaked optimized settings for World War Z
• Updated game detection protocol for Batman: Arkham Asylum - Game of the Year Edition
• Updated game detection protocol for Batman: Arkham City - Game of the Year Edition
• Updated game detection protocol for Batman: Arkham Knight
• Updated game detection protocol for Batman: Arkham Origins
• Updated game detection protocol for BioShock
• Updated game detection protocol for BioShock 2
• Updated game detection protocol for BioShock 2 Remastered
• Updated game detection protocol for BioShock Remastered
• Updated game detection protocol for Bulletstorm: Full Clip Edition
• Updated game detection protocol for Deceit
• Updated game detection protocol for Devil May Cry 5
• Updated game detection protocol for Dishonored
• Updated game detection protocol for Fortnite
• Updated game detection protocol for Goat Simulator
• Updated game detection protocol for Grand Theft Auto 4: The Complete Edition
• Updated game detection protocol for Grand Theft Auto 5 Enhanced
• Updated game detection protocol for Grand Theft Auto 5 Legacy
• Updated game detection protocol for Grand Theft Auto 5 Legacy (FiveM)
• Updated game detection protocol for Homefront
• Updated game detection protocol for Hunt: Showdown 1896
• Updated game detection protocol for I Am Alive
• Updated game detection protocol for Mafia 2 (Classic)
• Updated game detection protocol for Mafia 2: Definitive Edition
• Updated game detection protocol for Mafia 3
• Updated game detection protocol for Mafia 3: Definitive Edition
• Updated game detection protocol for Mafia: Definitive Edition
• Updated game detection protocol for Medal of Honor (2010)
• Updated game detection protocol for Metro 2033 (2010)
• Updated game detection protocol for Metro 2033 Redux (2014)
• Updated game detection protocol for Metro Exodus (2019)
• Updated game detection protocol for Metro Exodus Enhanced Edition (2021)
• Updated game detection protocol for Metro: Last Light (2013)
• Updated game detection protocol for Metro: Last Light Redux (2014)
• Updated game detection protocol for Mirror's Edge
• Updated game detection protocol for Murdered: Soul Suspect
• Updated game detection protocol for Outlast
• Updated game detection protocol for Outlast 2
• Updated game detection protocol for Prey (2017)
• Updated game detection protocol for Rage
• Updated game detection protocol for Rage 2
• Updated game detection protocol for Remember Me
• Updated game detection protocol for Rocket League
• Updated game detection protocol for Ryse: Son of Rome
• Updated game detection protocol for Saints Row: The Third (2011)
• Updated game detection protocol for Sea of Thieves
• Updated game detection protocol for The Bureau: XCOM Declassified
• Updated game detection protocol for The Finals
• Updated game detection protocol for The Texas Chain Saw Massacre
• Updated game detection protocol for The Witcher 3: Wild Hunt Classic (2015)
• Updated game detection protocol for The Witcher 3: Wild Hunt Next-Gen (2022)
• Updated game detection protocol for Titanfall 2
• Updated game detection protocol for Tom Clancy's Splinter Cell: Conviction
• Updated game detection protocol for Tree of Savior
• Updated game detection protocol for Watch Dogs
• Updated game detection protocol for Watch Dogs 2
• Updated game detection protocol for Watch Dogs: Legion
• Updated game detection protocol for Wolfenstein 2: The New Colossus
• Updated game detection protocol for Wolfenstein: The New Order
• Updated game detection protocol for Wolfenstein: The Old Blood
• Updated game detection protocol for Wolfenstein: Youngblood
• Updated game detection protocol for World of Warcraft
• Updated game detection protocol for World War Z

Low Specs Experience v12.8.3 - 2025-08-08
• Reworked maximum performance optimization for Dragon Ball Xenoverse
• Reworked maximum performance optimization for Dragon Ball Xenoverse 2
• Reworked maximum performance optimization for LEGO City Undercover
• Reworked maximum performance optimization for LEGO DC Super-Villains
• Reworked maximum performance optimization for LEGO Jurassic World
• Reworked maximum performance optimization for LEGO Marvel Super Heroes
• Reworked maximum performance optimization for LEGO Marvel Super Heroes 2
• Reworked maximum performance optimization for LEGO Marvel's Avengers
• Reworked maximum performance optimization for LEGO Pirates of the Caribbean: The Video Game
• Reworked maximum performance optimization for LEGO Star Wars: The Force Awakens
• Reworked maximum performance optimization for LEGO Star Wars: The Skywalker Saga
• Reworked maximum performance optimization for LEGO The Hobbit
• Reworked maximum performance optimization for LEGO The Incredibles
• Reworked maximum performance optimization for LEGO The Lord of the Rings
• Reworked maximum performance optimization for LEGO Worlds
• Reworked maximum performance optimization for Mega Man 11
• Reworked maximum performance optimization for Mega Man X Legacy Collection
• Reworked maximum performance optimization for Mega Man X Legacy Collection 2
• Reworked maximum performance optimization for The Elder Scrolls 5: Skyrim Special Edition
• Reworked maximum performance optimization for The Evil Within
• Reworked maximum performance optimization for The Evil Within 2
• Reworked maximum performance optimization for The LEGO Movie Videogame
• Reworked maximum performance optimization for The LEGO Movie Videogame 2
• Reworked maximum performance optimization for The LEGO Ninjago Movie Video Game
• Tweaked maximum performance optimization for Civilization 5
• Tweaked maximum performance optimization for Civilization 6
• Tweaked maximum performance optimization for Civilization: Beyond Earth
• Tweaked maximum performance optimization for DiRT 2
• Tweaked maximum performance optimization for DiRT 3
• Tweaked maximum performance optimization for DiRT 4
• Tweaked maximum performance optimization for DiRT Rally
• Tweaked maximum performance optimization for DiRT Rally 2.0
• Tweaked maximum performance optimization for DiRT Showdown
• Tweaked maximum performance optimization for Dishonored 2
• Tweaked maximum performance optimization for F1 22
• Tweaked maximum performance optimization for F1 23
• Tweaked maximum performance optimization for F1 24
• Tweaked maximum performance optimization for F1 2010
• Tweaked maximum performance optimization for F1 2011
• Tweaked maximum performance optimization for F1 2012
• Tweaked maximum performance optimization for F1 2013
• Tweaked maximum performance optimization for F1 2014
• Tweaked maximum performance optimization for F1 Manager 2022
• Tweaked maximum performance optimization for F1 Manager 2023
• Tweaked maximum performance optimization for F1 Manager 2024
• Tweaked maximum performance optimization for Fallout 3
• Tweaked maximum performance optimization for Ghost of Tsushima Director's Cut
• Tweaked maximum performance optimization for GRID 2
• Tweaked maximum performance optimization for GRID (2008) aka Race Driver: Grid
• Tweaked maximum performance optimization for GRID (2019)
• Tweaked maximum performance optimization for GRID Autosport
• Tweaked maximum performance optimization for GRID Legends
• Tweaked maximum performance optimization for Heroes of the Storm
• Tweaked maximum performance optimization for Hitman
• Tweaked maximum performance optimization for Hitman 2
• Tweaked maximum performance optimization for Hitman World of Assassination (aka Hitman 3)
• Tweaked maximum performance optimization for Indiana Jones and the Great Circle
• Tweaked maximum performance optimization for King of Retail
• Tweaked maximum performance optimization for LEGO Horizon Adventures
• Tweaked maximum performance optimization for Lies of P
• Tweaked maximum performance optimization for Marvel's Midnight Suns
• Tweaked maximum performance optimization for Marvel's Spider-Man 2
• Tweaked maximum performance optimization for Marvel's Spider-Man Remastered
• Tweaked maximum performance optimization for Marvel's Spider-Man: Miles Morales
• Tweaked maximum performance optimization for Mordhau
• Tweaked maximum performance optimization for Mortal Kombat 1 (2023)
• Tweaked maximum performance optimization for Project CARS
• Tweaked maximum performance optimization for Project CARS 2
• Tweaked maximum performance optimization for Project CARS 3
• Tweaked maximum performance optimization for Ratchet and Clank: Rift Apart
• Tweaked maximum performance optimization for Sackboy: A Big Adventure
• Tweaked maximum performance optimization for The Crew 2
• Tweaked maximum performance optimization for The Crew Motorfest
• Tweaked optimized settings for Civilization 5
• Tweaked optimized settings for Civilization 6
• Tweaked optimized settings for Civilization: Beyond Earth
• Tweaked optimized settings for DiRT 2
• Tweaked optimized settings for DiRT 3
• Tweaked optimized settings for DiRT 4
• Tweaked optimized settings for DiRT Rally
• Tweaked optimized settings for DiRT Rally 2.0
• Tweaked optimized settings for DiRT Showdown
• Tweaked optimized settings for Dishonored 2
• Tweaked optimized settings for Dragon Ball Xenoverse
• Tweaked optimized settings for Dragon Ball Xenoverse 2
• Tweaked optimized settings for F1 22
• Tweaked optimized settings for F1 23
• Tweaked optimized settings for F1 24
• Tweaked optimized settings for F1 2010
• Tweaked optimized settings for F1 2011
• Tweaked optimized settings for F1 2012
• Tweaked optimized settings for F1 2013
• Tweaked optimized settings for F1 2014
• Tweaked optimized settings for F1 Manager 2022
• Tweaked optimized settings for F1 Manager 2023
• Tweaked optimized settings for F1 Manager 2024
• Tweaked optimized settings for Fallout 3
• Tweaked optimized settings for Ghost of Tsushima Director's Cut
• Tweaked optimized settings for GRID 2
• Tweaked optimized settings for GRID (2008) aka Race Driver: Grid
• Tweaked optimized settings for GRID (2019)
• Tweaked optimized settings for GRID Autosport
• Tweaked optimized settings for GRID Legends
• Tweaked optimized settings for Heroes of the Storm
• Tweaked optimized settings for Hitman
• Tweaked optimized settings for Hitman 2
• Tweaked optimized settings for Hitman World of Assassination (aka Hitman 3)
• Tweaked optimized settings for Indiana Jones and the Great Circle
• Tweaked optimized settings for King of Retail
• Tweaked optimized settings for LEGO City Undercover
• Tweaked optimized settings for LEGO DC Super-Villains
• Tweaked optimized settings for LEGO Horizon Adventures
• Tweaked optimized settings for LEGO Jurassic World
• Tweaked optimized settings for LEGO Marvel Super Heroes
• Tweaked optimized settings for LEGO Marvel Super Heroes 2
• Tweaked optimized settings for LEGO Marvel's Avengers
• Tweaked optimized settings for LEGO Pirates of the Caribbean: The Video Game
• Tweaked optimized settings for LEGO Star Wars: The Force Awakens
• Tweaked optimized settings for LEGO Star Wars: The Skywalker Saga
• Tweaked optimized settings for LEGO The Hobbit
• Tweaked optimized settings for LEGO The Incredibles
• Tweaked optimized settings for LEGO The Lord of the Rings
• Tweaked optimized settings for LEGO Worlds
• Tweaked optimized settings for Lies of P
• Tweaked optimized settings for Marvel's Midnight Suns
• Tweaked optimized settings for Marvel's Spider-Man 2
• Tweaked optimized settings for Marvel's Spider-Man Remastered
• Tweaked optimized settings for Marvel's Spider-Man: Miles Morales
• Tweaked optimized settings for Mega Man 11
• Tweaked optimized settings for Mega Man X Legacy Collection
• Tweaked optimized settings for Mega Man X Legacy Collection 2
• Tweaked optimized settings for Mordhau
• Tweaked optimized settings for Mortal Kombat 1 (2023)
• Tweaked optimized settings for Project CARS
• Tweaked optimized settings for Project CARS 2
• Tweaked optimized settings for Project CARS 3
• Tweaked optimized settings for Ratchet and Clank: Rift Apart
• Tweaked optimized settings for Sackboy: A Big Adventure
• Tweaked optimized settings for The Crew 2
• Tweaked optimized settings for The Crew Motorfest
• Tweaked optimized settings for The Elder Scrolls 5: Skyrim Special Edition
• Tweaked optimized settings for The Evil Within
• Tweaked optimized settings for The Evil Within 2
• Tweaked optimized settings for The LEGO Movie Videogame
• Tweaked optimized settings for The LEGO Movie Videogame 2
• Tweaked optimized settings for The LEGO Ninjago Movie Video Game
• Updated game detection protocol for Anthem
• Updated game detection protocol for Battlefield 1
• Updated game detection protocol for Battlefield 3
• Updated game detection protocol for Battlefield 4
• Updated game detection protocol for Battlefield 5
• Updated game detection protocol for Battlefield 2042
• Updated game detection protocol for Battlefield Hardline
• Updated game detection protocol for Civilization 5
• Updated game detection protocol for Civilization 6
• Updated game detection protocol for Civilization: Beyond Earth
• Updated game detection protocol for Dead Space (2023)
• Updated game detection protocol for DiRT 2
• Updated game detection protocol for DiRT 3
• Updated game detection protocol for DiRT 4
• Updated game detection protocol for DiRT Rally
• Updated game detection protocol for DiRT Rally 2.0
• Updated game detection protocol for DiRT Showdown
• Updated game detection protocol for Dragon Age: Inquisition
• Updated game detection protocol for Dragon Age: The Veilguard
• Updated game detection protocol for Dragon Ball Xenoverse
• Updated game detection protocol for Dragon Ball Xenoverse 2
• Updated game detection protocol for F1 22
• Updated game detection protocol for F1 23
• Updated game detection protocol for F1 24
• Updated game detection protocol for F1 2010
• Updated game detection protocol for F1 2011
• Updated game detection protocol for F1 2012
• Updated game detection protocol for F1 2013
• Updated game detection protocol for F1 2014
• Updated game detection protocol for F1 Manager 2022
• Updated game detection protocol for F1 Manager 2023
• Updated game detection protocol for F1 Manager 2024
• Updated game detection protocol for Fallout 3
• Updated game detection protocol for Gas Station Simulator
• Updated game detection protocol for Ghost of Tsushima Director's Cut
• Updated game detection protocol for GRID 2
• Updated game detection protocol for GRID (2008) aka Race Driver: Grid
• Updated game detection protocol for GRID (2019)
• Updated game detection protocol for GRID Autosport
• Updated game detection protocol for GRID Legends
• Updated game detection protocol for Heroes of the Storm
• Updated game detection protocol for Hitman
• Updated game detection protocol for Hitman 2
• Updated game detection protocol for Hitman World of Assassination (aka Hitman 3)
• Updated game detection protocol for Indiana Jones and the Great Circle
• Updated game detection protocol for King of Retail
• Updated game detection protocol for LEGO City Undercover
• Updated game detection protocol for LEGO DC Super-Villains
• Updated game detection protocol for LEGO Horizon Adventures
• Updated game detection protocol for LEGO Jurassic World
• Updated game detection protocol for LEGO Marvel Super Heroes
• Updated game detection protocol for LEGO Marvel Super Heroes 2
• Updated game detection protocol for LEGO Marvel's Avengers
• Updated game detection protocol for LEGO Pirates of the Caribbean: The Video Game
• Updated game detection protocol for LEGO Star Wars: The Force Awakens
• Updated game detection protocol for LEGO Star Wars: The Skywalker Saga
• Updated game detection protocol for LEGO The Hobbit
• Updated game detection protocol for LEGO The Incredibles
• Updated game detection protocol for LEGO The Lord of the Rings
• Updated game detection protocol for LEGO Worlds
• Updated game detection protocol for Lies of P
• Updated game detection protocol for Marvel's Midnight Suns
• Updated game detection protocol for Marvel's Spider-Man 2
• Updated game detection protocol for Marvel's Spider-Man Remastered
• Updated game detection protocol for Marvel's Spider-Man: Miles Morales
• Updated game detection protocol for Mass Effect: Andromeda
• Updated game detection protocol for Medal of Honor: Warfighter
• Updated game detection protocol for Mega Man 11
• Updated game detection protocol for Mega Man X Legacy Collection
• Updated game detection protocol for Mega Man X Legacy Collection 2
• Updated game detection protocol for Mirror's Edge Catalyst
• Updated game detection protocol for Mordhau
• Updated game detection protocol for Mortal Kombat 1 (2023)
• Updated game detection protocol for Need for Speed (2016)
• Updated game detection protocol for Need for Speed Heat
• Updated game detection protocol for Need for Speed Payback
• Updated game detection protocol for Need for Speed Rivals
• Updated game detection protocol for Need for Speed Unbound
• Updated game detection protocol for Plants vs. Zombies: Battle for Neighborville
• Updated game detection protocol for Plants vs. Zombies: Garden Warfare
• Updated game detection protocol for Plants vs. Zombies: Garden Warfare 2
• Updated game detection protocol for Project CARS
• Updated game detection protocol for Project CARS 2
• Updated game detection protocol for Project CARS 3
• Updated game detection protocol for Ratchet and Clank: Rift Apart
• Updated game detection protocol for Sackboy: A Big Adventure
• Updated game detection protocol for Star Wars Battlefront 2 (2017)
• Updated game detection protocol for Star Wars Battlefront (2015)
• Updated game detection protocol for Star Wars: Squadrons
• Updated game detection protocol for The Crew 2
• Updated game detection protocol for The Crew Motorfest
• Updated game detection protocol for The Elder Scrolls 5: Skyrim Special Edition
• Updated game detection protocol for The Evil Within
• Updated game detection protocol for The Evil Within 2
• Updated game detection protocol for The LEGO Movie Videogame
• Updated game detection protocol for The LEGO Movie Videogame 2
• Updated game detection protocol for The LEGO Ninjago Movie Video Game

Low Specs Experience v12.8.2 - 2025-08-01
• Deprecated optimization support for Resident Evil Re:Verse
• Tweaked maximum performance optimization for Resident Evil 4 (2023)
• Tweaked maximum performance optimization for Resident Evil 7: Biohazard
• Tweaked maximum performance optimization for Resident Evil Resistance
• Tweaked maximum performance optimization for Resident Evil Village
• Tweaked maximum performance optimization for Star Wars Jedi: Fallen Order
• Tweaked maximum performance optimization for Star Wars Jedi: Survivor
• Tweaked optimized settings for Resident Evil 4 (2023)
• Tweaked optimized settings for Resident Evil 7: Biohazard
• Tweaked optimized settings for Resident Evil Resistance
• Tweaked optimized settings for Resident Evil Village
• Tweaked optimized settings for Star Wars Jedi: Fallen Order
• Tweaked optimized settings for Star Wars Jedi: Survivor
• Updated game detection protocol for Resident Evil 4 (2023)
• Updated game detection protocol for Resident Evil 7: Biohazard
• Updated game detection protocol for Resident Evil Resistance
• Updated game detection protocol for Resident Evil Village
• Updated game detection protocol for Star Wars Jedi: Fallen Order
• Updated game detection protocol for Star Wars Jedi: Survivor

Low Specs Experience v12.8.1 - 2025-07-31
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for Dragon Age: Inquisition
• Tweaked maximum performance optimization for Mass Effect: Andromeda
• Tweaked maximum performance optimization for Need for Speed (2016)
• Tweaked maximum performance optimization for Need for Speed Heat
• Tweaked maximum performance optimization for Need for Speed Payback
• Tweaked maximum performance optimization for Need for Speed Rivals
• Tweaked maximum performance optimization for Need for Speed Unbound
• Tweaked maximum performance optimization for Red Dead Redemption
• Tweaked maximum performance optimization for Red Dead Redemption 2
• Tweaked maximum performance optimization for Red Dead Redemption 2 (RedM)
• Tweaked maximum performance optimization for Resident Evil 2 (2019)
• Tweaked maximum performance optimization for Resident Evil 3 (2020)
• Tweaked maximum performance optimization for Resident Evil 4 Ultimate HD Edition
• Tweaked maximum performance optimization for Resident Evil 5
• Tweaked maximum performance optimization for Resident Evil 6
• Tweaked maximum performance optimization for Resident Evil HD Remaster
• Tweaked maximum performance optimization for Resident Evil Zero HD Remaster
• Tweaked maximum performance optimization for Resident Evil: Revelations
• Tweaked maximum performance optimization for Resident Evil: Revelations 2
• Tweaked maximum performance optimization for Star Wars: Squadrons
• Tweaked maximum performance optimization for Valorant
• Tweaked maximum performance optimization for Wo Long: Fallen Dynasty
• Tweaked optimized settings for Anthem
• Tweaked optimized settings for Dragon Age: Inquisition
• Tweaked optimized settings for Mass Effect: Andromeda
• Tweaked optimized settings for Need for Speed (2016)
• Tweaked optimized settings for Need for Speed Heat
• Tweaked optimized settings for Need for Speed Payback
• Tweaked optimized settings for Need for Speed Rivals
• Tweaked optimized settings for Need for Speed Unbound
• Tweaked optimized settings for Red Dead Redemption
• Tweaked optimized settings for Red Dead Redemption 2
• Tweaked optimized settings for Red Dead Redemption 2 (RedM)
• Tweaked optimized settings for Resident Evil 2 (2019)
• Tweaked optimized settings for Resident Evil 3 (2020)
• Tweaked optimized settings for Resident Evil 4 Ultimate HD Edition
• Tweaked optimized settings for Resident Evil 5
• Tweaked optimized settings for Resident Evil 6
• Tweaked optimized settings for Resident Evil HD Remaster
• Tweaked optimized settings for Resident Evil Zero HD Remaster
• Tweaked optimized settings for Resident Evil: Revelations
• Tweaked optimized settings for Resident Evil: Revelations 2
• Tweaked optimized settings for Star Wars: Squadrons
• Tweaked optimized settings for Valorant
• Tweaked optimized settings for Wo Long: Fallen Dynasty
• Updated game detection protocol for Red Dead Redemption
• Updated game detection protocol for Red Dead Redemption 2
• Updated game detection protocol for Red Dead Redemption 2 (RedM)
• Updated game detection protocol for Resident Evil 2 (2019)
• Updated game detection protocol for Resident Evil 3 (2020)
• Updated game detection protocol for Resident Evil 4 Ultimate HD Edition
• Updated game detection protocol for Resident Evil 5
• Updated game detection protocol for Resident Evil 6
• Updated game detection protocol for Resident Evil HD Remaster
• Updated game detection protocol for Resident Evil Zero HD Remaster
• Updated game detection protocol for Resident Evil: Revelations
• Updated game detection protocol for Resident Evil: Revelations 2
• Updated game detection protocol for Tom Clancy's Splinter Cell: Conviction
• Updated game detection protocol for Valorant

Low Specs Experience v12.8.0 - 2025-07-29
• Reworked maximum performance optimization for Saint Seiya: Soldiers' Soul
• Reworked maximum performance optimization for Sekiro: Shadows Die Twice
• Tweaked maximum performance optimization for Baldur's Gate 3
• Tweaked maximum performance optimization for Battlefield 1
• Tweaked maximum performance optimization for Battlefield 3
• Tweaked maximum performance optimization for Battlefield 4
• Tweaked maximum performance optimization for Battlefield 5
• Tweaked maximum performance optimization for Battlefield 2042
• Tweaked maximum performance optimization for Battlefield Hardline
• Tweaked maximum performance optimization for Dead Space (2023)
• Tweaked maximum performance optimization for Detroit: Become Human
• Tweaked maximum performance optimization for Divinity: Original Sin 2
• Tweaked maximum performance optimization for Divinity: Original Sin 2 - Definitive Edition
• Tweaked maximum performance optimization for Dragon Age: The Veilguard
• Tweaked maximum performance optimization for Medal of Honor: Warfighter
• Tweaked maximum performance optimization for Mirror's Edge Catalyst
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked maximum performance optimization for Psychonauts 2
• Tweaked maximum performance optimization for Rise of the Ronin
• Tweaked maximum performance optimization for Scorn
• Tweaked maximum performance optimization for Scum
• Tweaked maximum performance optimization for Silent Hill 2 (2024)
• Tweaked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Tweaked maximum performance optimization for Star Wars Battlefront (2015)
• Tweaked maximum performance optimization for Wo Long: Fallen Dynasty
• Tweaked optimized settings for Baldur's Gate 3
• Tweaked optimized settings for Battlefield 1
• Tweaked optimized settings for Battlefield 3
• Tweaked optimized settings for Battlefield 4
• Tweaked optimized settings for Battlefield 5
• Tweaked optimized settings for Battlefield 2042
• Tweaked optimized settings for Battlefield Hardline
• Tweaked optimized settings for Dead Space (2023)
• Tweaked optimized settings for Detroit: Become Human
• Tweaked optimized settings for Divinity: Original Sin 2
• Tweaked optimized settings for Divinity: Original Sin 2 - Definitive Edition
• Tweaked optimized settings for Dragon Age: The Veilguard
• Tweaked optimized settings for Medal of Honor: Warfighter
• Tweaked optimized settings for Mirror's Edge Catalyst
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Tweaked optimized settings for Psychonauts 2
• Tweaked optimized settings for Rise of the Ronin
• Tweaked optimized settings for Saint Seiya: Soldiers' Soul
• Tweaked optimized settings for Scorn
• Tweaked optimized settings for Scum
• Tweaked optimized settings for Sekiro: Shadows Die Twice
• Tweaked optimized settings for Silent Hill 2 (2024)
• Tweaked optimized settings for Star Wars Battlefront 2 (2017)
• Tweaked optimized settings for Star Wars Battlefront (2015)
• Tweaked optimized settings for Wo Long: Fallen Dynasty
• Updated game detection protocol for Battlefield 3
• Updated game detection protocol for Detroit: Become Human
• Updated game detection protocol for Divinity: Original Sin 2
• Updated game detection protocol for Divinity: Original Sin 2 - Definitive Edition
• Updated game detection protocol for Medal of Honor: Warfighter
• Updated game detection protocol for Psychonauts 2
• Updated game detection protocol for Rise of the Ronin
• Updated game detection protocol for Saint Seiya: Soldiers' Soul
• Updated game detection protocol for Scorn
• Updated game detection protocol for Scum
• Updated game detection protocol for Sekiro: Shadows Die Twice
• Updated game detection protocol for Silent Hill 2 (2024)
• Updated game detection protocol for Wo Long: Fallen Dynasty

Low Specs Experience v12.7.9 - 2025-07-25
• Added maximum performance optimization for RoboCop: Rogue City - Unfinished Business
• Added optimized settings for RoboCop: Rogue City - Unfinished Business
• Reworked maximum performance optimization for Dead Space 2 (2011)
• Reworked maximum performance optimization for Dead Space 3 (2013)
• Reworked maximum performance optimization for Dead Space (2008)
• Reworked maximum performance optimization for ReCore: Definitive Edition
• Reworked maximum performance optimization for Sea of Solitude
• Tweaked maximum performance optimization for Company of Heroes 2
• Tweaked maximum performance optimization for Company of Heroes 3
• Tweaked maximum performance optimization for Days Gone
• Tweaked maximum performance optimization for Dead Space (2023)
• Tweaked maximum performance optimization for eFootball PES 2020
• Tweaked maximum performance optimization for eFootball PES 2021 Season Update
• Tweaked maximum performance optimization for F1 2010
• Tweaked maximum performance optimization for F1 2011
• Tweaked maximum performance optimization for F1 2012
• Tweaked maximum performance optimization for F1 2013
• Tweaked maximum performance optimization for F1 2014
• Tweaked maximum performance optimization for F1 2015
• Tweaked maximum performance optimization for F1 2016
• Tweaked maximum performance optimization for F1 2017
• Tweaked maximum performance optimization for F1 2018
• Tweaked maximum performance optimization for F1 2019
• Tweaked maximum performance optimization for F1 2020
• Tweaked maximum performance optimization for F1 2021
• Tweaked maximum performance optimization for Final Fantasy 15 (FFXV)
• Tweaked maximum performance optimization for Goat Simulator 3
• Tweaked maximum performance optimization for Goat Simulator: Remastered
• Tweaked maximum performance optimization for Grounded
• Tweaked maximum performance optimization for Jagged Alliance 3
• Tweaked maximum performance optimization for Lords of the Fallen (2023)
• Tweaked maximum performance optimization for Monster Hunter: World
• Tweaked maximum performance optimization for MX vs. ATV Legends
• Tweaked maximum performance optimization for No Man's Sky
• Tweaked maximum performance optimization for One Piece Odyssey
• Tweaked maximum performance optimization for Payday 2
• Tweaked maximum performance optimization for Payday 3
• Tweaked maximum performance optimization for Payday: The Heist
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked maximum performance optimization for Pro Evolution Soccer 2010
• Tweaked maximum performance optimization for Pro Evolution Soccer 2011
• Tweaked maximum performance optimization for Pro Evolution Soccer 2012
• Tweaked maximum performance optimization for Pro Evolution Soccer 2013
• Tweaked maximum performance optimization for Pro Evolution Soccer 2014
• Tweaked maximum performance optimization for Pro Evolution Soccer 2015
• Tweaked maximum performance optimization for Pro Evolution Soccer 2016
• Tweaked maximum performance optimization for Pro Evolution Soccer 2017
• Tweaked maximum performance optimization for Pro Evolution Soccer 2018
• Tweaked maximum performance optimization for Pro Evolution Soccer 2019
• Tweaked maximum performance optimization for Quantum Break
• Tweaked maximum performance optimization for Rise of the Tomb Raider
• Tweaked maximum performance optimization for RoboCop: Rogue City
• Tweaked maximum performance optimization for Rune 2
• Tweaked maximum performance optimization for Shadow of the Tomb Raider
• Tweaked maximum performance optimization for Sifu
• Tweaked maximum performance optimization for Soulcalibur 6
• Tweaked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Tweaked maximum performance optimization for Star Wars Battlefront (2015)
• Tweaked maximum performance optimization for The Elder Scrolls 4: Oblivion Remastered
• Tweaked maximum performance optimization for The Talos Principle 2
• Tweaked maximum performance optimization for The Talos Principle: Reawakened
• Tweaked maximum performance optimization for The Waylanders
• Tweaked optimized settings for Company of Heroes 2
• Tweaked optimized settings for Company of Heroes 3
• Tweaked optimized settings for Days Gone
• Tweaked optimized settings for Dead Space 2 (2011)
• Tweaked optimized settings for Dead Space 3 (2013)
• Tweaked optimized settings for Dead Space (2008)
• Tweaked optimized settings for Dead Space (2023)
• Tweaked optimized settings for eFootball PES 2020
• Tweaked optimized settings for eFootball PES 2021 Season Update
• Tweaked optimized settings for F1 2010
• Tweaked optimized settings for F1 2011
• Tweaked optimized settings for F1 2012
• Tweaked optimized settings for F1 2013
• Tweaked optimized settings for F1 2014
• Tweaked optimized settings for F1 2015
• Tweaked optimized settings for F1 2016
• Tweaked optimized settings for F1 2017
• Tweaked optimized settings for F1 2018
• Tweaked optimized settings for F1 2019
• Tweaked optimized settings for F1 2020
• Tweaked optimized settings for F1 2021
• Tweaked optimized settings for Final Fantasy 15 (FFXV)
• Tweaked optimized settings for Goat Simulator 3
• Tweaked optimized settings for Goat Simulator: Remastered
• Tweaked optimized settings for Grounded
• Tweaked optimized settings for Jagged Alliance 3
• Tweaked optimized settings for Lords of the Fallen (2023)
• Tweaked optimized settings for Monster Hunter: World
• Tweaked optimized settings for MX vs. ATV Legends
• Tweaked optimized settings for No Man's Sky
• Tweaked optimized settings for One Piece Odyssey
• Tweaked optimized settings for Payday 2
• Tweaked optimized settings for Payday 3
• Tweaked optimized settings for Payday: The Heist
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Tweaked optimized settings for Pro Evolution Soccer 2010
• Tweaked optimized settings for Pro Evolution Soccer 2011
• Tweaked optimized settings for Pro Evolution Soccer 2012
• Tweaked optimized settings for Pro Evolution Soccer 2013
• Tweaked optimized settings for Pro Evolution Soccer 2014
• Tweaked optimized settings for Pro Evolution Soccer 2015
• Tweaked optimized settings for Pro Evolution Soccer 2016
• Tweaked optimized settings for Pro Evolution Soccer 2017
• Tweaked optimized settings for Pro Evolution Soccer 2018
• Tweaked optimized settings for Pro Evolution Soccer 2019
• Tweaked optimized settings for Quantum Break
• Tweaked optimized settings for ReCore: Definitive Edition
• Tweaked optimized settings for Rise of the Tomb Raider
• Tweaked optimized settings for RoboCop: Rogue City
• Tweaked optimized settings for Rune 2
• Tweaked optimized settings for Sea of Solitude
• Tweaked optimized settings for Shadow of the Tomb Raider
• Tweaked optimized settings for Sifu
• Tweaked optimized settings for Soulcalibur 6
• Tweaked optimized settings for Star Wars Battlefront 2 (2017)
• Tweaked optimized settings for Star Wars Battlefront (2015)
• Tweaked optimized settings for The Elder Scrolls 4: Oblivion Remastered
• Tweaked optimized settings for The Talos Principle 2
• Tweaked optimized settings for The Talos Principle: Reawakened
• Tweaked optimized settings for The Waylanders
• Updated game detection protocol for Assassin's Creed 4: Black Flag
• Updated game detection protocol for Assassin's Creed Syndicate
• Updated game detection protocol for Assassin's Creed Unity
• Updated game detection protocol for Company of Heroes 2
• Updated game detection protocol for Company of Heroes 3
• Updated game detection protocol for Dead Space 2 (2011)
• Updated game detection protocol for Dead Space 3 (2013)
• Updated game detection protocol for Dead Space (2008)
• Updated game detection protocol for Dead Space (2023)
• Updated game detection protocol for eFootball PES 2020
• Updated game detection protocol for eFootball PES 2021 Season Update
• Updated game detection protocol for F1 2010
• Updated game detection protocol for F1 2011
• Updated game detection protocol for F1 2012
• Updated game detection protocol for F1 2013
• Updated game detection protocol for F1 2014
• Updated game detection protocol for F1 2015
• Updated game detection protocol for F1 2016
• Updated game detection protocol for F1 2017
• Updated game detection protocol for F1 2018
• Updated game detection protocol for F1 2019
• Updated game detection protocol for F1 2020
• Updated game detection protocol for F1 2021
• Updated game detection protocol for Far Cry 3
• Updated game detection protocol for Far Cry 3: Blood Dragon
• Updated game detection protocol for Final Fantasy 15 (FFXV)
• Updated game detection protocol for Goat Simulator 3
• Updated game detection protocol for Goat Simulator: Remastered
• Updated game detection protocol for Grounded
• Updated game detection protocol for Jagged Alliance 3
• Updated game detection protocol for Lords of the Fallen (2023)
• Updated game detection protocol for Monster Hunter: World
• Updated game detection protocol for MX vs. ATV Legends
• Updated game detection protocol for No Man's Sky
• Updated game detection protocol for One Piece Odyssey
• Updated game detection protocol for Payday 2
• Updated game detection protocol for Payday 3
• Updated game detection protocol for Payday: The Heist
• Updated game detection protocol for Pro Evolution Soccer 2010
• Updated game detection protocol for Pro Evolution Soccer 2011
• Updated game detection protocol for Pro Evolution Soccer 2012
• Updated game detection protocol for Pro Evolution Soccer 2013
• Updated game detection protocol for Pro Evolution Soccer 2014
• Updated game detection protocol for Pro Evolution Soccer 2015
• Updated game detection protocol for Pro Evolution Soccer 2016
• Updated game detection protocol for Pro Evolution Soccer 2017
• Updated game detection protocol for Pro Evolution Soccer 2018
• Updated game detection protocol for Pro Evolution Soccer 2019
• Updated game detection protocol for Quantum Break
• Updated game detection protocol for ReCore: Definitive Edition
• Updated game detection protocol for Rise of the Tomb Raider
• Updated game detection protocol for RoboCop: Rogue City
• Updated game detection protocol for Rune 2
• Updated game detection protocol for Sea of Solitude
• Updated game detection protocol for Shadow of the Tomb Raider
• Updated game detection protocol for Sifu
• Updated game detection protocol for Soulcalibur 6
• Updated game detection protocol for The Elder Scrolls 4: Oblivion Remastered
• Updated game detection protocol for The Talos Principle 2
• Updated game detection protocol for The Talos Principle: Reawakened
• Updated game detection protocol for The Waylanders

Low Specs Experience v12.7.8 - 2025-07-18
• [BACK-END] Refined game detection and optimization API (gen_4_update_18)
• Reworked maximum performance optimization for Max Payne 3
• Reworked maximum performance optimization for Mortal Kombat X
• Reworked maximum performance optimization for Mortal Kombat XL
• Reworked maximum performance optimization for Sunset Overdrive
• Reworked maximum performance optimization for theHunter Classic
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for Dishonored 2
• Tweaked maximum performance optimization for Dragon Age: Inquisition
• Tweaked maximum performance optimization for Just Cause 2
• Tweaked maximum performance optimization for Mass Effect: Andromeda
• Tweaked maximum performance optimization for Mirror's Edge Catalyst
• Tweaked maximum performance optimization for Mortal Kombat 11
• Tweaked maximum performance optimization for Need for Speed Rivals
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked maximum performance optimization for Riders Republic
• Tweaked maximum performance optimization for Split Fiction
• Tweaked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Tweaked maximum performance optimization for Star Wars Battlefront (2015)
• Tweaked maximum performance optimization for Star Wars: Squadrons
• Tweaked maximum performance optimization for Steep
• Tweaked maximum performance optimization for Tom Clancy's Ghost Recon Breakpoint
• Tweaked maximum performance optimization for Tom Clancy's Ghost Recon Wildlands
• Tweaked maximum performance optimization for Tom Clancy's Ghost Recon: Future Soldier
• Tweaked maximum performance optimization for Tom Clancy's Splinter Cell: Blacklist
• Tweaked maximum performance optimization for Train Sim World 2
• Tweaked maximum performance optimization for Train Sim World 3
• Tweaked maximum performance optimization for Train Sim World 4
• Tweaked maximum performance optimization for Train Sim World 5
• Tweaked maximum performance optimization for Train Sim World 2020
• Tweaked maximum performance optimization for Trials Rising
• Tweaked optimized settings for Anthem
• Tweaked optimized settings for Dishonored 2
• Tweaked optimized settings for Dragon Age: Inquisition
• Tweaked optimized settings for Just Cause 2
• Tweaked optimized settings for Mass Effect: Andromeda
• Tweaked optimized settings for Max Payne 3
• Tweaked optimized settings for Mirror's Edge Catalyst
• Tweaked optimized settings for Mortal Kombat 11
• Tweaked optimized settings for Mortal Kombat X
• Tweaked optimized settings for Mortal Kombat XL
• Tweaked optimized settings for Need for Speed Rivals
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Tweaked optimized settings for Riders Republic
• Tweaked optimized settings for Split Fiction
• Tweaked optimized settings for Star Wars Battlefront 2 (2017)
• Tweaked optimized settings for Star Wars Battlefront (2015)
• Tweaked optimized settings for Star Wars: Squadrons
• Tweaked optimized settings for Steep
• Tweaked optimized settings for Sunset Overdrive
• Tweaked optimized settings for theHunter Classic
• Tweaked optimized settings for Tom Clancy's Ghost Recon Breakpoint
• Tweaked optimized settings for Tom Clancy's Ghost Recon Wildlands
• Tweaked optimized settings for Tom Clancy's Ghost Recon: Future Soldier
• Tweaked optimized settings for Tom Clancy's Splinter Cell: Blacklist
• Tweaked optimized settings for Train Sim World 2
• Tweaked optimized settings for Train Sim World 3
• Tweaked optimized settings for Train Sim World 4
• Tweaked optimized settings for Train Sim World 5
• Tweaked optimized settings for Train Sim World 2020
• Tweaked optimized settings for Trials Rising
• Updated game detection protocol for Dishonored 2
• Updated game detection protocol for Just Cause 2
• Updated game detection protocol for Max Payne 3
• Updated game detection protocol for Mirror's Edge Catalyst
• Updated game detection protocol for Mortal Kombat 11
• Updated game detection protocol for Mortal Kombat X
• Updated game detection protocol for Mortal Kombat XL
• Updated game detection protocol for Riders Republic
• Updated game detection protocol for Split Fiction
• Updated game detection protocol for Star Wars Battlefront 2 (2017)
• Updated game detection protocol for Star Wars Battlefront (2015)
• Updated game detection protocol for Star Wars: Squadrons
• Updated game detection protocol for Steep
• Updated game detection protocol for Sunset Overdrive
• Updated game detection protocol for theHunter Classic
• Updated game detection protocol for Tom Clancy's Ghost Recon Breakpoint
• Updated game detection protocol for Tom Clancy's Ghost Recon Wildlands
• Updated game detection protocol for Tom Clancy's Ghost Recon: Future Soldier
• Updated game detection protocol for Tom Clancy's Splinter Cell: Blacklist
• Updated game detection protocol for Train Sim World 2
• Updated game detection protocol for Train Sim World 3
• Updated game detection protocol for Train Sim World 4
• Updated game detection protocol for Train Sim World 5
• Updated game detection protocol for Train Sim World 2020
• Updated game detection protocol for Trials Rising

Low Specs Experience v12.7.7 - 2025-07-15
• Reworked maximum performance optimization for Heavy Rain
• Tweaked maximum performance optimization for Hogwarts Legacy
• Tweaked maximum performance optimization for League of Legends
• Tweaked maximum performance optimization for S.T.A.L.K.E.R. 2: Heart of Chornobyl
• Tweaked maximum performance optimization for Tom Clancy's The Division
• Tweaked maximum performance optimization for Tom Clancy's The Division 2
• Tweaked maximum performance optimization for Valorant
• Tweaked optimized settings for Heavy Rain
• Tweaked optimized settings for Hogwarts Legacy
• Tweaked optimized settings for League of Legends
• Tweaked optimized settings for S.T.A.L.K.E.R. 2: Heart of Chornobyl
• Tweaked optimized settings for Tom Clancy's The Division
• Tweaked optimized settings for Tom Clancy's The Division 2
• Tweaked optimized settings for Valorant
• Updated game detection protocol for Halo: The Master Chief Collection
• Updated game detection protocol for Heavy Rain
• Updated game detection protocol for Hogwarts Legacy
• Updated game detection protocol for League of Legends
• Updated game detection protocol for Middle-earth: Shadow of War
• Updated game detection protocol for S.T.A.L.K.E.R. 2: Heart of Chornobyl
• Updated game detection protocol for Tom Clancy's The Division
• Updated game detection protocol for Tom Clancy's The Division 2
• Updated game detection protocol for Valorant

Low Specs Experience v12.7.6 - 2025-07-14
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Updated game detection protocol for Plants vs. Zombies: Battle for Neighborville

Low Specs Experience v12.7.5 - 2025-07-14
• Updated game detection protocol for Sons of the Forest

Low Specs Experience v12.7.4 - 2025-07-11
• Added maximum performance optimization for Need for Speed: Hot Pursuit (2010)
• Added optimized settings for Need for Speed: Hot Pursuit (2010)
• Reworked maximum performance optimization for Need for Speed: Hot Pursuit Remastered
• Reworked maximum performance optimization for Need for Speed: Shift
• Reworked maximum performance optimization for Need for Speed: Shift 2 Unleashed
• Tweaked maximum performance optimization for Dynasty Warriors: Origins
• Tweaked maximum performance optimization for Medal of Honor: Warfighter
• Tweaked maximum performance optimization for Middle-earth: Shadow of Mordor
• Tweaked maximum performance optimization for Middle-earth: Shadow of War
• Tweaked maximum performance optimization for Need for Speed (2016)
• Tweaked maximum performance optimization for Need for Speed Heat
• Tweaked maximum performance optimization for Need for Speed Payback
• Tweaked maximum performance optimization for Need for Speed Rivals
• Tweaked maximum performance optimization for Need for Speed Unbound
• Tweaked maximum performance optimization for Need for Speed: Most Wanted (2012)
• Tweaked maximum performance optimization for Nioh 2: The Complete Edition
• Tweaked maximum performance optimization for Nioh: Complete Edition
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked optimized settings for Dynasty Warriors: Origins
• Tweaked optimized settings for Medal of Honor: Warfighter
• Tweaked optimized settings for Middle-earth: Shadow of Mordor
• Tweaked optimized settings for Middle-earth: Shadow of War
• Tweaked optimized settings for Need for Speed (2016)
• Tweaked optimized settings for Need for Speed Heat
• Tweaked optimized settings for Need for Speed Payback
• Tweaked optimized settings for Need for Speed Rivals
• Tweaked optimized settings for Need for Speed Unbound
• Tweaked optimized settings for Need for Speed: Hot Pursuit Remastered
• Tweaked optimized settings for Need for Speed: Most Wanted (2012)
• Tweaked optimized settings for Need for Speed: Shift
• Tweaked optimized settings for Need for Speed: Shift 2 Unleashed
• Tweaked optimized settings for Nioh 2: The Complete Edition
• Tweaked optimized settings for Nioh: Complete Edition
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Updated game detection protocol for Dynasty Warriors: Origins
• Updated game detection protocol for Medal of Honor: Warfighter
• Updated game detection protocol for Middle-earth: Shadow of Mordor
• Updated game detection protocol for Middle-earth: Shadow of War
• Updated game detection protocol for Need for Speed (2016)
• Updated game detection protocol for Need for Speed Heat
• Updated game detection protocol for Need for Speed Payback
• Updated game detection protocol for Need for Speed Rivals
• Updated game detection protocol for Need for Speed Unbound
• Updated game detection protocol for Need for Speed: Hot Pursuit Remastered
• Updated game detection protocol for Need for Speed: Most Wanted (2012)
• Updated game detection protocol for Need for Speed: Shift
• Updated game detection protocol for Need for Speed: Shift 2 Unleashed
• Updated game detection protocol for Nioh 2: The Complete Edition
• Updated game detection protocol for Nioh: Complete Edition
• Updated game detection protocol for Plants vs. Zombies: Battle for Neighborville
• Updated game detection protocol for Plants vs. Zombies: Garden Warfare
• Updated game detection protocol for Plants vs. Zombies: Garden Warfare 2

Low Specs Experience v12.7.3 - 2025-07-10
• Tweaked maximum performance optimization for Far Cry 5
• Tweaked maximum performance optimization for Far Cry 6
• Tweaked maximum performance optimization for Far Cry New Dawn
• Tweaked optimized settings for Far Cry 5
• Tweaked optimized settings for Far Cry 6
• Tweaked optimized settings for Far Cry New Dawn
• Updated game detection protocol for Far Cry 5
• Updated game detection protocol for Far Cry 6
• Updated game detection protocol for Far Cry New Dawn

Low Specs Experience v12.7.2 - 2025-07-09
• Tweaked maximum performance optimization for Far Cry 2
• Tweaked maximum performance optimization for Far Cry 3
• Tweaked maximum performance optimization for Far Cry 3: Blood Dragon
• Tweaked maximum performance optimization for Far Cry 4
• Tweaked maximum performance optimization for Far Cry Primal
• Tweaked optimized settings for Far Cry 2
• Tweaked optimized settings for Far Cry 3
• Tweaked optimized settings for Far Cry 3: Blood Dragon
• Tweaked optimized settings for Far Cry 4
• Tweaked optimized settings for Far Cry Primal
• Updated game detection protocol for Far Cry 4
• Updated game detection protocol for Far Cry Primal

Low Specs Experience v12.7.1 - 2025-07-07
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for Close to the Sun
• Tweaked maximum performance optimization for Dead Man's Diary
• Tweaked maximum performance optimization for Death Stranding
• Tweaked maximum performance optimization for Death Stranding Director's Cut
• Tweaked maximum performance optimization for Deathloop
• Tweaked maximum performance optimization for Dragon Age: Inquisition
• Tweaked maximum performance optimization for Dragon Age: The Veilguard
• Tweaked maximum performance optimization for Far Cry 2
• Tweaked maximum performance optimization for Far Cry 3
• Tweaked maximum performance optimization for Far Cry 3: Blood Dragon
• Tweaked maximum performance optimization for Ghostrunner
• Tweaked maximum performance optimization for Ghostrunner 2
• Tweaked maximum performance optimization for Halo: The Master Chief Collection
• Tweaked maximum performance optimization for Mass Effect: Andromeda
• Tweaked maximum performance optimization for PUBG: Battlegrounds
• Tweaked maximum performance optimization for Returnal
• Tweaked maximum performance optimization for State of Decay 2: Juggernaut Edition
• Tweaked maximum performance optimization for Tales of Arise
• Tweaked maximum performance optimization for Tekken 7
• Tweaked maximum performance optimization for The Callisto Protocol
• Tweaked maximum performance optimization for The Medium
• Tweaked maximum performance optimization for The Quarry
• Tweaked maximum performance optimization for Vampire: The Masquerade - Bloodhunt
• Tweaked optimized settings for Anthem
• Tweaked optimized settings for Close to the Sun
• Tweaked optimized settings for Dead Man's Diary
• Tweaked optimized settings for Death Stranding
• Tweaked optimized settings for Death Stranding Director's Cut
• Tweaked optimized settings for Deathloop
• Tweaked optimized settings for Dragon Age: Inquisition
• Tweaked optimized settings for Dragon Age: The Veilguard
• Tweaked optimized settings for Far Cry 2
• Tweaked optimized settings for Far Cry 3
• Tweaked optimized settings for Far Cry 3: Blood Dragon
• Tweaked optimized settings for Ghostrunner
• Tweaked optimized settings for Ghostrunner 2
• Tweaked optimized settings for Halo: The Master Chief Collection
• Tweaked optimized settings for Mass Effect: Andromeda
• Tweaked optimized settings for PUBG: Battlegrounds
• Tweaked optimized settings for Returnal
• Tweaked optimized settings for State of Decay 2: Juggernaut Edition
• Tweaked optimized settings for Tales of Arise
• Tweaked optimized settings for Tekken 7
• Tweaked optimized settings for The Callisto Protocol
• Tweaked optimized settings for The Medium
• Tweaked optimized settings for The Quarry
• Tweaked optimized settings for Vampire: The Masquerade - Bloodhunt
• Updated game detection protocol for Close to the Sun
• Updated game detection protocol for Dead Man's Diary
• Updated game detection protocol for Deathloop
• Updated game detection protocol for Dragon Age: Inquisition
• Updated game detection protocol for Dragon Age: The Veilguard
• Updated game detection protocol for Far Cry 3: Blood Dragon
• Updated game detection protocol for Ghostrunner
• Updated game detection protocol for Ghostrunner 2
• Updated game detection protocol for Halo: The Master Chief Collection
• Updated game detection protocol for Mass Effect: Andromeda
• Updated game detection protocol for PUBG: Battlegrounds
• Updated game detection protocol for Returnal
• Updated game detection protocol for State of Decay 2: Juggernaut Edition
• Updated game detection protocol for Tales of Arise
• Updated game detection protocol for Tekken 7
• Updated game detection protocol for The Callisto Protocol
• Updated game detection protocol for The Medium
• Updated game detection protocol for Vampire: The Masquerade - Bloodhunt

Low Specs Experience v12.7.0 - 2025-06-27
• Added maximum performance optimization for Sleeping Dogs (2012)
• Added maximum performance optimization for The Sinking City Remastered
• Added optimized settings for Sleeping Dogs (2012)
• Added optimized settings for The Sinking City Remastered
• Deprecated optimization support for Dauntless
• Reworked maximum performance optimization for Darksiders
• Reworked maximum performance optimization for Darksiders 2
• Reworked maximum performance optimization for Darksiders 2: Deathinitive Edition
• Reworked maximum performance optimization for Darksiders Warmastered Edition
• Reworked maximum performance optimization for Forza Horizon 4
• Reworked maximum performance optimization for Stranded Deep
• Tweaked maximum performance optimization for Borderlands 3
• Tweaked maximum performance optimization for Destiny 2
• Tweaked maximum performance optimization for Dragon Ball Z: Kakarot
• Tweaked maximum performance optimization for Dragon Ball: Sparking! Zero
• Tweaked maximum performance optimization for Empire of the Ants (2024)
• Tweaked maximum performance optimization for For Honor
• Tweaked maximum performance optimization for Forza Horizon 5
• Tweaked maximum performance optimization for GreedFall
• Tweaked maximum performance optimization for Jump Force
• Tweaked maximum performance optimization for Marvel Rivals
• Tweaked maximum performance optimization for MechWarrior 5: Clans
• Tweaked maximum performance optimization for Outriders
• Tweaked maximum performance optimization for Shadow Warrior 2
• Tweaked maximum performance optimization for Shadow Warrior 3
• Tweaked maximum performance optimization for Shenmue 3
• Tweaked maximum performance optimization for Sherlock Holmes: Chapter One
• Tweaked maximum performance optimization for Sleeping Dogs: Definitive Edition
• Tweaked maximum performance optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Tweaked maximum performance optimization for SpongeBob SquarePants: The Cosmic Shake
• Tweaked maximum performance optimization for Spyro Reignited Trilogy
• Tweaked maximum performance optimization for Star Trek Prodigy: Supernova
• Tweaked maximum performance optimization for Stray
• Tweaked maximum performance optimization for Submerged
• Tweaked maximum performance optimization for Submerged: Hidden Depths
• Tweaked maximum performance optimization for Sword and Fairy 7
• Tweaked maximum performance optimization for The Outer Worlds
• Tweaked maximum performance optimization for The Outer Worlds: Spacer's Choice Edition
• Tweaked maximum performance optimization for The Sims 3
• Tweaked maximum performance optimization for The Sims 4
• Tweaked maximum performance optimization for The Sinking City (2019)
• Tweaked maximum performance optimization for The Surge
• Tweaked maximum performance optimization for The Surge 2
• Tweaked maximum performance optimization for Tiny Tina's Wonderlands
• Tweaked maximum performance optimization for Vampire: The Masquerade - Swansong
• Tweaked maximum performance optimization for Vampyr
• Tweaked optimized settings for Borderlands 3
• Tweaked optimized settings for Darksiders
• Tweaked optimized settings for Darksiders 2
• Tweaked optimized settings for Darksiders 2: Deathinitive Edition
• Tweaked optimized settings for Darksiders Warmastered Edition
• Tweaked optimized settings for Destiny 2
• Tweaked optimized settings for Dragon Ball Z: Kakarot
• Tweaked optimized settings for Dragon Ball: Sparking! Zero
• Tweaked optimized settings for Empire of the Ants (2024)
• Tweaked optimized settings for For Honor
• Tweaked optimized settings for Forza Horizon 4
• Tweaked optimized settings for Forza Horizon 5
• Tweaked optimized settings for GreedFall
• Tweaked optimized settings for Jump Force
• Tweaked optimized settings for Marvel Rivals
• Tweaked optimized settings for MechWarrior 5: Clans
• Tweaked optimized settings for Outriders
• Tweaked optimized settings for Shadow Warrior 2
• Tweaked optimized settings for Shadow Warrior 3
• Tweaked optimized settings for Shenmue 3
• Tweaked optimized settings for Sherlock Holmes: Chapter One
• Tweaked optimized settings for Sleeping Dogs: Definitive Edition
• Tweaked optimized settings for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Tweaked optimized settings for SpongeBob SquarePants: The Cosmic Shake
• Tweaked optimized settings for Spyro Reignited Trilogy
• Tweaked optimized settings for Star Trek Prodigy: Supernova
• Tweaked optimized settings for Stranded Deep
• Tweaked optimized settings for Stray
• Tweaked optimized settings for Submerged
• Tweaked optimized settings for Submerged: Hidden Depths
• Tweaked optimized settings for Sword and Fairy 7
• Tweaked optimized settings for The Outer Worlds
• Tweaked optimized settings for The Outer Worlds: Spacer's Choice Edition
• Tweaked optimized settings for The Sims 3
• Tweaked optimized settings for The Sims 4
• Tweaked optimized settings for The Sinking City (2019)
• Tweaked optimized settings for The Surge
• Tweaked optimized settings for The Surge 2
• Tweaked optimized settings for Tiny Tina's Wonderlands
• Tweaked optimized settings for Vampire: The Masquerade - Swansong
• Tweaked optimized settings for Vampyr
• Updated game detection protocol for Borderlands 3
• Updated game detection protocol for Darksiders
• Updated game detection protocol for Darksiders 2
• Updated game detection protocol for Darksiders 2: Deathinitive Edition
• Updated game detection protocol for Darksiders Warmastered Edition
• Updated game detection protocol for Destiny 2
• Updated game detection protocol for Dragon Ball Z: Kakarot
• Updated game detection protocol for Dragon Ball: Sparking! Zero
• Updated game detection protocol for Empire of the Ants (2024)
• Updated game detection protocol for For Honor
• Updated game detection protocol for Forza Horizon 4
• Updated game detection protocol for Forza Horizon 5
• Updated game detection protocol for GreedFall
• Updated game detection protocol for Jump Force
• Updated game detection protocol for Marvel Rivals
• Updated game detection protocol for MechWarrior 5: Clans
• Updated game detection protocol for Outriders
• Updated game detection protocol for Shadow Warrior 2
• Updated game detection protocol for Shadow Warrior 3
• Updated game detection protocol for Sherlock Holmes: Chapter One
• Updated game detection protocol for Sleeping Dogs: Definitive Edition
• Updated game detection protocol for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Updated game detection protocol for SpongeBob SquarePants: The Cosmic Shake
• Updated game detection protocol for Spyro Reignited Trilogy
• Updated game detection protocol for Star Trek Prodigy: Supernova
• Updated game detection protocol for Stranded Deep
• Updated game detection protocol for Stray
• Updated game detection protocol for Submerged
• Updated game detection protocol for Submerged: Hidden Depths
• Updated game detection protocol for Sword and Fairy 7
• Updated game detection protocol for The Outer Worlds
• Updated game detection protocol for The Outer Worlds: Spacer's Choice Edition
• Updated game detection protocol for The Sims 3
• Updated game detection protocol for The Sims 4
• Updated game detection protocol for The Sinking City (2019)
• Updated game detection protocol for The Surge
• Updated game detection protocol for The Surge 2
• Updated game detection protocol for Tiny Tina's Wonderlands
• Updated game detection protocol for Vampire: The Masquerade - Swansong
• Updated game detection protocol for Vampyr

Low Specs Experience v12.6.9 - 2025-06-20
• Reworked maximum performance optimization for Saints Row 4
• Reworked maximum performance optimization for Saints Row: Gat out of Hell
• Reworked maximum performance optimization for Saints Row: The Third (2011)
• Reworked maximum performance optimization for Saints Row: The Third Remastered
• Tweaked maximum performance optimization for A Way Out
• Tweaked maximum performance optimization for Abzu
• Tweaked maximum performance optimization for Ace Combat 7: Skies Unknown
• Tweaked maximum performance optimization for Aegis Descent
• Tweaked maximum performance optimization for Agony
• Tweaked maximum performance optimization for Agony Unrated
• Tweaked maximum performance optimization for Aliens: Fireteam Elite
• Tweaked maximum performance optimization for Alone in the Dark (2024)
• Tweaked maximum performance optimization for Ancestors: The Humankind Odyssey
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for ARK: Survival Evolved
• Tweaked maximum performance optimization for Ashes of Oahu
• Tweaked maximum performance optimization for Assetto Corsa Competizione
• Tweaked maximum performance optimization for Astroneer
• Tweaked maximum performance optimization for Atomic Heart
• Tweaked maximum performance optimization for Back 4 Blood
• Tweaked maximum performance optimization for Bakery Simulator
• Tweaked maximum performance optimization for Baldur's Gate 3
• Tweaked maximum performance optimization for Big Earth
• Tweaked maximum performance optimization for Biomutant
• Tweaked maximum performance optimization for Blair Witch
• Tweaked maximum performance optimization for Bloodstained: Ritual of the Night
• Tweaked maximum performance optimization for Bus Simulator 18
• Tweaked maximum performance optimization for Bus Simulator 21
• Tweaked maximum performance optimization for Chernobylite
• Tweaked maximum performance optimization for Chivalry 2
• Tweaked maximum performance optimization for Clair Obscur: Expedition 33
• Tweaked maximum performance optimization for Code Vein
• Tweaked maximum performance optimization for Cold House
• Tweaked maximum performance optimization for Conan Exiles
• Tweaked maximum performance optimization for Crackdown 3
• Tweaked maximum performance optimization for Crash Bandicoot 4: It's About Time
• Tweaked maximum performance optimization for Darksiders 3
• Tweaked maximum performance optimization for Darksiders Genesis
• Tweaked maximum performance optimization for Daylight (2014)
• Tweaked maximum performance optimization for Daymare: 1994 Sandcastle
• Tweaked maximum performance optimization for Daymare: 1998
• Tweaked maximum performance optimization for Dead by Daylight
• Tweaked maximum performance optimization for Death Stranding
• Tweaked maximum performance optimization for Death Stranding Director's Cut
• Tweaked maximum performance optimization for Deliver Us Mars
• Tweaked maximum performance optimization for Deliver Us The Moon
• Tweaked maximum performance optimization for Devil's Hunt
• Tweaked maximum performance optimization for Effie
• Tweaked maximum performance optimization for Esse Proxy
• Tweaked maximum performance optimization for Evil West
• Tweaked maximum performance optimization for Fade to Silence
• Tweaked maximum performance optimization for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked maximum performance optimization for Food Truck Simulator
• Tweaked maximum performance optimization for Friday the 13th: The Game
• Tweaked maximum performance optimization for Gas Station Simulator
• Tweaked maximum performance optimization for Gears 5
• Tweaked maximum performance optimization for Gears Tactics
• Tweaked maximum performance optimization for Ghostwire: Tokyo
• Tweaked maximum performance optimization for Gotham Knights
• Tweaked maximum performance optimization for Grand Theft Auto 3 - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked maximum performance optimization for Hellblade: Senua's Sacrifice
• Tweaked maximum performance optimization for High on Life
• Tweaked maximum performance optimization for It Takes Two
• Tweaked maximum performance optimization for Journey to the Savage Planet
• Tweaked maximum performance optimization for Kena: Bridge of Spirits
• Tweaked maximum performance optimization for Life is Strange 2
• Tweaked maximum performance optimization for Life is Strange Remastered
• Tweaked maximum performance optimization for Life is Strange: True Colors
• Tweaked maximum performance optimization for Little Nightmares 2
• Tweaked maximum performance optimization for Martha Is Dead
• Tweaked maximum performance optimization for MechWarrior 5: Mercenaries
• Tweaked maximum performance optimization for Moons of Madness
• Tweaked maximum performance optimization for OVERKILL's The Walking Dead
• Tweaked maximum performance optimization for Partisans 1941
• Tweaked maximum performance optimization for Redfall
• Tweaked maximum performance optimization for Remnant 2
• Tweaked maximum performance optimization for Remnant: From the Ashes
• Tweaked maximum performance optimization for Shenmue 3
• Tweaked maximum performance optimization for Sniper Elite 3
• Tweaked maximum performance optimization for Sniper Elite 4
• Tweaked maximum performance optimization for Sniper Elite 5
• Tweaked maximum performance optimization for Sniper Elite V2
• Tweaked maximum performance optimization for Sniper Elite V2 Remastered
• Tweaked maximum performance optimization for Sniper Elite: Nazi Zombie Army
• Tweaked maximum performance optimization for Sniper Elite: Nazi Zombie Army 2
• Tweaked maximum performance optimization for Sniper Elite: Resistance
• Tweaked maximum performance optimization for Tell Me Why
• Tweaked maximum performance optimization for Terminator: Resistance
• Tweaked maximum performance optimization for The Awesome Adventures of Captain Spirit
• Tweaked maximum performance optimization for The Beast Inside
• Tweaked maximum performance optimization for The Dark Pictures Anthology: House of Ashes
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Little Hope
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Man of Medan
• Tweaked maximum performance optimization for The Dark Pictures Anthology: The Devil in Me
• Tweaked maximum performance optimization for The Eternal Cylinder
• Tweaked maximum performance optimization for The Last Oricru
• Tweaked maximum performance optimization for The Quarry
• Tweaked maximum performance optimization for The Redress of Mira
• Tweaked maximum performance optimization for Tony Hawk's Pro Skater 1 + 2
• Tweaked maximum performance optimization for Treasure Hunter Simulator
• Tweaked maximum performance optimization for Trek to Yomi
• Tweaked maximum performance optimization for Twin Mirror
• Tweaked maximum performance optimization for Unknown 9: Awakening
• Tweaked maximum performance optimization for We Happy Few
• Tweaked maximum performance optimization for Zombie Army 4: Dead War
• Tweaked maximum performance optimization for Zombie Army Trilogy
• Tweaked optimized settings for A Way Out
• Tweaked optimized settings for Abzu
• Tweaked optimized settings for Ace Combat 7: Skies Unknown
• Tweaked optimized settings for Aegis Descent
• Tweaked optimized settings for Agony
• Tweaked optimized settings for Agony Unrated
• Tweaked optimized settings for Aliens: Fireteam Elite
• Tweaked optimized settings for Alone in the Dark (2024)
• Tweaked optimized settings for Ancestors: The Humankind Odyssey
• Tweaked optimized settings for Anthem
• Tweaked optimized settings for ARK: Survival Evolved
• Tweaked optimized settings for Ashes of Oahu
• Tweaked optimized settings for Assetto Corsa Competizione
• Tweaked optimized settings for Astroneer
• Tweaked optimized settings for Atomic Heart
• Tweaked optimized settings for Back 4 Blood
• Tweaked optimized settings for Bakery Simulator
• Tweaked optimized settings for Baldur's Gate 3
• Tweaked optimized settings for Big Earth
• Tweaked optimized settings for Biomutant
• Tweaked optimized settings for Blair Witch
• Tweaked optimized settings for Bloodstained: Ritual of the Night
• Tweaked optimized settings for Bus Simulator 18
• Tweaked optimized settings for Bus Simulator 21
• Tweaked optimized settings for Chernobylite
• Tweaked optimized settings for Chivalry 2
• Tweaked optimized settings for Clair Obscur: Expedition 33
• Tweaked optimized settings for Code Vein
• Tweaked optimized settings for Cold House
• Tweaked optimized settings for Conan Exiles
• Tweaked optimized settings for Crackdown 3
• Tweaked optimized settings for Crash Bandicoot 4: It's About Time
• Tweaked optimized settings for Darksiders 3
• Tweaked optimized settings for Darksiders Genesis
• Tweaked optimized settings for Daylight (2014)
• Tweaked optimized settings for Daymare: 1994 Sandcastle
• Tweaked optimized settings for Daymare: 1998
• Tweaked optimized settings for Dead by Daylight
• Tweaked optimized settings for Death Stranding
• Tweaked optimized settings for Death Stranding Director's Cut
• Tweaked optimized settings for Deliver Us Mars
• Tweaked optimized settings for Deliver Us The Moon
• Tweaked optimized settings for Devil's Hunt
• Tweaked optimized settings for Effie
• Tweaked optimized settings for Esse Proxy
• Tweaked optimized settings for Evil West
• Tweaked optimized settings for Fade to Silence
• Tweaked optimized settings for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked optimized settings for Food Truck Simulator
• Tweaked optimized settings for Friday the 13th: The Game
• Tweaked optimized settings for Gas Station Simulator
• Tweaked optimized settings for Gears 5
• Tweaked optimized settings for Gears Tactics
• Tweaked optimized settings for Ghostwire: Tokyo
• Tweaked optimized settings for Gotham Knights
• Tweaked optimized settings for Grand Theft Auto 3 - The Definitive Edition
• Tweaked optimized settings for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked optimized settings for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked optimized settings for Hellblade: Senua's Sacrifice
• Tweaked optimized settings for High on Life
• Tweaked optimized settings for It Takes Two
• Tweaked optimized settings for Journey to the Savage Planet
• Tweaked optimized settings for Kena: Bridge of Spirits
• Tweaked optimized settings for Life is Strange 2
• Tweaked optimized settings for Life is Strange Remastered
• Tweaked optimized settings for Life is Strange: True Colors
• Tweaked optimized settings for Little Nightmares 2
• Tweaked optimized settings for Martha Is Dead
• Tweaked optimized settings for MechWarrior 5: Mercenaries
• Tweaked optimized settings for Moons of Madness
• Tweaked optimized settings for OVERKILL's The Walking Dead
• Tweaked optimized settings for Partisans 1941
• Tweaked optimized settings for Redfall
• Tweaked optimized settings for Remnant 2
• Tweaked optimized settings for Remnant: From the Ashes
• Tweaked optimized settings for Saints Row 4
• Tweaked optimized settings for Saints Row: Gat out of Hell
• Tweaked optimized settings for Saints Row: The Third (2011)
• Tweaked optimized settings for Saints Row: The Third Remastered
• Tweaked optimized settings for Shenmue 3
• Tweaked optimized settings for Sniper Elite 3
• Tweaked optimized settings for Sniper Elite 4
• Tweaked optimized settings for Sniper Elite 5
• Tweaked optimized settings for Sniper Elite V2
• Tweaked optimized settings for Sniper Elite V2 Remastered
• Tweaked optimized settings for Sniper Elite: Nazi Zombie Army
• Tweaked optimized settings for Sniper Elite: Nazi Zombie Army 2
• Tweaked optimized settings for Sniper Elite: Resistance
• Tweaked optimized settings for Tell Me Why
• Tweaked optimized settings for Terminator: Resistance
• Tweaked optimized settings for The Awesome Adventures of Captain Spirit
• Tweaked optimized settings for The Beast Inside
• Tweaked optimized settings for The Dark Pictures Anthology: House of Ashes
• Tweaked optimized settings for The Dark Pictures Anthology: Little Hope
• Tweaked optimized settings for The Dark Pictures Anthology: Man of Medan
• Tweaked optimized settings for The Dark Pictures Anthology: The Devil in Me
• Tweaked optimized settings for The Eternal Cylinder
• Tweaked optimized settings for The Last Oricru
• Tweaked optimized settings for The Quarry
• Tweaked optimized settings for The Redress of Mira
• Tweaked optimized settings for Tony Hawk's Pro Skater 1 + 2
• Tweaked optimized settings for Treasure Hunter Simulator
• Tweaked optimized settings for Trek to Yomi
• Tweaked optimized settings for Twin Mirror
• Tweaked optimized settings for Unknown 9: Awakening
• Tweaked optimized settings for We Happy Few
• Tweaked optimized settings for Zombie Army 4: Dead War
• Tweaked optimized settings for Zombie Army Trilogy
• Updated game detection protocol for Conan Exiles
• Updated game detection protocol for Darksiders 3
• Updated game detection protocol for Darksiders Genesis
• Updated game detection protocol for Daylight (2014)
• Updated game detection protocol for Daymare: 1994 Sandcastle
• Updated game detection protocol for Daymare: 1998
• Updated game detection protocol for Death Stranding
• Updated game detection protocol for Death Stranding Director's Cut
• Updated game detection protocol for Dishonored 2
• Updated game detection protocol for Dishonored: Death of the Outsider
• Updated game detection protocol for Esse Proxy
• Updated game detection protocol for Fade to Silence
• Updated game detection protocol for Food Truck Simulator
• Updated game detection protocol for Friday the 13th: The Game
• Updated game detection protocol for Hellblade: Senua's Sacrifice
• Updated game detection protocol for High on Life
• Updated game detection protocol for It Takes Two
• Updated game detection protocol for Journey to the Savage Planet
• Updated game detection protocol for Kena: Bridge of Spirits
• Updated game detection protocol for Martha Is Dead
• Updated game detection protocol for MechWarrior 5: Mercenaries
• Updated game detection protocol for Redfall
• Updated game detection protocol for Remnant 2
• Updated game detection protocol for Remnant: From the Ashes
• Updated game detection protocol for Saints Row 4
• Updated game detection protocol for Saints Row: Gat out of Hell
• Updated game detection protocol for Saints Row: The Third (2011)
• Updated game detection protocol for Saints Row: The Third Remastered
• Updated game detection protocol for Shenmue 3
• Updated game detection protocol for Sniper Elite 3
• Updated game detection protocol for Sniper Elite 4
• Updated game detection protocol for Sniper Elite 5
• Updated game detection protocol for Sniper Elite V2
• Updated game detection protocol for Sniper Elite V2 Remastered
• Updated game detection protocol for Sniper Elite: Nazi Zombie Army
• Updated game detection protocol for Sniper Elite: Nazi Zombie Army 2
• Updated game detection protocol for Sniper Elite: Resistance
• Updated game detection protocol for The Last Oricru
• Updated game detection protocol for The Quarry
• Updated game detection protocol for Tony Hawk's Pro Skater 1 + 2
• Updated game detection protocol for Unknown 9: Awakening
• Updated game detection protocol for Zombie Army 4: Dead War
• Updated game detection protocol for Zombie Army Trilogy

Low Specs Experience v12.6.8 - 2025-06-13
• Reworked maximum performance optimization for Dead Rising
• Reworked maximum performance optimization for Dead Rising 2
• Reworked maximum performance optimization for Dead Rising 2: Off the Record
• Reworked maximum performance optimization for Fast and Furious Crossroads
• Tweaked maximum performance optimization for A Plague Tale: Innocence
• Tweaked maximum performance optimization for A Way Out
• Tweaked maximum performance optimization for Abzu
• Tweaked maximum performance optimization for Alan Wake
• Tweaked maximum performance optimization for Baldur's Gate 3
• Tweaked maximum performance optimization for Battlefield 1
• Tweaked maximum performance optimization for Battlefield 3
• Tweaked maximum performance optimization for Battlefield 4
• Tweaked maximum performance optimization for Battlefield 5
• Tweaked maximum performance optimization for Battlefield 2042
• Tweaked maximum performance optimization for Battlefield Hardline
• Tweaked maximum performance optimization for Call of Cthulhu
• Tweaked maximum performance optimization for Code Vein
• Tweaked maximum performance optimization for Conqueror's Blade
• Tweaked maximum performance optimization for Control Ultimate Edition
• Tweaked maximum performance optimization for Crash Bandicoot 4: It's About Time
• Tweaked maximum performance optimization for Dead by Daylight
• Tweaked maximum performance optimization for Dead Rising 3
• Tweaked maximum performance optimization for Dead Rising 4
• Tweaked maximum performance optimization for Dead Rising Deluxe Remaster
• Tweaked maximum performance optimization for Evil West
• Tweaked maximum performance optimization for Friday the 13th: The Game
• Tweaked maximum performance optimization for Gas Station Simulator
• Tweaked maximum performance optimization for Gears 5
• Tweaked maximum performance optimization for Gears Tactics
• Tweaked maximum performance optimization for Ghostwire: Tokyo
• Tweaked maximum performance optimization for God of War Ragnarök
• Tweaked maximum performance optimization for Horizon Forbidden West
• Tweaked maximum performance optimization for Horizon Zero Dawn
• Tweaked maximum performance optimization for Horizon Zero Dawn Remastered
• Tweaked maximum performance optimization for Life is Strange 2
• Tweaked maximum performance optimization for Life is Strange Remastered
• Tweaked maximum performance optimization for Life is Strange: True Colors
• Tweaked maximum performance optimization for Little Nightmares
• Tweaked maximum performance optimization for Little Nightmares 2
• Tweaked maximum performance optimization for Moons of Madness
• Tweaked maximum performance optimization for OVERKILL's The Walking Dead
• Tweaked maximum performance optimization for Partisans 1941
• Tweaked maximum performance optimization for Redeemer: Enhanced Edition
• Tweaked maximum performance optimization for Sons of the Forest
• Tweaked maximum performance optimization for Tell Me Why
• Tweaked maximum performance optimization for Terminator: Resistance
• Tweaked maximum performance optimization for The Awesome Adventures of Captain Spirit
• Tweaked maximum performance optimization for The Beast Inside
• Tweaked maximum performance optimization for The Forest
• Tweaked maximum performance optimization for The Last of Us Part 1
• Tweaked maximum performance optimization for The Last of Us Part 2 Remastered
• Tweaked maximum performance optimization for The Redress of Mira
• Tweaked maximum performance optimization for Tom Clancy's Rainbow Six Extraction
• Tweaked maximum performance optimization for Tom Clancy's Rainbow Six Siege
• Tweaked maximum performance optimization for Treasure Hunter Simulator
• Tweaked maximum performance optimization for Trek to Yomi
• Tweaked maximum performance optimization for Twin Mirror
• Tweaked maximum performance optimization for Uncharted: Legacy of Thieves Collection
• Tweaked maximum performance optimization for We Happy Few
• Tweaked optimized settings for A Plague Tale: Innocence
• Tweaked optimized settings for A Way Out
• Tweaked optimized settings for Abzu
• Tweaked optimized settings for Alan Wake
• Tweaked optimized settings for Baldur's Gate 3
• Tweaked optimized settings for Battlefield 1
• Tweaked optimized settings for Battlefield 3
• Tweaked optimized settings for Battlefield 4
• Tweaked optimized settings for Battlefield 5
• Tweaked optimized settings for Battlefield 2042
• Tweaked optimized settings for Battlefield Hardline
• Tweaked optimized settings for Call of Cthulhu
• Tweaked optimized settings for Code Vein
• Tweaked optimized settings for Conqueror's Blade
• Tweaked optimized settings for Control Ultimate Edition
• Tweaked optimized settings for Crash Bandicoot 4: It's About Time
• Tweaked optimized settings for Dead by Daylight
• Tweaked optimized settings for Dead Rising 2: Off the Record
• Tweaked optimized settings for Dead Rising 3
• Tweaked optimized settings for Dead Rising 4
• Tweaked optimized settings for Dead Rising Deluxe Remaster
• Tweaked optimized settings for Evil West
• Tweaked optimized settings for Fast and Furious Crossroads
• Tweaked optimized settings for Friday the 13th: The Game
• Tweaked optimized settings for Gas Station Simulator
• Tweaked optimized settings for Gears 5
• Tweaked optimized settings for Gears Tactics
• Tweaked optimized settings for Ghostwire: Tokyo
• Tweaked optimized settings for God of War Ragnarök
• Tweaked optimized settings for Horizon Forbidden West
• Tweaked optimized settings for Horizon Zero Dawn
• Tweaked optimized settings for Horizon Zero Dawn Remastered
• Tweaked optimized settings for Life is Strange 2
• Tweaked optimized settings for Life is Strange Remastered
• Tweaked optimized settings for Life is Strange: True Colors
• Tweaked optimized settings for Little Nightmares
• Tweaked optimized settings for Little Nightmares 2
• Tweaked optimized settings for Moons of Madness
• Tweaked optimized settings for OVERKILL's The Walking Dead
• Tweaked optimized settings for Partisans 1941
• Tweaked optimized settings for Redeemer: Enhanced Edition
• Tweaked optimized settings for Sons of the Forest
• Tweaked optimized settings for Tell Me Why
• Tweaked optimized settings for Terminator: Resistance
• Tweaked optimized settings for The Awesome Adventures of Captain Spirit
• Tweaked optimized settings for The Beast Inside
• Tweaked optimized settings for The Forest
• Tweaked optimized settings for The Last of Us Part 1
• Tweaked optimized settings for The Last of Us Part 2 Remastered
• Tweaked optimized settings for The Redress of Mira
• Tweaked optimized settings for Tom Clancy's Rainbow Six Extraction
• Tweaked optimized settings for Tom Clancy's Rainbow Six Siege
• Tweaked optimized settings for Treasure Hunter Simulator
• Tweaked optimized settings for Trek to Yomi
• Tweaked optimized settings for Twin Mirror
• Tweaked optimized settings for Uncharted: Legacy of Thieves Collection
• Tweaked optimized settings for We Happy Few
• Updated game detection protocol for Baldur's Gate 3
• Updated game detection protocol for Battlefield 1
• Updated game detection protocol for Battlefield 3
• Updated game detection protocol for Battlefield 4
• Updated game detection protocol for Battlefield 5
• Updated game detection protocol for Battlefield 2042
• Updated game detection protocol for Battlefield Hardline
• Updated game detection protocol for Code Vein
• Updated game detection protocol for Conqueror's Blade
• Updated game detection protocol for Control Ultimate Edition
• Updated game detection protocol for Crash Bandicoot 4: It's About Time
• Updated game detection protocol for Dead by Daylight
• Updated game detection protocol for Dead Rising
• Updated game detection protocol for Dead Rising 2: Off the Record
• Updated game detection protocol for Dead Rising 3
• Updated game detection protocol for Dead Rising 4
• Updated game detection protocol for Dead Rising Deluxe Remaster
• Updated game detection protocol for Evil West
• Updated game detection protocol for Far Cry 2
• Updated game detection protocol for Far Cry 3
• Updated game detection protocol for Far Cry 3: Blood Dragon
• Updated game detection protocol for Far Cry 4
• Updated game detection protocol for Far Cry 5
• Updated game detection protocol for Far Cry 6
• Updated game detection protocol for Far Cry New Dawn
• Updated game detection protocol for Far Cry Primal
• Updated game detection protocol for Fast and Furious Crossroads
• Updated game detection protocol for Friday the 13th: The Game
• Updated game detection protocol for Gas Station Simulator
• Updated game detection protocol for Gears 5
• Updated game detection protocol for Gears of War 4
• Updated game detection protocol for Gears Tactics
• Updated game detection protocol for Ghostwire: Tokyo
• Updated game detection protocol for God of War Ragnarök
• Updated game detection protocol for Horizon Forbidden West
• Updated game detection protocol for Horizon Zero Dawn
• Updated game detection protocol for Horizon Zero Dawn Remastered
• Updated game detection protocol for Life is Strange 2
• Updated game detection protocol for Life is Strange Remastered
• Updated game detection protocol for Life is Strange: True Colors
• Updated game detection protocol for Little Nightmares
• Updated game detection protocol for Little Nightmares 2
• Updated game detection protocol for Moons of Madness
• Updated game detection protocol for OVERKILL's The Walking Dead
• Updated game detection protocol for Partisans 1941
• Updated game detection protocol for Redeemer: Enhanced Edition
• Updated game detection protocol for Sons of the Forest
• Updated game detection protocol for Tell Me Why
• Updated game detection protocol for Terminator: Resistance
• Updated game detection protocol for The Awesome Adventures of Captain Spirit
• Updated game detection protocol for The Beast Inside
• Updated game detection protocol for The Forest
• Updated game detection protocol for The Last of Us Part 1
• Updated game detection protocol for The Last of Us Part 2 Remastered
• Updated game detection protocol for The Redress of Mira
• Updated game detection protocol for Tom Clancy's Rainbow Six Extraction
• Updated game detection protocol for Tom Clancy's Rainbow Six Siege
• Updated game detection protocol for Treasure Hunter Simulator
• Updated game detection protocol for Trek to Yomi
• Updated game detection protocol for Twin Mirror
• Updated game detection protocol for Uncharted: Legacy of Thieves Collection
• Updated game detection protocol for We Happy Few

Low Specs Experience v12.6.7 - 2025-06-06
• [BACK-END] Refined game detection and optimization API (gen_4_update_17)
• Tweaked maximum performance optimization for Chernobylite
• Tweaked maximum performance optimization for Chivalry 2
• Tweaked maximum performance optimization for Clair Obscur: Expedition 33
• Tweaked maximum performance optimization for Cold House
• Tweaked maximum performance optimization for Deliver Us Mars
• Tweaked maximum performance optimization for Deliver Us The Moon
• Tweaked maximum performance optimization for Devil's Hunt
• Tweaked maximum performance optimization for Effie
• Tweaked maximum performance optimization for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked maximum performance optimization for Grand Theft Auto 3 - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked maximum performance optimization for The Dark Pictures Anthology: House of Ashes
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Little Hope
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Man of Medan
• Tweaked maximum performance optimization for The Dark Pictures Anthology: The Devil in Me
• Tweaked optimized settings for Chernobylite
• Tweaked optimized settings for Chivalry 2
• Tweaked optimized settings for Clair Obscur: Expedition 33
• Tweaked optimized settings for Cold House
• Tweaked optimized settings for Deliver Us Mars
• Tweaked optimized settings for Deliver Us The Moon
• Tweaked optimized settings for Devil's Hunt
• Tweaked optimized settings for Effie
• Tweaked optimized settings for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked optimized settings for The Dark Pictures Anthology: House of Ashes
• Tweaked optimized settings for The Dark Pictures Anthology: Little Hope
• Tweaked optimized settings for The Dark Pictures Anthology: Man of Medan
• Tweaked optimized settings for The Dark Pictures Anthology: The Devil in Me
• Updated game detection protocol for Chernobylite
• Updated game detection protocol for Chivalry 2
• Updated game detection protocol for Deliver Us Mars
• Updated game detection protocol for Deliver Us The Moon
• Updated game detection protocol for Devil's Hunt
• Updated game detection protocol for Effie
• Updated game detection protocol for Fast and Furious: Spy Racers Rise of SH1FT3R
• Updated game detection protocol for Grand Theft Auto 3 - The Definitive Edition
• Updated game detection protocol for Grand Theft Auto: San Andreas - The Definitive Edition
• Updated game detection protocol for Grand Theft Auto: Vice City - The Definitive Edition
• Updated game detection protocol for The Dark Pictures Anthology: House of Ashes
• Updated game detection protocol for The Dark Pictures Anthology: Little Hope
• Updated game detection protocol for The Dark Pictures Anthology: Man of Medan
• Updated game detection protocol for The Dark Pictures Anthology: The Devil in Me

Low Specs Experience v12.6.6 - 2025-06-04
• Added maximum performance optimization for Mass Effect Legendary Edition
• Added optimized settings for Mass Effect Legendary Edition
• Deprecated optimization support for Mass Effect 2 (Legendary Edition)
• Deprecated optimization support for Mass Effect 3 (Legendary Edition)
• Deprecated optimization support for Mass Effect (Legendary Edition)
• Reworked maximum performance optimization for Batman: Arkham Origins Blackgate
• Reworked maximum performance optimization for Forza Horizon 3
• Tweaked maximum performance optimization for A Way Out
• Tweaked maximum performance optimization for Abzu
• Tweaked maximum performance optimization for Aegis Descent
• Tweaked maximum performance optimization for Agony
• Tweaked maximum performance optimization for Agony Unrated
• Tweaked maximum performance optimization for Aliens: Fireteam Elite
• Tweaked maximum performance optimization for Alone in the Dark (2024)
• Tweaked maximum performance optimization for Ancestors: The Humankind Odyssey
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for ARK: Survival Evolved
• Tweaked maximum performance optimization for Arma 3
• Tweaked maximum performance optimization for Ashes of Oahu
• Tweaked maximum performance optimization for Assetto Corsa Competizione
• Tweaked maximum performance optimization for Astroneer
• Tweaked maximum performance optimization for Atomic Heart
• Tweaked maximum performance optimization for Avowed
• Tweaked maximum performance optimization for Back 4 Blood
• Tweaked maximum performance optimization for Bakery Simulator
• Tweaked maximum performance optimization for Big Earth
• Tweaked maximum performance optimization for Biomutant
• Tweaked maximum performance optimization for Blair Witch
• Tweaked maximum performance optimization for Bloodstained: Ritual of the Night
• Tweaked maximum performance optimization for Bright Memory
• Tweaked maximum performance optimization for Bright Memory: Infinite
• Tweaked maximum performance optimization for Bus Simulator 18
• Tweaked maximum performance optimization for Bus Simulator 21
• Tweaked maximum performance optimization for Call of Cthulhu
• Tweaked maximum performance optimization for Cold House
• Tweaked maximum performance optimization for Crackdown 3
• Tweaked maximum performance optimization for Days Gone
• Tweaked maximum performance optimization for Gears of War 4
• Tweaked maximum performance optimization for God of War (2018)
• Tweaked maximum performance optimization for Gotham Knights
• Tweaked maximum performance optimization for Grand Theft Auto 3 - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked maximum performance optimization for Mad Max
• Tweaked maximum performance optimization for The Eternal Cylinder
• Tweaked maximum performance optimization for Tomb Raider (2013)
• Tweaked maximum performance optimization for Tomb Raider: Definitive Edition
• Tweaked optimized settings for A Way Out
• Tweaked optimized settings for Abzu
• Tweaked optimized settings for Aegis Descent
• Tweaked optimized settings for Agony
• Tweaked optimized settings for Agony Unrated
• Tweaked optimized settings for Aliens: Fireteam Elite
• Tweaked optimized settings for Alone in the Dark (2024)
• Tweaked optimized settings for Ancestors: The Humankind Odyssey
• Tweaked optimized settings for Anthem
• Tweaked optimized settings for ARK: Survival Evolved
• Tweaked optimized settings for Arma 3
• Tweaked optimized settings for Ashes of Oahu
• Tweaked optimized settings for Assetto Corsa Competizione
• Tweaked optimized settings for Astroneer
• Tweaked optimized settings for Atomic Heart
• Tweaked optimized settings for Avowed
• Tweaked optimized settings for Back 4 Blood
• Tweaked optimized settings for Bakery Simulator
• Tweaked optimized settings for Batman: Arkham Origins Blackgate
• Tweaked optimized settings for Big Earth
• Tweaked optimized settings for Biomutant
• Tweaked optimized settings for Blair Witch
• Tweaked optimized settings for Bloodstained: Ritual of the Night
• Tweaked optimized settings for Bright Memory
• Tweaked optimized settings for Bright Memory: Infinite
• Tweaked optimized settings for Bus Simulator 18
• Tweaked optimized settings for Bus Simulator 21
• Tweaked optimized settings for Call of Cthulhu
• Tweaked optimized settings for Cold House
• Tweaked optimized settings for Crackdown 3
• Tweaked optimized settings for Days Gone
• Tweaked optimized settings for Forza Horizon 3
• Tweaked optimized settings for Gears of War 4
• Tweaked optimized settings for God of War (2018)
• Tweaked optimized settings for Gotham Knights
• Tweaked optimized settings for Grand Theft Auto 3 - The Definitive Edition
• Tweaked optimized settings for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked optimized settings for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked optimized settings for Mad Max
• Tweaked optimized settings for The Eternal Cylinder
• Tweaked optimized settings for Tomb Raider (2013)
• Tweaked optimized settings for Tomb Raider: Definitive Edition
• Updated game detection protocol for Batman: Arkham Origins Blackgate
• Updated game detection protocol for Biomutant
• Updated game detection protocol for Blair Witch
• Updated game detection protocol for Bloodstained: Ritual of the Night
• Updated game detection protocol for Bright Memory
• Updated game detection protocol for Bright Memory: Infinite
• Updated game detection protocol for Bus Simulator 18
• Updated game detection protocol for Bus Simulator 21
• Updated game detection protocol for Call of Cthulhu
• Updated game detection protocol for Crackdown 3
• Updated game detection protocol for Forza Horizon 3
• Updated game detection protocol for Gears of War 4
• Updated game detection protocol for God of War (2018)
• Updated game detection protocol for Gotham Knights
• Updated game detection protocol for Grand Theft Auto 3 - The Definitive Edition
• Updated game detection protocol for Grand Theft Auto: San Andreas - The Definitive Edition
• Updated game detection protocol for Grand Theft Auto: Vice City - The Definitive Edition
• Updated game detection protocol for Mad Max
• Updated game detection protocol for Tomb Raider (2013)
• Updated game detection protocol for Tomb Raider: Definitive Edition

Low Specs Experience v12.6.5 - 2025-05-29
• Tweaked maximum performance optimization for Ancestors: The Humankind Odyssey
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for Assassin's Creed 2
• Tweaked maximum performance optimization for Assassin's Creed 3
• Tweaked maximum performance optimization for Assassin's Creed 3 Remastered
• Tweaked maximum performance optimization for Assassin's Creed 3: Liberation Remastered
• Tweaked maximum performance optimization for Assassin's Creed 4: Black Flag
• Tweaked maximum performance optimization for Assassin's Creed Mirage
• Tweaked maximum performance optimization for Assassin's Creed Odyssey
• Tweaked maximum performance optimization for Assassin's Creed Origins
• Tweaked maximum performance optimization for Assassin's Creed Rogue
• Tweaked maximum performance optimization for Assassin's Creed Syndicate
• Tweaked maximum performance optimization for Assassin's Creed Unity
• Tweaked maximum performance optimization for Assassin's Creed Valhalla
• Tweaked maximum performance optimization for Assassin's Creed: Brotherhood
• Tweaked maximum performance optimization for Assassin's Creed: Director's Cut (2008)
• Tweaked maximum performance optimization for Assassin's Creed: Freedom Cry
• Tweaked maximum performance optimization for Assassin's Creed: Liberation HD
• Tweaked maximum performance optimization for Assassin's Creed: Revelations
• Tweaked maximum performance optimization for Assetto Corsa Competizione
• Tweaked maximum performance optimization for Astroneer
• Tweaked maximum performance optimization for Atomic Heart
• Tweaked maximum performance optimization for Avowed
• Tweaked maximum performance optimization for Back 4 Blood
• Tweaked maximum performance optimization for Bakery Simulator
• Tweaked maximum performance optimization for Battlefield: Bad Company 2
• Tweaked maximum performance optimization for Big Earth
• Tweaked maximum performance optimization for Clair Obscur: Expedition 33
• Tweaked maximum performance optimization for Cold House
• Tweaked maximum performance optimization for Overwatch 2
• Tweaked optimized settings for Ancestors: The Humankind Odyssey
• Tweaked optimized settings for Anthem
• Tweaked optimized settings for Assassin's Creed 2
• Tweaked optimized settings for Assassin's Creed 3
• Tweaked optimized settings for Assassin's Creed 3 Remastered
• Tweaked optimized settings for Assassin's Creed 3: Liberation Remastered
• Tweaked optimized settings for Assassin's Creed 4: Black Flag
• Tweaked optimized settings for Assassin's Creed Mirage
• Tweaked optimized settings for Assassin's Creed Odyssey
• Tweaked optimized settings for Assassin's Creed Origins
• Tweaked optimized settings for Assassin's Creed Rogue
• Tweaked optimized settings for Assassin's Creed Syndicate
• Tweaked optimized settings for Assassin's Creed Unity
• Tweaked optimized settings for Assassin's Creed Valhalla
• Tweaked optimized settings for Assassin's Creed: Brotherhood
• Tweaked optimized settings for Assassin's Creed: Director's Cut (2008)
• Tweaked optimized settings for Assassin's Creed: Freedom Cry
• Tweaked optimized settings for Assassin's Creed: Liberation HD
• Tweaked optimized settings for Assassin's Creed: Revelations
• Tweaked optimized settings for Assetto Corsa Competizione
• Tweaked optimized settings for Astroneer
• Tweaked optimized settings for Atomic Heart
• Tweaked optimized settings for Avowed
• Tweaked optimized settings for Back 4 Blood
• Tweaked optimized settings for Bakery Simulator
• Tweaked optimized settings for Battlefield: Bad Company 2
• Tweaked optimized settings for Big Earth
• Tweaked optimized settings for Clair Obscur: Expedition 33
• Tweaked optimized settings for Cold House
• Tweaked optimized settings for Overwatch 2
• Updated game detection protocol for Anthem
• Updated game detection protocol for Assassin's Creed 2
• Updated game detection protocol for Assassin's Creed 3
• Updated game detection protocol for Assassin's Creed 3 Remastered
• Updated game detection protocol for Assassin's Creed 3: Liberation Remastered
• Updated game detection protocol for Assassin's Creed 4: Black Flag
• Updated game detection protocol for Assassin's Creed Mirage
• Updated game detection protocol for Assassin's Creed Odyssey
• Updated game detection protocol for Assassin's Creed Origins
• Updated game detection protocol for Assassin's Creed Rogue
• Updated game detection protocol for Assassin's Creed Syndicate
• Updated game detection protocol for Assassin's Creed Unity
• Updated game detection protocol for Assassin's Creed Valhalla
• Updated game detection protocol for Assassin's Creed: Brotherhood
• Updated game detection protocol for Assassin's Creed: Director's Cut (2008)
• Updated game detection protocol for Assassin's Creed: Freedom Cry
• Updated game detection protocol for Assassin's Creed: Liberation HD
• Updated game detection protocol for Assassin's Creed: Revelations
• Updated game detection protocol for Assetto Corsa Competizione
• Updated game detection protocol for Astroneer
• Updated game detection protocol for Atomic Heart
• Updated game detection protocol for Avowed
• Updated game detection protocol for Back 4 Blood
• Updated game detection protocol for Bakery Simulator
• Updated game detection protocol for Battlefield: Bad Company 2
• Updated game detection protocol for Big Earth
• Updated game detection protocol for Clair Obscur: Expedition 33
• Updated game detection protocol for Cold House
• Updated game detection protocol for Overwatch 2

Low Specs Experience v12.6.4 - 2025-05-20
• [BACK-END] Refined game detection and optimization API (gen_4_update_16)
• [UI-UX] Refined user interface (gen_4_update_20)
• Added maximum performance optimization for Clair Obscur: Expedition 33
• Added maximum performance optimization for The Eternal Cylinder
• Added optimized settings for Clair Obscur: Expedition 33
• Added optimized settings for The Eternal Cylinder
• Reworked maximum performance optimization for Accident
• Reworked maximum performance optimization for Agents of Mayhem
• Reworked maximum performance optimization for Alien: Isolation
• Reworked maximum performance optimization for ARK: Survival Evolved
• Reworked maximum performance optimization for Armored Core 6: Fires of Rubicon
• Reworked maximum performance optimization for Assetto Corsa
• Reworked maximum performance optimization for EA Sports FC 24
• Reworked maximum performance optimization for EA Sports FC 25
• Reworked maximum performance optimization for eFootball
• Reworked maximum performance optimization for eFootball PES 2020
• Reworked maximum performance optimization for eFootball PES 2021 Season Update
• Reworked maximum performance optimization for FIFA 11
• Reworked maximum performance optimization for FIFA 12
• Reworked maximum performance optimization for FIFA 13
• Reworked maximum performance optimization for FIFA 14
• Reworked maximum performance optimization for FIFA 15
• Reworked maximum performance optimization for FIFA 16
• Reworked maximum performance optimization for FIFA 17
• Reworked maximum performance optimization for FIFA 18
• Reworked maximum performance optimization for FIFA 19
• Reworked maximum performance optimization for FIFA 20
• Reworked maximum performance optimization for FIFA 21
• Reworked maximum performance optimization for FIFA 22
• Reworked maximum performance optimization for FIFA 23
• Reworked maximum performance optimization for Pro Evolution Soccer 2010
• Reworked maximum performance optimization for Pro Evolution Soccer 2011
• Reworked maximum performance optimization for Pro Evolution Soccer 2012
• Reworked maximum performance optimization for Pro Evolution Soccer 2013
• Reworked maximum performance optimization for Pro Evolution Soccer 2014
• Reworked maximum performance optimization for Pro Evolution Soccer 2015
• Reworked maximum performance optimization for Pro Evolution Soccer 2016
• Reworked maximum performance optimization for Pro Evolution Soccer 2017
• Reworked maximum performance optimization for Pro Evolution Soccer 2018
• Reworked maximum performance optimization for Pro Evolution Soccer 2019
• Tweaked maximum performance optimization for A Plague Tale: Innocence
• Tweaked maximum performance optimization for A Plague Tale: Requiem
• Tweaked maximum performance optimization for A Way Out
• Tweaked maximum performance optimization for Abzu
• Tweaked maximum performance optimization for Aegis Descent
• Tweaked maximum performance optimization for Age of Empires 3: Definitive Edition
• Tweaked maximum performance optimization for Agony
• Tweaked maximum performance optimization for Agony Unrated
• Tweaked maximum performance optimization for Alan Wake 2
• Tweaked maximum performance optimization for Alan Wake Remastered
• Tweaked maximum performance optimization for Aliens: Fireteam Elite
• Tweaked maximum performance optimization for Alone in the Dark (2024)
• Tweaked maximum performance optimization for American Truck Simulator
• Tweaked maximum performance optimization for Ancestors: The Humankind Odyssey
• Tweaked maximum performance optimization for Anno 1800
• Tweaked maximum performance optimization for Anno 2070
• Tweaked maximum performance optimization for Anno 2205
• Tweaked maximum performance optimization for Apex Legends
• Tweaked maximum performance optimization for Arma 3
• Tweaked maximum performance optimization for Atlas Fallen
• Tweaked maximum performance optimization for Counter-Strike 2
• Tweaked maximum performance optimization for Days Gone
• Tweaked maximum performance optimization for Dota 2
• Tweaked maximum performance optimization for Euro Truck Simulator 2
• Tweaked optimized settings for A Plague Tale: Innocence
• Tweaked optimized settings for A Plague Tale: Requiem
• Tweaked optimized settings for A Way Out
• Tweaked optimized settings for Abzu
• Tweaked optimized settings for Accident
• Tweaked optimized settings for Aegis Descent
• Tweaked optimized settings for Age of Empires 3: Definitive Edition
• Tweaked optimized settings for Agents of Mayhem
• Tweaked optimized settings for Agony
• Tweaked optimized settings for Agony Unrated
• Tweaked optimized settings for Alan Wake 2
• Tweaked optimized settings for Alan Wake Remastered
• Tweaked optimized settings for Alien: Isolation
• Tweaked optimized settings for Aliens: Fireteam Elite
• Tweaked optimized settings for Alone in the Dark (2024)
• Tweaked optimized settings for American Truck Simulator
• Tweaked optimized settings for Ancestors: The Humankind Odyssey
• Tweaked optimized settings for Anno 1800
• Tweaked optimized settings for Anno 2070
• Tweaked optimized settings for Anno 2205
• Tweaked optimized settings for Apex Legends
• Tweaked optimized settings for ARK: Survival Evolved
• Tweaked optimized settings for Arma 3
• Tweaked optimized settings for Armored Core 6: Fires of Rubicon
• Tweaked optimized settings for Ashes of Oahu
• Tweaked optimized settings for Assetto Corsa
• Tweaked optimized settings for Atlas Fallen
• Tweaked optimized settings for Counter-Strike 2
• Tweaked optimized settings for Days Gone
• Tweaked optimized settings for Dota 2
• Tweaked optimized settings for EA Sports FC 24
• Tweaked optimized settings for EA Sports FC 25
• Tweaked optimized settings for Euro Truck Simulator 2
• Tweaked optimized settings for FIFA 11
• Tweaked optimized settings for FIFA 12
• Tweaked optimized settings for FIFA 13
• Tweaked optimized settings for FIFA 14
• Tweaked optimized settings for FIFA 15
• Tweaked optimized settings for FIFA 16
• Tweaked optimized settings for FIFA 17
• Tweaked optimized settings for FIFA 18
• Tweaked optimized settings for FIFA 19
• Tweaked optimized settings for FIFA 20
• Tweaked optimized settings for FIFA 21
• Tweaked optimized settings for FIFA 22
• Tweaked optimized settings for FIFA 23
• Updated game detection protocol for A Plague Tale: Innocence
• Updated game detection protocol for A Plague Tale: Requiem
• Updated game detection protocol for A Way Out
• Updated game detection protocol for Abzu
• Updated game detection protocol for Accident
• Updated game detection protocol for Aegis Descent
• Updated game detection protocol for Age of Empires 3: Definitive Edition
• Updated game detection protocol for Agents of Mayhem
• Updated game detection protocol for Agony
• Updated game detection protocol for Agony Unrated
• Updated game detection protocol for Alan Wake 2
• Updated game detection protocol for Alan Wake Remastered
• Updated game detection protocol for Alien: Isolation
• Updated game detection protocol for Aliens: Fireteam Elite
• Updated game detection protocol for Alone in the Dark (2024)
• Updated game detection protocol for American Truck Simulator
• Updated game detection protocol for Ancestors: The Humankind Odyssey
• Updated game detection protocol for Anno 1800
• Updated game detection protocol for Anno 2070
• Updated game detection protocol for Anno 2205
• Updated game detection protocol for Apex Legends
• Updated game detection protocol for ARK: Survival Evolved
• Updated game detection protocol for Arma 3
• Updated game detection protocol for Armored Core 6: Fires of Rubicon
• Updated game detection protocol for Ashes of Oahu
• Updated game detection protocol for Assetto Corsa
• Updated game detection protocol for Atlas Fallen
• Updated game detection protocol for Counter-Strike 2
• Updated game detection protocol for Days Gone
• Updated game detection protocol for Dota 2
• Updated game detection protocol for EA Sports FC 24
• Updated game detection protocol for EA Sports FC 25
• Updated game detection protocol for Euro Truck Simulator 2
• Updated game detection protocol for FIFA 11
• Updated game detection protocol for FIFA 12
• Updated game detection protocol for FIFA 13
• Updated game detection protocol for FIFA 14
• Updated game detection protocol for FIFA 15
• Updated game detection protocol for FIFA 16
• Updated game detection protocol for FIFA 17
• Updated game detection protocol for FIFA 18
• Updated game detection protocol for FIFA 19
• Updated game detection protocol for FIFA 20
• Updated game detection protocol for FIFA 21
• Updated game detection protocol for FIFA 22
• Updated game detection protocol for FIFA 23

Low Specs Experience v12.6.3 - 2025-05-06
• Added maximum performance optimization for Call of Duty: Warzone (2025)
• Added optimized settings for Call of Duty: Warzone (2025)
• Deprecated optimization support for Call of Duty: Warzone (2023)
• Updated game detection protocol for ARK: Survival Evolved

Low Specs Experience v12.6.2 - 2025-04-26
• Updated game detection protocol for The Elder Scrolls 4: Oblivion Remastered

Low Specs Experience v12.6.1 - 2025-04-25
• Tweaked maximum performance optimization for Days Gone
• Tweaked optimized settings for Days Gone

Low Specs Experience v12.6.0 - 2025-04-25
• Reworked maximum performance optimization for Days Gone
• Reworked optimized settings for Days Gone
• Tweaked maximum performance optimization for The Talos Principle 2
• Tweaked maximum performance optimization for The Talos Principle: Reawakened
• Tweaked optimized settings for The Talos Principle 2
• Tweaked optimized settings for The Talos Principle: Reawakened
• Updated game detection protocol for Avowed
• Updated game detection protocol for Days Gone
• Updated game detection protocol for The Elder Scrolls 4: Oblivion Remastered

Low Specs Experience v12.5.9 - 2025-04-24
• [BACK-END] Refined game detection and optimization API (gen_4_update_15)
• Added maximum performance optimization for The Elder Scrolls 4: Oblivion Remastered
• Added optimized settings for The Elder Scrolls 4: Oblivion Remastered
• Tweaked optimized settings for The Talos Principle 2
• Tweaked optimized settings for The Talos Principle: Reawakened
• Updated game detection protocol for Avowed

Low Specs Experience v12.5.8 - 2025-04-23
• Added maximum performance optimization for Rise of the Ronin
• Added optimized settings for Rise of the Ronin
• Tweaked maximum performance optimization for Apex Legends
• Tweaked maximum performance optimization for The Talos Principle 2
• Tweaked maximum performance optimization for The Talos Principle: Reawakened
• Tweaked optimized settings for Apex Legends
• Tweaked optimized settings for The Talos Principle 2
• Tweaked optimized settings for The Talos Principle: Reawakened

Low Specs Experience v12.5.7 - 2025-04-22
• [BACK-END] Refined game detection and optimization API (gen_4_update_14)
• Added maximum performance optimization for The Talos Principle: Reawakened
• Added optimized settings for The Talos Principle: Reawakened
• Tweaked maximum performance optimization for The Last of Us Part 1
• Tweaked maximum performance optimization for The Talos Principle 2
• Tweaked optimized settings for The Last of Us Part 1
• Tweaked optimized settings for The Talos Principle 2
• Updated game detection protocol for The Talos Principle 2

Low Specs Experience v12.5.6 - 2025-04-08
• [BACK-END] Refined game detection and optimization API (gen_4_update_13)
• Tweaked maximum performance optimization for Red Dead Redemption
• Tweaked optimized settings for Red Dead Redemption
• Updated game detection protocol for Red Dead Redemption

Low Specs Experience v12.5.5 - 2025-04-07
• Added maximum performance optimization for The Last of Us Part 2 Remastered
• Added optimized settings for The Last of Us Part 2 Remastered

Low Specs Experience v12.5.4 - 2025-03-29
• [BACK-END] Refined game detection and optimization API (gen_4_update_12)
• [UI-UX] Refined user interface (gen_4_update_19)

Low Specs Experience v12.5.3 - 2025-03-28
• [UI-UX] Refined user interface (gen_4_update_18)
• Added maximum performance optimization for Dota 2
• Added optimized settings for Dota 2
• Tweaked maximum performance optimization for Counter-Strike 2
• Tweaked optimized settings for Counter-Strike 2
• Updated game detection protocol for Counter-Strike 2

Low Specs Experience v12.5.2 - 2025-03-27
• Tweaked maximum performance optimization for Goat Simulator
• Tweaked maximum performance optimization for The Sims 3
• Tweaked maximum performance optimization for The Sims 4
• Tweaked optimized settings for Goat Simulator
• Tweaked optimized settings for The Sims 3
• Tweaked optimized settings for The Sims 4

Low Specs Experience v12.5.1 - 2025-03-25
• [BACK-END] Refined game detection and optimization API (gen_4_update_11)
• Tweaked maximum performance optimization for Assetto Corsa Competizione
• Tweaked maximum performance optimization for Batman: Arkham Asylum - Game of the Year Edition
• Tweaked maximum performance optimization for Batman: Arkham City - Game of the Year Edition
• Tweaked maximum performance optimization for Batman: Arkham Knight
• Tweaked maximum performance optimization for Batman: Arkham Origins
• Tweaked maximum performance optimization for BioShock Infinite
• Tweaked maximum performance optimization for Borderlands (2009)
• Tweaked maximum performance optimization for Borderlands 2
• Tweaked maximum performance optimization for Borderlands: The Pre-Sequel
• Tweaked maximum performance optimization for Bulletstorm: Full Clip Edition
• Tweaked maximum performance optimization for Dishonored
• Tweaked maximum performance optimization for Goat Simulator
• Tweaked maximum performance optimization for Homefront
• Tweaked maximum performance optimization for Medal of Honor (2010)
• Tweaked maximum performance optimization for Mirror's Edge
• Tweaked maximum performance optimization for Murdered: Soul Suspect
• Tweaked maximum performance optimization for Outlast
• Tweaked maximum performance optimization for Outlast 2
• Tweaked maximum performance optimization for Resident Evil Village
• Tweaked maximum performance optimization for Rocket League
• Tweaked maximum performance optimization for The Bureau: XCOM Declassified
• Tweaked maximum performance optimization for The Sims 3
• Tweaked maximum performance optimization for The Sims 4
• Tweaked maximum performance optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Tweaked maximum performance optimization for Watch Dogs
• Tweaked maximum performance optimization for Watch Dogs 2
• Tweaked maximum performance optimization for Watch Dogs: Legion
• Tweaked optimized settings for Assetto Corsa Competizione
• Tweaked optimized settings for Batman: Arkham Asylum - Game of the Year Edition
• Tweaked optimized settings for Batman: Arkham City - Game of the Year Edition
• Tweaked optimized settings for Batman: Arkham Knight
• Tweaked optimized settings for Batman: Arkham Origins
• Tweaked optimized settings for BioShock Infinite
• Tweaked optimized settings for Borderlands (2009)
• Tweaked optimized settings for Borderlands 2
• Tweaked optimized settings for Borderlands: The Pre-Sequel
• Tweaked optimized settings for Bulletstorm: Full Clip Edition
• Tweaked optimized settings for Dishonored
• Tweaked optimized settings for Goat Simulator
• Tweaked optimized settings for Homefront
• Tweaked optimized settings for Medal of Honor (2010)
• Tweaked optimized settings for Mirror's Edge
• Tweaked optimized settings for Murdered: Soul Suspect
• Tweaked optimized settings for Outlast
• Tweaked optimized settings for Outlast 2
• Tweaked optimized settings for Resident Evil Village
• Tweaked optimized settings for Rocket League
• Tweaked optimized settings for The Bureau: XCOM Declassified
• Tweaked optimized settings for The Sims 3
• Tweaked optimized settings for The Sims 4
• Tweaked optimized settings for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Tweaked optimized settings for Watch Dogs
• Tweaked optimized settings for Watch Dogs 2
• Tweaked optimized settings for Watch Dogs: Legion

Low Specs Experience v12.5.0 - 2025-03-20
• Added maximum performance optimization for Mafia 2 (Classic)
• Added maximum performance optimization for Tom Clancy's Rainbow Six Extraction
• Added optimized settings for Mafia 2 (Classic)
• Added optimized settings for Tom Clancy's Rainbow Six Extraction
• Tweaked maximum performance optimization for Mafia 2: Definitive Edition
• Tweaked maximum performance optimization for Mafia: Definitive Edition
• Tweaked maximum performance optimization for Tom Clancy's Rainbow Six Siege
• Tweaked optimized settings for Mafia 2: Definitive Edition
• Tweaked optimized settings for Tom Clancy's Rainbow Six Siege
• Updated game detection protocol for Mafia 2: Definitive Edition
• Updated game detection protocol for Mafia 3: Definitive Edition
• Updated game detection protocol for Mafia: Definitive Edition
• Updated game detection protocol for Tom Clancy's Rainbow Six Siege

Low Specs Experience v12.4.9 - 2025-03-17
• Reworked optimized settings for American Truck Simulator
• Reworked optimized settings for Euro Truck Simulator 2
• Tweaked maximum performance optimization for American Truck Simulator
• Tweaked maximum performance optimization for DiRT 4
• Tweaked maximum performance optimization for DiRT Rally
• Tweaked maximum performance optimization for DiRT Rally 2.0
• Tweaked maximum performance optimization for DiRT Showdown
• Tweaked maximum performance optimization for Euro Truck Simulator 2
• Tweaked maximum performance optimization for GRID 2
• Tweaked maximum performance optimization for GRID Autosport
• Tweaked maximum performance optimization for Mafia 3
• Tweaked maximum performance optimization for Mafia 3: Definitive Edition
• Tweaked optimized settings for DiRT 4
• Tweaked optimized settings for DiRT Showdown
• Tweaked optimized settings for Mafia 3
• Tweaked optimized settings for Mafia 3: Definitive Edition
• Updated game detection protocol for American Truck Simulator
• Updated game detection protocol for DiRT Showdown
• Updated game detection protocol for Euro Truck Simulator 2
• Updated game detection protocol for Watch Dogs 2

Low Specs Experience v12.4.8 - 2025-03-13
• [BACK-END] Refined game detection and optimization API (gen_4_update_10)
• Added maximum performance optimization for Mafia 3
• Added optimized settings for Mafia 3
• Tweaked maximum performance optimization for DiRT 2
• Tweaked maximum performance optimization for DiRT 3
• Tweaked maximum performance optimization for DiRT Rally
• Tweaked maximum performance optimization for DiRT Rally 2.0
• Tweaked maximum performance optimization for GRID 2
• Tweaked maximum performance optimization for GRID (2008) aka Race Driver: Grid
• Tweaked maximum performance optimization for GRID Autosport
• Tweaked optimized settings for DiRT 2
• Tweaked optimized settings for DiRT 3
• Tweaked optimized settings for DiRT Rally
• Tweaked optimized settings for DiRT Rally 2.0
• Tweaked optimized settings for GRID 2
• Tweaked optimized settings for GRID (2008) aka Race Driver: Grid
• Tweaked optimized settings for GRID Autosport
• Updated game detection protocol for DiRT 2
• Updated game detection protocol for DiRT 3
• Updated game detection protocol for Mafia 3: Definitive Edition

Low Specs Experience v12.4.7 - 2025-03-11
• Added maximum performance optimization for eFootball
• Added maximum performance optimization for GRID (2008) aka Race Driver: Grid
• Added optimized settings for eFootball
• Added optimized settings for GRID (2008) aka Race Driver: Grid
• Deprecated optimization support for eFootball 2022
• Deprecated optimization support for eFootball 2023
• Deprecated optimization support for eFootball 2024
• Tweaked maximum performance optimization for Alan Wake 2
• Tweaked maximum performance optimization for Control Ultimate Edition
• Tweaked maximum performance optimization for GRID 2
• Tweaked maximum performance optimization for GRID Autosport
• Tweaked optimized settings for Alan Wake 2
• Tweaked optimized settings for Control Ultimate Edition
• Tweaked optimized settings for GRID 2
• Tweaked optimized settings for GRID Autosport
• Updated game detection protocol for Alan Wake 2
• Updated game detection protocol for GRID 2
• Updated game detection protocol for GRID Autosport

Low Specs Experience v12.4.6 - 2025-03-10
• Tweaked maximum performance optimization for Alan Wake 2
• Tweaked maximum performance optimization for Indiana Jones and the Great Circle
• Tweaked maximum performance optimization for Resident Evil 5
• Tweaked maximum performance optimization for Resident Evil 6
• Tweaked maximum performance optimization for Resident Evil HD Remaster
• Tweaked maximum performance optimization for Resident Evil Zero HD Remaster
• Tweaked maximum performance optimization for Resident Evil: Revelations
• Tweaked maximum performance optimization for Resident Evil: Revelations 2
• Tweaked optimized settings for Alan Wake 2
• Tweaked optimized settings for Indiana Jones and the Great Circle
• Tweaked optimized settings for Resident Evil 5
• Tweaked optimized settings for Resident Evil 6
• Tweaked optimized settings for Resident Evil HD Remaster
• Tweaked optimized settings for Resident Evil Zero HD Remaster
• Tweaked optimized settings for Resident Evil: Revelations
• Tweaked optimized settings for Resident Evil: Revelations 2
• Updated game detection protocol for Metro Exodus (2019)
• Updated game detection protocol for Metro Exodus Enhanced Edition (2021)

Low Specs Experience v12.4.5 - 2025-03-07
• [BACK-END] Refined game detection and optimization API (gen_4_update_9)
• Added maximum performance optimization for Split Fiction
• Added optimized settings for Split Fiction
• Updated game detection protocol for Avowed

Low Specs Experience v12.4.4 - 2025-03-05
• Added maximum performance optimization for Grand Theft Auto 5 Enhanced
• Added optimized settings for Grand Theft Auto 5 Enhanced
• Tweaked maximum performance optimization for GRID 2

Low Specs Experience v12.4.3 - 2025-03-03
• Tweaked maximum performance optimization for DiRT Rally
• Tweaked maximum performance optimization for DiRT Rally 2.0
• Tweaked maximum performance optimization for GRID 2
• Tweaked maximum performance optimization for GRID Autosport
• Tweaked maximum performance optimization for Marvel Rivals
• Tweaked optimized settings for DiRT Rally
• Tweaked optimized settings for DiRT Rally 2.0
• Tweaked optimized settings for GRID 2
• Tweaked optimized settings for GRID Autosport
• Tweaked optimized settings for Marvel Rivals
• Updated game detection protocol for Gas Station Simulator

Low Specs Experience v12.4.2 - 2025-02-25
• Added maximum performance optimization for Avowed
• Added optimized settings for Avowed
• Tweaked maximum performance optimization for Deliver Us Mars
• Tweaked optimized settings for Deliver Us Mars

Low Specs Experience v12.4.1 - 2025-02-21
• [UI-UX] Refined user interface (gen_4_update_17)

Low Specs Experience v12.4.0 - 2025-02-20
• Tweaked optimized settings for Kingdom Come: Deliverance 2

Low Specs Experience v12.3.9 - 2025-02-20
• Added maximum performance optimization for Kingdom Come: Deliverance
• Added maximum performance optimization for Kingdom Come: Deliverance 2
• Added optimized settings for Kingdom Come: Deliverance
• Added optimized settings for Kingdom Come: Deliverance 2

Low Specs Experience v12.3.8 - 2025-02-18
• Added maximum performance optimization for Deliver Us Mars
• Added optimized settings for Deliver Us Mars
• Tweaked maximum performance optimization for Alone in the Dark (2024)
• Tweaked optimized settings for Alone in the Dark (2024)
• Updated game detection protocol for Alone in the Dark (2024)

Low Specs Experience v12.3.7 - 2025-02-14
• Updated game detection protocol for F1 Manager 2022
• Updated game detection protocol for F1 Manager 2023
• Updated game detection protocol for F1 Manager 2024

Low Specs Experience v12.3.6 - 2025-02-14
• [UI-UX] Refined user interface (gen_4_update_16)
• Added maximum performance optimization for Alone in the Dark (2024)
• Added maximum performance optimization for F1 Manager 2024
• Added maximum performance optimization for Metro 2033 (2010)
• Added maximum performance optimization for Metro: Last Light (2013)
• Added optimized settings for Alone in the Dark (2024)
• Added optimized settings for F1 Manager 2024
• Added optimized settings for Metro 2033 (2010)
• Added optimized settings for Metro: Last Light (2013)
• Tweaked maximum performance optimization for MechWarrior 5: Clans
• Tweaked maximum performance optimization for Metro 2033 Redux (2014)
• Tweaked maximum performance optimization for Metro: Last Light Redux (2014)
• Tweaked optimized settings for Metro 2033 Redux (2014)
• Tweaked optimized settings for Metro: Last Light Redux (2014)

Low Specs Experience v12.3.5 - 2025-02-04
• Added maximum performance optimization for Marvel's Spider-Man 2
• Added maximum performance optimization for Sniper Elite: Resistance
• Added optimized settings for Marvel's Spider-Man 2
• Added optimized settings for Sniper Elite: Resistance
• Tweaked maximum performance optimization for Baldur's Gate 3
• Tweaked maximum performance optimization for Marvel's Spider-Man Remastered
• Tweaked maximum performance optimization for Marvel's Spider-Man: Miles Morales
• Tweaked maximum performance optimization for Ratchet and Clank: Rift Apart
• Tweaked maximum performance optimization for Sniper Elite 5
• Tweaked optimized settings for Baldur's Gate 3
• Tweaked optimized settings for Marvel's Spider-Man Remastered
• Tweaked optimized settings for Marvel's Spider-Man: Miles Morales
• Tweaked optimized settings for Ratchet and Clank: Rift Apart
• Tweaked optimized settings for Sniper Elite 5

Low Specs Experience v12.3.4 - 2025-02-03
• Updated game detection protocol for Call of Duty: Black Ops 6 (2024)

Low Specs Experience v12.3.3 - 2025-01-30
• Tweaked maximum performance optimization for Metro 2033 Redux (2014)
• Tweaked maximum performance optimization for Metro Exodus (2019)
• Tweaked maximum performance optimization for Metro Exodus Enhanced Edition (2021)
• Tweaked maximum performance optimization for Metro: Last Light Redux (2014)
• Tweaked optimized settings for Metro 2033 Redux (2014)
• Tweaked optimized settings for Metro Exodus (2019)
• Tweaked optimized settings for Metro Exodus Enhanced Edition (2021)
• Tweaked optimized settings for Metro: Last Light Redux (2014)
• Updated game detection protocol for Metro 2033 Redux (2014)
• Updated game detection protocol for Metro Exodus (2019)
• Updated game detection protocol for Metro Exodus Enhanced Edition (2021)
• Updated game detection protocol for Metro: Last Light Redux (2014)

Low Specs Experience v12.3.2 - 2025-01-28
• [BACK-END] Refined game detection and optimization API (gen_4_update_8)
• [UI-UX] Refined user interface (gen_4_update_15)
• Tweaked optimized settings for Hellblade: Senua's Sacrifice

Low Specs Experience v12.3.1 - 2025-01-26
• Tweaked maximum performance optimization for Hellblade: Senua's Sacrifice
• Tweaked optimized settings for Dynasty Warriors: Origins
• Tweaked optimized settings for Hellblade: Senua's Sacrifice

Low Specs Experience v12.3.0 - 2025-01-22
• [UI-UX] Refined user interface (gen_4_update_14)
• Added maximum performance optimization for Dynasty Warriors: Origins
• Added optimized settings for Dynasty Warriors: Origins
• Tweaked maximum performance optimization for F1 2017
• Tweaked optimized settings for F1 2017

Low Specs Experience v12.2.9 - 2025-01-21
• [BACK-END] Refined game detection and optimization API (gen_4_update_7)
• Tweaked maximum performance optimization for Bus Simulator 18
• Tweaked maximum performance optimization for Death Stranding
• Tweaked optimized settings for Bus Simulator 18
• Tweaked optimized settings for Death Stranding
• Updated game detection protocol for Bus Simulator 18
• Updated game detection protocol for Death Stranding

Low Specs Experience v12.2.8 - 2025-01-17
• Added maximum performance optimization for Death Stranding
• Added maximum performance optimization for Grand Theft Auto 5 Legacy (FiveM)
• Added maximum performance optimization for Red Dead Redemption 2 (RedM)
• Added optimized settings for Death Stranding
• Added optimized settings for Grand Theft Auto 5 Legacy (FiveM)
• Added optimized settings for Red Dead Redemption 2 (RedM)
• Tweaked maximum performance optimization for Death Stranding Director's Cut
• Tweaked maximum performance optimization for Sniper: Ghost Warrior
• Tweaked optimized settings for Death Stranding Director's Cut
• Tweaked optimized settings for Sniper: Ghost Warrior
• Updated game detection protocol for Aliens: Fireteam Elite
• Updated game detection protocol for Armored Core 6: Fires of Rubicon
• Updated game detection protocol for Battlefield: Bad Company 2
• Updated game detection protocol for Code Vein
• Updated game detection protocol for Death Stranding Director's Cut
• Updated game detection protocol for Far Cry 2
• Updated game detection protocol for Far Cry 3
• Updated game detection protocol for Far Cry 3: Blood Dragon
• Updated game detection protocol for Far Cry 5
• Updated game detection protocol for Far Cry 6
• Updated game detection protocol for Far Cry New Dawn
• Updated game detection protocol for Grand Theft Auto 5 Legacy
• Updated game detection protocol for Metro 2033 Redux (2014)
• Updated game detection protocol for Metro: Last Light Redux (2014)
• Updated game detection protocol for Red Dead Redemption 2
• Updated game detection protocol for Watch Dogs
• Updated game detection protocol for Watch Dogs 2
• Updated game detection protocol for Watch Dogs: Legion

Low Specs Experience v12.2.7 - 2025-01-14
• [UI-UX] Refined user interface (gen_4_update_13)

Low Specs Experience v12.2.6 - 2025-01-04
• [UI-UX] Refined user interface (gen_4_update_12)

Low Specs Experience v12.2.5 - 2025-01-03
• [UI-UX] Refined user interface (gen_4_update_11)

Low Specs Experience v12.2.4 - 2025-01-02
• [UI-UX] Refined user interface (gen_4_update_10)

Low Specs Experience v12.2.3 - 2024-12-30
• Tweaked maximum performance optimization for Overwatch 2
• Tweaked optimized settings for Overwatch 2
• Updated game detection protocol for A Plague Tale: Requiem
• Updated game detection protocol for Abzu
• Updated game detection protocol for ARK: Survival Evolved
• Updated game detection protocol for Astroneer
• Updated game detection protocol for Blair Witch
• Updated game detection protocol for Bloodstained: Ritual of the Night
• Updated game detection protocol for Conan Exiles
• Updated game detection protocol for Darksiders 3
• Updated game detection protocol for Darksiders Genesis
• Updated game detection protocol for Mortal Kombat 1 (2023)

Low Specs Experience v12.2.2 - 2024-12-20
• Added maximum performance optimization for Goat Simulator
• Added maximum performance optimization for Goat Simulator 3
• Added maximum performance optimization for Goat Simulator: Remastered
• Added maximum performance optimization for Indiana Jones and the Great Circle
• Added maximum performance optimization for Marvel Rivals
• Added optimized settings for Goat Simulator
• Added optimized settings for Goat Simulator 3
• Added optimized settings for Goat Simulator: Remastered
• Added optimized settings for Indiana Jones and the Great Circle
• Added optimized settings for Marvel Rivals

Low Specs Experience v12.2.1 - 2024-12-05
• [UI-UX] Refined user interface (gen_4_update_9)
• Added maximum performance optimization for LEGO Horizon Adventures
• Added maximum performance optimization for Unknown 9: Awakening
• Added optimized settings for LEGO Horizon Adventures
• Added optimized settings for Unknown 9: Awakening
• Updated game detection protocol for Empire of the Ants (2024)

Low Specs Experience v12.2.0 - 2024-11-30
• Updated game detection protocol for S.T.A.L.K.E.R. 2: Heart of Chornobyl

Low Specs Experience v12.1.9 - 2024-11-29
• [UI-UX] Refined user interface (gen_4_update_8)
• Added maximum performance optimization for Empire of the Ants (2024)
• Added maximum performance optimization for S.T.A.L.K.E.R. 2: Heart of Chornobyl
• Added optimized settings for Empire of the Ants (2024)
• Added optimized settings for S.T.A.L.K.E.R. 2: Heart of Chornobyl
• Tweaked maximum performance optimization for Need for Speed Rivals
• Tweaked optimized settings for Need for Speed Rivals

Low Specs Experience v12.1.8 - 2024-11-14
• [UI-UX] Refined user interface (gen_4_update_7)
• Added maximum performance optimization for Call of Duty: Black Ops 6 (2024)
• Added maximum performance optimization for Dead Rising Deluxe Remaster
• Added optimized settings for Call of Duty: Black Ops 6 (2024)
• Added optimized settings for Dead Rising Deluxe Remaster

Low Specs Experience v12.1.7 - 2024-11-10
• [UI-UX] Refined user interface (gen_4_update_6)

Low Specs Experience v12.1.6 - 2024-11-08
• Updated game detection protocol for MechWarrior 5: Clans
• [UI-UX] Refined user interface (gen_4_update_5)

Low Specs Experience v12.1.5 - 2024-11-07
• Tweaked maximum performance optimization for Dragon Age: The Veilguard
• Tweaked optimized settings for Dragon Age: The Veilguard

Low Specs Experience v12.1.4 - 2024-11-06
• [BACK-END] Refined game detection and optimization API (gen_4_update_6)
• Added maximum performance optimization for Dragon Age: The Veilguard
• Added optimized settings for Dragon Age: The Veilguard

Low Specs Experience v12.1.3 - 2024-11-05
• [BACK-END] Refined game detection and optimization API (gen_4_update_5)
• Added maximum performance optimization for Horizon Zero Dawn Remastered
• Added optimized settings for Horizon Zero Dawn Remastered
• Tweaked maximum performance optimization for Horizon Forbidden West
• Tweaked optimized settings for Horizon Forbidden West
• Tweaked optimized settings for Horizon Zero Dawn

Low Specs Experience v12.1.2 - 2024-11-04
• Tweaked maximum performance optimization for Horizon Forbidden West
• Tweaked optimized settings for Horizon Forbidden West

Low Specs Experience v12.1.1 - 2024-11-01
• Updated game detection protocol for Red Dead Redemption

Low Specs Experience v12.1.0 - 2024-11-01
• [BACK-END] Refined game detection and optimization API (gen_4_update_4)
• Tweaked maximum performance optimization for Battlefield 1
• Tweaked maximum performance optimization for Battlefield 3
• Tweaked maximum performance optimization for Battlefield 4
• Tweaked maximum performance optimization for Battlefield 5
• Tweaked maximum performance optimization for Battlefield 2042
• Tweaked maximum performance optimization for Battlefield Hardline
• Tweaked maximum performance optimization for Dragon Age: Inquisition
• Tweaked maximum performance optimization for Mirror's Edge Catalyst
• Tweaked maximum performance optimization for Need for Speed (2016)
• Tweaked maximum performance optimization for Need for Speed Heat
• Tweaked maximum performance optimization for Need for Speed Payback
• Tweaked maximum performance optimization for Need for Speed Rivals
• Tweaked maximum performance optimization for Need for Speed Unbound
• Tweaked maximum performance optimization for Red Dead Redemption
• Tweaked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Tweaked maximum performance optimization for Star Wars Battlefront (2015)
• Tweaked maximum performance optimization for Star Wars: Squadrons
• Tweaked optimized settings for Battlefield 1
• Tweaked optimized settings for Battlefield 3
• Tweaked optimized settings for Battlefield 4
• Tweaked optimized settings for Battlefield 5
• Tweaked optimized settings for Battlefield 2042
• Tweaked optimized settings for Battlefield Hardline
• Tweaked optimized settings for Dragon Age: Inquisition
• Tweaked optimized settings for Mirror's Edge Catalyst
• Tweaked optimized settings for Need for Speed (2016)
• Tweaked optimized settings for Need for Speed Heat
• Tweaked optimized settings for Need for Speed Payback
• Tweaked optimized settings for Need for Speed Rivals
• Tweaked optimized settings for Need for Speed Unbound
• Tweaked optimized settings for Red Dead Redemption
• Tweaked optimized settings for Star Wars Battlefront 2 (2017)
• Tweaked optimized settings for Star Wars Battlefront (2015)
• Tweaked optimized settings for Star Wars: Squadrons
• Updated game detection protocol for Red Dead Redemption

Low Specs Experience v12.0.9 - 2024-10-31
• [BACK-END] Refined game detection and optimization API (gen_4_update_3)
• Added maximum performance optimization for Detroit: Become Human
• Added maximum performance optimization for MechWarrior 5: Clans
• Added maximum performance optimization for Red Dead Redemption
• Added optimized settings for Detroit: Become Human
• Added optimized settings for MechWarrior 5: Clans
• Added optimized settings for Red Dead Redemption

Low Specs Experience v12.0.8 - 2024-10-25
• [UI-UX] Refined user interface (gen_4_update_4)

Low Specs Experience v12.0.7 - 2024-10-25
• Tweaked maximum performance optimization for Aegis Descent
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for Battlefield 1
• Tweaked maximum performance optimization for Battlefield 3
• Tweaked maximum performance optimization for Battlefield 4
• Tweaked maximum performance optimization for Battlefield 5
• Tweaked maximum performance optimization for Battlefield 2042
• Tweaked maximum performance optimization for Battlefield Hardline
• Tweaked maximum performance optimization for Dragon Age: Inquisition
• Tweaked maximum performance optimization for F1 2010
• Tweaked maximum performance optimization for F1 2011
• Tweaked maximum performance optimization for F1 2012
• Tweaked maximum performance optimization for F1 2013
• Tweaked maximum performance optimization for F1 2014
• Tweaked maximum performance optimization for F1 2015
• Tweaked maximum performance optimization for F1 2016
• Tweaked maximum performance optimization for F1 2017
• Tweaked maximum performance optimization for F1 2018
• Tweaked maximum performance optimization for F1 2019
• Tweaked maximum performance optimization for Need for Speed (2016)
• Tweaked maximum performance optimization for Need for Speed Heat
• Tweaked maximum performance optimization for Need for Speed Payback
• Tweaked maximum performance optimization for Need for Speed Rivals
• Tweaked maximum performance optimization for Need for Speed Unbound
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Tweaked maximum performance optimization for Star Wars Battlefront (2015)
• Tweaked optimized settings for Aegis Descent
• Tweaked optimized settings for Anthem
• Tweaked optimized settings for Battlefield 1
• Tweaked optimized settings for Battlefield 3
• Tweaked optimized settings for Battlefield 4
• Tweaked optimized settings for Battlefield 5
• Tweaked optimized settings for Battlefield 2042
• Tweaked optimized settings for Battlefield Hardline
• Tweaked optimized settings for Dragon Age: Inquisition
• Tweaked optimized settings for Need for Speed (2016)
• Tweaked optimized settings for Need for Speed Heat
• Tweaked optimized settings for Need for Speed Payback
• Tweaked optimized settings for Need for Speed Rivals
• Tweaked optimized settings for Need for Speed Unbound
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare
• Tweaked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Tweaked optimized settings for Star Wars Battlefront 2 (2017)
• Tweaked optimized settings for Star Wars Battlefront (2015)

Low Specs Experience v12.0.6 - 2024-10-23
• [UI-UX] Refined user interface (gen_4_update_3)
• Tweaked maximum performance optimization for F1 2010
• Tweaked maximum performance optimization for F1 2011
• Tweaked maximum performance optimization for F1 2012
• Tweaked maximum performance optimization for F1 2013
• Tweaked maximum performance optimization for F1 2014
• Tweaked maximum performance optimization for F1 2015
• Tweaked maximum performance optimization for F1 2016
• Tweaked maximum performance optimization for F1 2017
• Tweaked maximum performance optimization for F1 2018
• Tweaked maximum performance optimization for F1 2019
• Tweaked maximum performance optimization for Silent Hill 2 (2024)
• Tweaked maximum performance optimization for Until Dawn (2024)
• Tweaked optimized settings for F1 2010
• Tweaked optimized settings for F1 2011
• Tweaked optimized settings for F1 2012
• Tweaked optimized settings for F1 2013
• Tweaked optimized settings for F1 2014
• Tweaked optimized settings for Silent Hill 2 (2024)
• Tweaked optimized settings for Until Dawn (2024)
• Updated game detection protocol for F1 2010
• Updated game detection protocol for F1 2011
• Updated game detection protocol for F1 2012
• Updated game detection protocol for F1 2013
• Updated game detection protocol for F1 2014
• Updated game detection protocol for Silent Hill 2 (2024)
• Updated game detection protocol for Until Dawn (2024)

Low Specs Experience v12.0.5 - 2024-10-21
• [UI-UX] Refined user interface (gen_4_update_2)

Low Specs Experience v12.0.4 - 2024-10-17
• Tweaked maximum performance optimization for Fortnite
• Tweaked optimized settings for Fortnite
• Updated game detection protocol for Fortnite

Low Specs Experience v12.0.3 - 2024-10-15
• Added maximum performance optimization for Dragon Ball: Sparking! Zero
• Added maximum performance optimization for EA Sports FC 25
• Added maximum performance optimization for Fortnite
• Added optimized settings for Dragon Ball: Sparking! Zero
• Added optimized settings for EA Sports FC 25
• Added optimized settings for Fortnite
• Tweaked maximum performance optimization for EA Sports FC 24
• Tweaked maximum performance optimization for Silent Hill 2 (2024)
• Tweaked maximum performance optimization for Until Dawn (2024)
• Tweaked optimized settings for EA Sports FC 24
• Tweaked optimized settings for Silent Hill 2 (2024)
• Tweaked optimized settings for Until Dawn (2024)

Low Specs Experience v12.0.2 - 2024-10-10
• [BACK-END] Refined app installation system (gen_4_update_2)
• [BACK-END] Refined game detection and optimization API (gen_4_update_2)
• Added maximum performance optimization for Silent Hill 2 (2024)
• Added maximum performance optimization for Train Sim World 5
• Added maximum performance optimization for Until Dawn (2024)
• Added optimized settings for Silent Hill 2 (2024)
• Added optimized settings for Train Sim World 5
• Added optimized settings for Until Dawn (2024)
• Tweaked maximum performance optimization for Train Sim World 2
• Tweaked maximum performance optimization for Train Sim World 3
• Tweaked maximum performance optimization for Train Sim World 4
• Tweaked optimized settings for Train Sim World 2
• Tweaked optimized settings for Train Sim World 3
• Tweaked optimized settings for Train Sim World 4
• Updated game detection protocol for The Texas Chain Saw Massacre

Low Specs Experience v12.0.1 - 2024-10-02
• [BACK-END] Refined game detection and optimization API (gen_4_update_1)
• [UI-UX] Refined user interface (gen_4_update_1)

Low Specs Experience v12.0.0 - 2024-09-30
• [BACK-END] Refined app update system (gen_3_initial)
• [BACK-END] Refined game detection and optimization API (gen_4_initial)
• [BACK-END] Refined ReSwitch add-on (gen_4_initial)
• [UI-UX] Refined user interface (gen_4_initial)
• Tweaked maximum performance optimization for A Plague Tale: Requiem
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 3 (2023)
• Tweaked maximum performance optimization for Call of Duty: Warzone (2023)
• Tweaked maximum performance optimization for Cyberpunk 2077
• Tweaked maximum performance optimization for Forza Horizon 5
• Tweaked maximum performance optimization for Ghost of Tsushima Director's Cut
• Tweaked maximum performance optimization for Hitman
• Tweaked maximum performance optimization for Hitman 2
• Tweaked maximum performance optimization for Hitman World of Assassination (aka Hitman 3)
• Tweaked maximum performance optimization for Hogwarts Legacy
• Tweaked maximum performance optimization for Horizon Forbidden West
• Tweaked maximum performance optimization for Marvel's Spider-Man Remastered
• Tweaked maximum performance optimization for Marvel's Spider-Man: Miles Morales
• Tweaked maximum performance optimization for Need for Speed Unbound
• Tweaked maximum performance optimization for Ratchet and Clank: Rift Apart
• Tweaked maximum performance optimization for Rise of the Tomb Raider
• Tweaked maximum performance optimization for Senua's Saga: Hellblade 2
• Tweaked maximum performance optimization for Shadow of the Tomb Raider
• Tweaked maximum performance optimization for Star Wars Jedi: Survivor
• Tweaked maximum performance optimization for The Finals
• Tweaked maximum performance optimization for The Forest
• Tweaked maximum performance optimization for The Last of Us Part 1
• Tweaked maximum performance optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• Tweaked maximum performance optimization for Tomb Raider (2013)
• Tweaked maximum performance optimization for Tomb Raider: Definitive Edition
• Tweaked optimized settings for A Plague Tale: Requiem
• Tweaked optimized settings for Call of Duty: Modern Warfare 3 (2023)
• Tweaked optimized settings for Call of Duty: Warzone (2023)
• Tweaked optimized settings for Cyberpunk 2077
• Tweaked optimized settings for Forza Horizon 5
• Tweaked optimized settings for Ghost of Tsushima Director's Cut
• Tweaked optimized settings for Hitman
• Tweaked optimized settings for Hitman 2
• Tweaked optimized settings for Hitman World of Assassination (aka Hitman 3)
• Tweaked optimized settings for Hogwarts Legacy
• Tweaked optimized settings for Horizon Forbidden West
• Tweaked optimized settings for Marvel's Spider-Man Remastered
• Tweaked optimized settings for Marvel's Spider-Man: Miles Morales
• Tweaked optimized settings for Need for Speed Unbound
• Tweaked optimized settings for Ratchet and Clank: Rift Apart
• Tweaked optimized settings for Rise of the Tomb Raider
• Tweaked optimized settings for Senua's Saga: Hellblade 2
• Tweaked optimized settings for Shadow of the Tomb Raider
• Tweaked optimized settings for Star Wars Jedi: Survivor
• Tweaked optimized settings for The Finals
• Tweaked optimized settings for The Forest
• Tweaked optimized settings for The Last of Us Part 1
• Tweaked optimized settings for The Witcher 3: Wild Hunt Next-Gen (2022)
• Tweaked optimized settings for Tomb Raider (2013)
• Tweaked optimized settings for Tomb Raider: Definitive Edition

Low Specs Experience v11.10.5 - 2025-10-01
• Tweaked maximum performance optimization for eFootball
• Tweaked optimized settings for eFootball

Low Specs Experience v11.10.4 - 2025-09-29
• Tweaked maximum performance optimization for Anno 1800
• Tweaked maximum performance optimization for Anno 2205
• Tweaked maximum performance optimization for RoboCop: Rogue City
• Tweaked optimized settings for Anno 1800
• Tweaked optimized settings for Anno 2205
• Tweaked optimized settings for RoboCop: Rogue City

Low Specs Experience v11.10.3 - 2025-09-28
• [UI-UX] Refined user interface (gen_3_update_64)

Low Specs Experience v11.10.2 - 2025-09-23
• [BACK-END] Refined game detection and optimization API (gen_3_update_61)
• [BACK-END] Refined ReSwitch add-on (gen_5_initial)
• [UI-UX] Refined user interface (gen_3_update_63)
• Added maximum performance optimization for eFootball
• Added maximum performance optimization for Mass Effect Legendary Edition
• Added optimized settings for Mass Effect Legendary Edition
• Deprecated optimization support for Call of Duty: Warzone (2023)
• Deprecated optimization support for Dauntless
• Deprecated optimization support for eFootball 2022
• Deprecated optimization support for eFootball 2023
• Deprecated optimization support for eFootball 2024
• Deprecated optimization support for Mass Effect 2 (Legendary Edition)
• Deprecated optimization support for Mass Effect 3 (Legendary Edition)
• Deprecated optimization support for Mass Effect (Legendary Edition)
• Deprecated optimization support for Resident Evil Re:Verse
• Reworked maximum performance optimization for A Plague Tale: Innocence
• Reworked maximum performance optimization for A Plague Tale: Requiem
• Reworked maximum performance optimization for A Way Out
• Reworked maximum performance optimization for Abzu
• Reworked maximum performance optimization for Accident
• Reworked maximum performance optimization for Ace Combat 7: Skies Unknown
• Reworked maximum performance optimization for Aegis Descent
• Reworked maximum performance optimization for Age of Empires 3: Definitive Edition
• Reworked maximum performance optimization for Agents of Mayhem
• Reworked maximum performance optimization for Agony
• Reworked maximum performance optimization for Agony Unrated
• Reworked maximum performance optimization for Alan Wake 2
• Reworked maximum performance optimization for Alan Wake Remastered
• Reworked maximum performance optimization for Alien: Isolation
• Reworked maximum performance optimization for Aliens: Fireteam Elite
• Reworked maximum performance optimization for American Truck Simulator
• Reworked maximum performance optimization for Ancestors: The Humankind Odyssey
• Reworked maximum performance optimization for Anno 1800
• Reworked maximum performance optimization for Anno 2070
• Reworked maximum performance optimization for Anno 2205
• Reworked maximum performance optimization for Anthem
• Reworked maximum performance optimization for Apex Legends
• Reworked maximum performance optimization for ARK: Survival Evolved
• Reworked maximum performance optimization for Arma 3
• Reworked maximum performance optimization for Armored Core 6: Fires of Rubicon
• Reworked maximum performance optimization for Ashes of Oahu
• Reworked maximum performance optimization for Assassin's Creed 2
• Reworked maximum performance optimization for Assassin's Creed 3
• Reworked maximum performance optimization for Assassin's Creed 3 Remastered
• Reworked maximum performance optimization for Assassin's Creed 3: Liberation Remastered
• Reworked maximum performance optimization for Assassin's Creed 4: Black Flag
• Reworked maximum performance optimization for Assassin's Creed Mirage
• Reworked maximum performance optimization for Assassin's Creed Odyssey
• Reworked maximum performance optimization for Assassin's Creed Origins
• Reworked maximum performance optimization for Assassin's Creed Rogue
• Reworked maximum performance optimization for Assassin's Creed Syndicate
• Reworked maximum performance optimization for Assassin's Creed Unity
• Reworked maximum performance optimization for Assassin's Creed Valhalla
• Reworked maximum performance optimization for Assassin's Creed: Brotherhood
• Reworked maximum performance optimization for Assassin's Creed: Director's Cut (2008)
• Reworked maximum performance optimization for Assassin's Creed: Freedom Cry
• Reworked maximum performance optimization for Assassin's Creed: Liberation HD
• Reworked maximum performance optimization for Assassin's Creed: Revelations
• Reworked maximum performance optimization for Assetto Corsa
• Reworked maximum performance optimization for Assetto Corsa Competizione
• Reworked maximum performance optimization for Astroneer
• Reworked maximum performance optimization for Atlas Fallen
• Reworked maximum performance optimization for Atomic Heart
• Reworked maximum performance optimization for Back 4 Blood
• Reworked maximum performance optimization for Bakery Simulator
• Reworked maximum performance optimization for Baldur's Gate 3
• Reworked maximum performance optimization for Batman: Arkham Asylum - Game of the Year Edition
• Reworked maximum performance optimization for Batman: Arkham City - Game of the Year Edition
• Reworked maximum performance optimization for Batman: Arkham Knight
• Reworked maximum performance optimization for Batman: Arkham Origins
• Reworked maximum performance optimization for Batman: Arkham Origins Blackgate
• Reworked maximum performance optimization for Battlefield 1
• Reworked maximum performance optimization for Battlefield 3
• Reworked maximum performance optimization for Battlefield 4
• Reworked maximum performance optimization for Battlefield 5
• Reworked maximum performance optimization for Battlefield 2042
• Reworked maximum performance optimization for Battlefield Hardline
• Reworked maximum performance optimization for Battlefield: Bad Company 2
• Reworked maximum performance optimization for Big Earth
• Reworked maximum performance optimization for Biomutant
• Reworked maximum performance optimization for BioShock
• Reworked maximum performance optimization for BioShock 2
• Reworked maximum performance optimization for BioShock 2 Remastered
• Reworked maximum performance optimization for BioShock Infinite
• Reworked maximum performance optimization for BioShock Remastered
• Reworked maximum performance optimization for Blair Witch
• Reworked maximum performance optimization for Bloodstained: Ritual of the Night
• Reworked maximum performance optimization for Borderlands 2
• Reworked maximum performance optimization for Borderlands 3
• Reworked maximum performance optimization for Borderlands (2009)
• Reworked maximum performance optimization for Borderlands: Game of the Year Enhanced (2019)
• Reworked maximum performance optimization for Borderlands: The Pre-Sequel
• Reworked maximum performance optimization for Bright Memory
• Reworked maximum performance optimization for Bright Memory: Infinite
• Reworked maximum performance optimization for Bulletstorm: Full Clip Edition
• Reworked maximum performance optimization for Bus Simulator 18
• Reworked maximum performance optimization for Bus Simulator 21
• Reworked maximum performance optimization for Call of Cthulhu
• Reworked maximum performance optimization for Call of Duty 4: Modern Warfare (2007)
• Reworked maximum performance optimization for Call of Duty: Advanced Warfare (2014)
• Reworked maximum performance optimization for Call of Duty: Black Ops 2 (2012)
• Reworked maximum performance optimization for Call of Duty: Black Ops 3 (2015)
• Reworked maximum performance optimization for Call of Duty: Black Ops 4 (2018)
• Reworked maximum performance optimization for Call of Duty: Black Ops 6 (2024)
• Reworked maximum performance optimization for Call of Duty: Black Ops (2010)
• Reworked maximum performance optimization for Call of Duty: Black Ops Cold War (2020)
• Reworked maximum performance optimization for Call of Duty: Ghosts (2013)
• Reworked maximum performance optimization for Call of Duty: Infinite Warfare (2016)
• Reworked maximum performance optimization for Call of Duty: Modern Warfare 2 (2009)
• Reworked maximum performance optimization for Call of Duty: Modern Warfare 2 (2022)
• Reworked maximum performance optimization for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• Reworked maximum performance optimization for Call of Duty: Modern Warfare 3 (2011)
• Reworked maximum performance optimization for Call of Duty: Modern Warfare 3 (2023)
• Reworked maximum performance optimization for Call of Duty: Modern Warfare (2019)
• Reworked maximum performance optimization for Call of Duty: Modern Warfare Remastered (2016)
• Reworked maximum performance optimization for Call of Duty: Vanguard (2021)
• Reworked maximum performance optimization for Call of Duty: Warzone (2025)
• Reworked maximum performance optimization for Call of Duty: World at War (2008)
• Reworked maximum performance optimization for Call of Duty: World War 2 (2017)
• Reworked maximum performance optimization for Call of Juarez: Bound in Blood
• Reworked maximum performance optimization for Call of Juarez: Gunslinger
• Reworked maximum performance optimization for Call of Juarez: The Cartel
• Reworked maximum performance optimization for Chernobylite
• Reworked maximum performance optimization for Chivalry 2
• Reworked maximum performance optimization for Civilization 5
• Reworked maximum performance optimization for Civilization 6
• Reworked maximum performance optimization for Civilization: Beyond Earth
• Reworked maximum performance optimization for Close to the Sun
• Reworked maximum performance optimization for Code Vein
• Reworked maximum performance optimization for Cold House
• Reworked maximum performance optimization for Company of Heroes 2
• Reworked maximum performance optimization for Company of Heroes 3
• Reworked maximum performance optimization for Conan Exiles
• Reworked maximum performance optimization for Conqueror's Blade
• Reworked maximum performance optimization for Control Ultimate Edition
• Reworked maximum performance optimization for Counter-Strike 2
• Reworked maximum performance optimization for Crackdown 3
• Reworked maximum performance optimization for Crash Bandicoot 4: It's About Time
• Reworked maximum performance optimization for Crysis
• Reworked maximum performance optimization for Crysis 2
• Reworked maximum performance optimization for Crysis 2 Remastered
• Reworked maximum performance optimization for Crysis 3
• Reworked maximum performance optimization for Crysis 3 Remastered
• Reworked maximum performance optimization for Crysis Remastered
• Reworked maximum performance optimization for Crysis Warhead
• Reworked maximum performance optimization for Cyberpunk 2077
• Reworked maximum performance optimization for Dark Souls 2 (2014)
• Reworked maximum performance optimization for Dark Souls 2: Scholar of the First Sin
• Reworked maximum performance optimization for Dark Souls 3
• Reworked maximum performance optimization for Dark Souls Remastered
• Reworked maximum performance optimization for Dark Souls: Prepare to Die Edition (2012)
• Reworked maximum performance optimization for Darksiders
• Reworked maximum performance optimization for Darksiders 2
• Reworked maximum performance optimization for Darksiders 2: Deathinitive Edition
• Reworked maximum performance optimization for Darksiders 3
• Reworked maximum performance optimization for Darksiders Genesis
• Reworked maximum performance optimization for Darksiders Warmastered Edition
• Reworked maximum performance optimization for Daylight (2014)
• Reworked maximum performance optimization for Daymare: 1994 Sandcastle
• Reworked maximum performance optimization for Daymare: 1998
• Reworked maximum performance optimization for Days Gone
• Reworked maximum performance optimization for Dead by Daylight
• Reworked maximum performance optimization for Dead Island Definitive Edition
• Reworked maximum performance optimization for Dead Island: Riptide Definitive Edition
• Reworked maximum performance optimization for Dead Man's Diary
• Reworked maximum performance optimization for Dead Rising
• Reworked maximum performance optimization for Dead Rising 2
• Reworked maximum performance optimization for Dead Rising 2: Off the Record
• Reworked maximum performance optimization for Dead Rising 3
• Reworked maximum performance optimization for Dead Rising 4
• Reworked maximum performance optimization for Dead Space 2 (2011)
• Reworked maximum performance optimization for Dead Space 3 (2013)
• Reworked maximum performance optimization for Dead Space (2008)
• Reworked maximum performance optimization for Dead Space (2023)
• Reworked maximum performance optimization for Death Stranding Director's Cut
• Reworked maximum performance optimization for Deathloop
• Reworked maximum performance optimization for Deceit
• Reworked maximum performance optimization for Deliver Us The Moon
• Reworked maximum performance optimization for Destiny 2
• Reworked maximum performance optimization for Devil May Cry 5
• Reworked maximum performance optimization for Devil's Hunt
• Reworked maximum performance optimization for DiRT 2
• Reworked maximum performance optimization for DiRT 3
• Reworked maximum performance optimization for DiRT 4
• Reworked maximum performance optimization for DiRT Rally
• Reworked maximum performance optimization for DiRT Rally 2.0
• Reworked maximum performance optimization for DiRT Showdown
• Reworked maximum performance optimization for Dishonored
• Reworked maximum performance optimization for Dishonored 2
• Reworked maximum performance optimization for Dishonored: Death of the Outsider
• Reworked maximum performance optimization for Divinity: Original Sin 2
• Reworked maximum performance optimization for Divinity: Original Sin 2 - Definitive Edition
• Reworked maximum performance optimization for Dragon Age: Inquisition
• Reworked maximum performance optimization for Dragon Ball Xenoverse
• Reworked maximum performance optimization for Dragon Ball Xenoverse 2
• Reworked maximum performance optimization for Dragon Ball Z: Kakarot
• Reworked maximum performance optimization for Dying Light
• Reworked maximum performance optimization for Dying Light 2 Stay Human
• Reworked maximum performance optimization for EA Sports FC 24
• Reworked maximum performance optimization for Effie
• Reworked maximum performance optimization for eFootball
• Reworked maximum performance optimization for eFootball PES 2020
• Reworked maximum performance optimization for eFootball PES 2021 Season Update
• Reworked maximum performance optimization for Esse Proxy
• Reworked maximum performance optimization for Euro Truck Simulator 2
• Reworked maximum performance optimization for Evil West
• Reworked maximum performance optimization for F1 22
• Reworked maximum performance optimization for F1 23
• Reworked maximum performance optimization for F1 24
• Reworked maximum performance optimization for F1 2010
• Reworked maximum performance optimization for F1 2011
• Reworked maximum performance optimization for F1 2012
• Reworked maximum performance optimization for F1 2013
• Reworked maximum performance optimization for F1 2014
• Reworked maximum performance optimization for F1 2015
• Reworked maximum performance optimization for F1 2016
• Reworked maximum performance optimization for F1 2017
• Reworked maximum performance optimization for F1 2018
• Reworked maximum performance optimization for F1 2019
• Reworked maximum performance optimization for F1 2020
• Reworked maximum performance optimization for F1 2021
• Reworked maximum performance optimization for F1 Manager 2022
• Reworked maximum performance optimization for F1 Manager 2023
• Reworked maximum performance optimization for Fade to Silence
• Reworked maximum performance optimization for Fallout 3
• Reworked maximum performance optimization for Fallout 4
• Reworked maximum performance optimization for Fallout 76
• Reworked maximum performance optimization for Fallout: New Vegas
• Reworked maximum performance optimization for Far Cry 2
• Reworked maximum performance optimization for Far Cry 3
• Reworked maximum performance optimization for Far Cry 3: Blood Dragon
• Reworked maximum performance optimization for Far Cry 4
• Reworked maximum performance optimization for Far Cry 5
• Reworked maximum performance optimization for Far Cry 6
• Reworked maximum performance optimization for Far Cry New Dawn
• Reworked maximum performance optimization for Far Cry Primal
• Reworked maximum performance optimization for Fast and Furious Crossroads
• Reworked maximum performance optimization for Fast and Furious: Spy Racers Rise of SH1FT3R
• Reworked maximum performance optimization for FIFA 11
• Reworked maximum performance optimization for FIFA 12
• Reworked maximum performance optimization for FIFA 13
• Reworked maximum performance optimization for FIFA 14
• Reworked maximum performance optimization for FIFA 15
• Reworked maximum performance optimization for FIFA 16
• Reworked maximum performance optimization for FIFA 17
• Reworked maximum performance optimization for FIFA 18
• Reworked maximum performance optimization for FIFA 19
• Reworked maximum performance optimization for FIFA 20
• Reworked maximum performance optimization for FIFA 21
• Reworked maximum performance optimization for FIFA 22
• Reworked maximum performance optimization for FIFA 23
• Reworked maximum performance optimization for Final Fantasy 15 (FFXV)
• Reworked maximum performance optimization for Food Truck Simulator
• Reworked maximum performance optimization for For Honor
• Reworked maximum performance optimization for Forza Horizon 3
• Reworked maximum performance optimization for Forza Horizon 4
• Reworked maximum performance optimization for Forza Horizon 5
• Reworked maximum performance optimization for Forza Motorsport (2023)
• Reworked maximum performance optimization for Friday the 13th: The Game
• Reworked maximum performance optimization for Gas Station Simulator
• Reworked maximum performance optimization for Gears 5
• Reworked maximum performance optimization for Gears of War 4
• Reworked maximum performance optimization for Gears Tactics
• Reworked maximum performance optimization for Ghost of Tsushima Director's Cut
• Reworked maximum performance optimization for Ghostrunner
• Reworked maximum performance optimization for Ghostrunner 2
• Reworked maximum performance optimization for Ghostwire: Tokyo
• Reworked maximum performance optimization for God of War (2018)
• Reworked maximum performance optimization for God of War Ragnarök
• Reworked maximum performance optimization for Gotham Knights
• Reworked maximum performance optimization for Grand Theft Auto 3 - The Definitive Edition
• Reworked maximum performance optimization for Grand Theft Auto 4: The Complete Edition
• Reworked maximum performance optimization for Grand Theft Auto 5 Legacy
• Reworked maximum performance optimization for Grand Theft Auto: San Andreas - The Definitive Edition
• Reworked maximum performance optimization for Grand Theft Auto: Vice City - The Definitive Edition
• Reworked maximum performance optimization for GreedFall
• Reworked maximum performance optimization for GRID 2
• Reworked maximum performance optimization for GRID (2019)
• Reworked maximum performance optimization for GRID Autosport
• Reworked maximum performance optimization for GRID Legends
• Reworked maximum performance optimization for Grounded
• Reworked maximum performance optimization for Guilty Gear Strive
• Reworked maximum performance optimization for Halo: The Master Chief Collection
• Reworked maximum performance optimization for Heavy Rain
• Reworked maximum performance optimization for Hellblade: Senua's Sacrifice
• Reworked maximum performance optimization for Heroes of the Storm
• Reworked maximum performance optimization for High on Life
• Reworked maximum performance optimization for Hitman
• Reworked maximum performance optimization for Hitman 2
• Reworked maximum performance optimization for Hitman World of Assassination (aka Hitman 3)
• Reworked maximum performance optimization for Hogwarts Legacy
• Reworked maximum performance optimization for Homefront
• Reworked maximum performance optimization for Homefront: The Revolution
• Reworked maximum performance optimization for Horizon Forbidden West
• Reworked maximum performance optimization for Horizon Zero Dawn
• Reworked maximum performance optimization for Hunt: Showdown 1896
• Reworked maximum performance optimization for I Am Alive
• Reworked maximum performance optimization for It Takes Two
• Reworked maximum performance optimization for Jagged Alliance 3
• Reworked maximum performance optimization for Journey to the Savage Planet
• Reworked maximum performance optimization for Jump Force
• Reworked maximum performance optimization for Just Cause 2
• Reworked maximum performance optimization for Just Cause 3
• Reworked maximum performance optimization for Just Cause 4
• Reworked maximum performance optimization for Kena: Bridge of Spirits
• Reworked maximum performance optimization for King of Retail
• Reworked maximum performance optimization for League of Legends
• Reworked maximum performance optimization for LEGO City Undercover
• Reworked maximum performance optimization for LEGO DC Super-Villains
• Reworked maximum performance optimization for LEGO Jurassic World
• Reworked maximum performance optimization for LEGO Marvel Super Heroes
• Reworked maximum performance optimization for LEGO Marvel Super Heroes 2
• Reworked maximum performance optimization for LEGO Marvel's Avengers
• Reworked maximum performance optimization for LEGO Pirates of the Caribbean: The Video Game
• Reworked maximum performance optimization for LEGO Star Wars: The Force Awakens
• Reworked maximum performance optimization for LEGO Star Wars: The Skywalker Saga
• Reworked maximum performance optimization for LEGO The Hobbit
• Reworked maximum performance optimization for LEGO The Incredibles
• Reworked maximum performance optimization for LEGO The Lord of the Rings
• Reworked maximum performance optimization for LEGO Worlds
• Reworked maximum performance optimization for Lies of P
• Reworked maximum performance optimization for Life is Strange 2
• Reworked maximum performance optimization for Life is Strange Remastered
• Reworked maximum performance optimization for Life is Strange: True Colors
• Reworked maximum performance optimization for Little Nightmares
• Reworked maximum performance optimization for Little Nightmares 2
• Reworked maximum performance optimization for Lords of the Fallen (2023)
• Reworked maximum performance optimization for Mad Max
• Reworked maximum performance optimization for Mafia 2: Definitive Edition
• Reworked maximum performance optimization for Mafia 3: Definitive Edition
• Reworked maximum performance optimization for Mafia: Definitive Edition
• Reworked maximum performance optimization for Martha Is Dead
• Reworked maximum performance optimization for Marvel's Midnight Suns
• Reworked maximum performance optimization for Marvel's Spider-Man Remastered
• Reworked maximum performance optimization for Marvel's Spider-Man: Miles Morales
• Reworked maximum performance optimization for Mass Effect Legendary Edition
• Reworked maximum performance optimization for Mass Effect: Andromeda
• Reworked maximum performance optimization for Max Payne 3
• Reworked maximum performance optimization for MechWarrior 5: Mercenaries
• Reworked maximum performance optimization for Medal of Honor (2010)
• Reworked maximum performance optimization for Medal of Honor: Warfighter
• Reworked maximum performance optimization for Mega Man 11
• Reworked maximum performance optimization for Mega Man X Legacy Collection
• Reworked maximum performance optimization for Mega Man X Legacy Collection 2
• Reworked maximum performance optimization for Metro 2033 Redux (2014)
• Reworked maximum performance optimization for Metro Exodus (2019)
• Reworked maximum performance optimization for Metro Exodus Enhanced Edition (2021)
• Reworked maximum performance optimization for Metro: Last Light Redux (2014)
• Reworked maximum performance optimization for Middle-earth: Shadow of Mordor
• Reworked maximum performance optimization for Middle-earth: Shadow of War
• Reworked maximum performance optimization for Mirror's Edge
• Reworked maximum performance optimization for Mirror's Edge Catalyst
• Reworked maximum performance optimization for Monster Hunter: World
• Reworked maximum performance optimization for Moons of Madness
• Reworked maximum performance optimization for Mordhau
• Reworked maximum performance optimization for Mortal Kombat 1 (2023)
• Reworked maximum performance optimization for Mortal Kombat 11
• Reworked maximum performance optimization for Mortal Kombat X
• Reworked maximum performance optimization for Mortal Kombat XL
• Reworked maximum performance optimization for Murdered: Soul Suspect
• Reworked maximum performance optimization for MX vs. ATV Legends
• Reworked maximum performance optimization for Need for Speed (2016)
• Reworked maximum performance optimization for Need for Speed Heat
• Reworked maximum performance optimization for Need for Speed Payback
• Reworked maximum performance optimization for Need for Speed Rivals
• Reworked maximum performance optimization for Need for Speed Unbound
• Reworked maximum performance optimization for Need for Speed: Hot Pursuit Remastered
• Reworked maximum performance optimization for Need for Speed: Most Wanted (2012)
• Reworked maximum performance optimization for Need for Speed: Shift
• Reworked maximum performance optimization for Need for Speed: Shift 2 Unleashed
• Reworked maximum performance optimization for Nioh 2: The Complete Edition
• Reworked maximum performance optimization for Nioh: Complete Edition
• Reworked maximum performance optimization for No Man's Sky
• Reworked maximum performance optimization for One Piece Odyssey
• Reworked maximum performance optimization for Outlast
• Reworked maximum performance optimization for Outlast 2
• Reworked maximum performance optimization for Outriders
• Reworked maximum performance optimization for OVERKILL's The Walking Dead
• Reworked maximum performance optimization for Overwatch 2
• Reworked maximum performance optimization for Partisans 1941
• Reworked maximum performance optimization for Payday 2
• Reworked maximum performance optimization for Payday 3
• Reworked maximum performance optimization for Payday: The Heist
• Reworked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Reworked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Reworked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Reworked maximum performance optimization for Prey (2017)
• Reworked maximum performance optimization for Pro Evolution Soccer 2010
• Reworked maximum performance optimization for Pro Evolution Soccer 2011
• Reworked maximum performance optimization for Pro Evolution Soccer 2012
• Reworked maximum performance optimization for Pro Evolution Soccer 2013
• Reworked maximum performance optimization for Pro Evolution Soccer 2014
• Reworked maximum performance optimization for Pro Evolution Soccer 2015
• Reworked maximum performance optimization for Pro Evolution Soccer 2016
• Reworked maximum performance optimization for Pro Evolution Soccer 2017
• Reworked maximum performance optimization for Pro Evolution Soccer 2018
• Reworked maximum performance optimization for Pro Evolution Soccer 2019
• Reworked maximum performance optimization for Project CARS
• Reworked maximum performance optimization for Project CARS 2
• Reworked maximum performance optimization for Project CARS 3
• Reworked maximum performance optimization for Psychonauts 2
• Reworked maximum performance optimization for PUBG: Battlegrounds
• Reworked maximum performance optimization for Quantum Break
• Reworked maximum performance optimization for Rage
• Reworked maximum performance optimization for Rage 2
• Reworked maximum performance optimization for Ratchet and Clank: Rift Apart
• Reworked maximum performance optimization for ReCore: Definitive Edition
• Reworked maximum performance optimization for Red Dead Redemption 2
• Reworked maximum performance optimization for Redeemer: Enhanced Edition
• Reworked maximum performance optimization for Redfall
• Reworked maximum performance optimization for Remember Me
• Reworked maximum performance optimization for Remnant 2
• Reworked maximum performance optimization for Remnant: From the Ashes
• Reworked maximum performance optimization for Resident Evil 2 (2019)
• Reworked maximum performance optimization for Resident Evil 3 (2020)
• Reworked maximum performance optimization for Resident Evil 4 (2023)
• Reworked maximum performance optimization for Resident Evil 4 Ultimate HD Edition
• Reworked maximum performance optimization for Resident Evil 5
• Reworked maximum performance optimization for Resident Evil 6
• Reworked maximum performance optimization for Resident Evil 7: Biohazard
• Reworked maximum performance optimization for Resident Evil HD Remaster
• Reworked maximum performance optimization for Resident Evil Resistance
• Reworked maximum performance optimization for Resident Evil Village
• Reworked maximum performance optimization for Resident Evil Zero HD Remaster
• Reworked maximum performance optimization for Resident Evil: Revelations
• Reworked maximum performance optimization for Resident Evil: Revelations 2
• Reworked maximum performance optimization for Returnal
• Reworked maximum performance optimization for Riders Republic
• Reworked maximum performance optimization for Rise of the Tomb Raider
• Reworked maximum performance optimization for RoboCop: Rogue City
• Reworked maximum performance optimization for Rocket League
• Reworked maximum performance optimization for Rune 2
• Reworked maximum performance optimization for Ryse: Son of Rome
• Reworked maximum performance optimization for Sackboy: A Big Adventure
• Reworked maximum performance optimization for Saint Seiya: Soldiers' Soul
• Reworked maximum performance optimization for Saints Row 4
• Reworked maximum performance optimization for Saints Row: Gat out of Hell
• Reworked maximum performance optimization for Saints Row: The Third (2011)
• Reworked maximum performance optimization for Saints Row: The Third Remastered
• Reworked maximum performance optimization for Scorn
• Reworked maximum performance optimization for Scum
• Reworked maximum performance optimization for Sea of Solitude
• Reworked maximum performance optimization for Sea of Thieves
• Reworked maximum performance optimization for Sekiro: Shadows Die Twice
• Reworked maximum performance optimization for Senua's Saga: Hellblade 2
• Reworked maximum performance optimization for Shadow of the Tomb Raider
• Reworked maximum performance optimization for Shadow Warrior 2
• Reworked maximum performance optimization for Shadow Warrior 3
• Reworked maximum performance optimization for Shenmue 3
• Reworked maximum performance optimization for Sherlock Holmes: Chapter One
• Reworked maximum performance optimization for Sifu
• Reworked maximum performance optimization for Sleeping Dogs: Definitive Edition
• Reworked maximum performance optimization for Sniper Elite 3
• Reworked maximum performance optimization for Sniper Elite 4
• Reworked maximum performance optimization for Sniper Elite 5
• Reworked maximum performance optimization for Sniper Elite V2
• Reworked maximum performance optimization for Sniper Elite V2 Remastered
• Reworked maximum performance optimization for Sniper Elite: Nazi Zombie Army
• Reworked maximum performance optimization for Sniper Elite: Nazi Zombie Army 2
• Reworked maximum performance optimization for Sniper: Ghost Warrior
• Reworked maximum performance optimization for Sniper: Ghost Warrior 2
• Reworked maximum performance optimization for Sniper: Ghost Warrior 3
• Reworked maximum performance optimization for Sniper: Ghost Warrior Contracts
• Reworked maximum performance optimization for Sniper: Ghost Warrior Contracts 2
• Reworked maximum performance optimization for Sons of the Forest
• Reworked maximum performance optimization for Soulcalibur 6
• Reworked maximum performance optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Reworked maximum performance optimization for SpongeBob SquarePants: The Cosmic Shake
• Reworked maximum performance optimization for Spyro Reignited Trilogy
• Reworked maximum performance optimization for Star Trek Prodigy: Supernova
• Reworked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Reworked maximum performance optimization for Star Wars Battlefront (2015)
• Reworked maximum performance optimization for Star Wars Jedi: Fallen Order
• Reworked maximum performance optimization for Star Wars Jedi: Survivor
• Reworked maximum performance optimization for Star Wars: Squadrons
• Reworked maximum performance optimization for Starfield
• Reworked maximum performance optimization for State of Decay
• Reworked maximum performance optimization for State of Decay 2: Juggernaut Edition
• Reworked maximum performance optimization for State of Decay: Year-One Survival Edition
• Reworked maximum performance optimization for Steep
• Reworked maximum performance optimization for Stranded Deep
• Reworked maximum performance optimization for Stray
• Reworked maximum performance optimization for Submerged
• Reworked maximum performance optimization for Submerged: Hidden Depths
• Reworked maximum performance optimization for Sunset Overdrive
• Reworked maximum performance optimization for Sword and Fairy 7
• Reworked maximum performance optimization for Tales of Arise
• Reworked maximum performance optimization for Tekken 7
• Reworked maximum performance optimization for Tell Me Why
• Reworked maximum performance optimization for Terminator: Resistance
• Reworked maximum performance optimization for The Awesome Adventures of Captain Spirit
• Reworked maximum performance optimization for The Beast Inside
• Reworked maximum performance optimization for The Bureau: XCOM Declassified
• Reworked maximum performance optimization for The Callisto Protocol
• Reworked maximum performance optimization for The Crew 2
• Reworked maximum performance optimization for The Crew Motorfest
• Reworked maximum performance optimization for The Dark Pictures Anthology: House of Ashes
• Reworked maximum performance optimization for The Dark Pictures Anthology: Little Hope
• Reworked maximum performance optimization for The Dark Pictures Anthology: Man of Medan
• Reworked maximum performance optimization for The Dark Pictures Anthology: The Devil in Me
• Reworked maximum performance optimization for The Elder Scrolls 5: Skyrim Special Edition
• Reworked maximum performance optimization for The Evil Within
• Reworked maximum performance optimization for The Evil Within 2
• Reworked maximum performance optimization for The Finals
• Reworked maximum performance optimization for The Forest
• Reworked maximum performance optimization for The Last of Us Part 1
• Reworked maximum performance optimization for The Last Oricru
• Reworked maximum performance optimization for The LEGO Movie Videogame
• Reworked maximum performance optimization for The LEGO Movie Videogame 2
• Reworked maximum performance optimization for The LEGO Ninjago Movie Video Game
• Reworked maximum performance optimization for The Medium
• Reworked maximum performance optimization for The Outer Worlds
• Reworked maximum performance optimization for The Outer Worlds: Spacer's Choice Edition
• Reworked maximum performance optimization for The Quarry
• Reworked maximum performance optimization for The Redress of Mira
• Reworked maximum performance optimization for The Sims 3
• Reworked maximum performance optimization for The Sims 4
• Reworked maximum performance optimization for The Sinking City (2019)
• Reworked maximum performance optimization for The Surge
• Reworked maximum performance optimization for The Surge 2
• Reworked maximum performance optimization for The Talos Principle 2
• Reworked maximum performance optimization for The Texas Chain Saw Massacre
• Reworked maximum performance optimization for The Waylanders
• Reworked maximum performance optimization for The Witcher 2: Assassins of Kings Enhanced Edition
• Reworked maximum performance optimization for The Witcher 3: Wild Hunt Classic (2015)
• Reworked maximum performance optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• Reworked maximum performance optimization for theHunter Classic
• Reworked maximum performance optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Reworked maximum performance optimization for Tiny Tina's Wonderlands
• Reworked maximum performance optimization for Titanfall 2
• Reworked maximum performance optimization for Tom Clancy's Ghost Recon Breakpoint
• Reworked maximum performance optimization for Tom Clancy's Ghost Recon Wildlands
• Reworked maximum performance optimization for Tom Clancy's Ghost Recon: Future Soldier
• Reworked maximum performance optimization for Tom Clancy's Rainbow Six Siege
• Reworked maximum performance optimization for Tom Clancy's Splinter Cell: Blacklist
• Reworked maximum performance optimization for Tom Clancy's Splinter Cell: Conviction
• Reworked maximum performance optimization for Tom Clancy's The Division
• Reworked maximum performance optimization for Tom Clancy's The Division 2
• Reworked maximum performance optimization for Tomb Raider (2013)
• Reworked maximum performance optimization for Tomb Raider: Definitive Edition
• Reworked maximum performance optimization for Tony Hawk's Pro Skater 1 + 2
• Reworked maximum performance optimization for Train Sim World 2
• Reworked maximum performance optimization for Train Sim World 3
• Reworked maximum performance optimization for Train Sim World 4
• Reworked maximum performance optimization for Train Sim World 2020
• Reworked maximum performance optimization for Treasure Hunter Simulator
• Reworked maximum performance optimization for Tree of Savior
• Reworked maximum performance optimization for Trek to Yomi
• Reworked maximum performance optimization for Trials Rising
• Reworked maximum performance optimization for Twin Mirror
• Reworked maximum performance optimization for Uncharted: Legacy of Thieves Collection
• Reworked maximum performance optimization for Valorant
• Reworked maximum performance optimization for Vampire: The Masquerade - Bloodhunt
• Reworked maximum performance optimization for Vampire: The Masquerade - Swansong
• Reworked maximum performance optimization for Vampyr
• Reworked maximum performance optimization for Visage
• Reworked maximum performance optimization for Watch Dogs
• Reworked maximum performance optimization for Watch Dogs 2
• Reworked maximum performance optimization for Watch Dogs: Legion
• Reworked maximum performance optimization for We Happy Few
• Reworked maximum performance optimization for Wo Long: Fallen Dynasty
• Reworked maximum performance optimization for Wolfenstein 2: The New Colossus
• Reworked maximum performance optimization for Wolfenstein: The New Order
• Reworked maximum performance optimization for Wolfenstein: The Old Blood
• Reworked maximum performance optimization for Wolfenstein: Youngblood
• Reworked maximum performance optimization for World of Warcraft
• Reworked maximum performance optimization for World War Z
• Reworked maximum performance optimization for Zombie Army 4: Dead War
• Reworked maximum performance optimization for Zombie Army Trilogy
• Reworked optimized settings for A Plague Tale: Innocence
• Reworked optimized settings for A Plague Tale: Requiem
• Reworked optimized settings for A Way Out
• Reworked optimized settings for Abzu
• Reworked optimized settings for Accident
• Reworked optimized settings for Ace Combat 7: Skies Unknown
• Reworked optimized settings for Aegis Descent
• Reworked optimized settings for Age of Empires 3: Definitive Edition
• Reworked optimized settings for Agents of Mayhem
• Reworked optimized settings for Agony
• Reworked optimized settings for Agony Unrated
• Reworked optimized settings for Alan Wake 2
• Reworked optimized settings for Alan Wake Remastered
• Reworked optimized settings for Alien: Isolation
• Reworked optimized settings for Aliens: Fireteam Elite
• Reworked optimized settings for American Truck Simulator
• Reworked optimized settings for Ancestors: The Humankind Odyssey
• Reworked optimized settings for Anno 1800
• Reworked optimized settings for Anno 2070
• Reworked optimized settings for Anno 2205
• Reworked optimized settings for Anthem
• Reworked optimized settings for Apex Legends
• Reworked optimized settings for ARK: Survival Evolved
• Reworked optimized settings for Arma 3
• Reworked optimized settings for Armored Core 6: Fires of Rubicon
• Reworked optimized settings for Ashes of Oahu
• Reworked optimized settings for Assassin's Creed 2
• Reworked optimized settings for Assassin's Creed 3
• Reworked optimized settings for Assassin's Creed 3 Remastered
• Reworked optimized settings for Assassin's Creed 3: Liberation Remastered
• Reworked optimized settings for Assassin's Creed 4: Black Flag
• Reworked optimized settings for Assassin's Creed Mirage
• Reworked optimized settings for Assassin's Creed Odyssey
• Reworked optimized settings for Assassin's Creed Origins
• Reworked optimized settings for Assassin's Creed Rogue
• Reworked optimized settings for Assassin's Creed Syndicate
• Reworked optimized settings for Assassin's Creed Unity
• Reworked optimized settings for Assassin's Creed Valhalla
• Reworked optimized settings for Assassin's Creed: Brotherhood
• Reworked optimized settings for Assassin's Creed: Director's Cut (2008)
• Reworked optimized settings for Assassin's Creed: Freedom Cry
• Reworked optimized settings for Assassin's Creed: Liberation HD
• Reworked optimized settings for Assassin's Creed: Revelations
• Reworked optimized settings for Assetto Corsa
• Reworked optimized settings for Assetto Corsa Competizione
• Reworked optimized settings for Astroneer
• Reworked optimized settings for Atlas Fallen
• Reworked optimized settings for Atomic Heart
• Reworked optimized settings for Back 4 Blood
• Reworked optimized settings for Bakery Simulator
• Reworked optimized settings for Baldur's Gate 3
• Reworked optimized settings for Batman: Arkham Asylum - Game of the Year Edition
• Reworked optimized settings for Batman: Arkham City - Game of the Year Edition
• Reworked optimized settings for Batman: Arkham Knight
• Reworked optimized settings for Batman: Arkham Origins
• Reworked optimized settings for Batman: Arkham Origins Blackgate
• Reworked optimized settings for Battlefield 1
• Reworked optimized settings for Battlefield 3
• Reworked optimized settings for Battlefield 4
• Reworked optimized settings for Battlefield 5
• Reworked optimized settings for Battlefield 2042
• Reworked optimized settings for Battlefield Hardline
• Reworked optimized settings for Battlefield: Bad Company 2
• Reworked optimized settings for Big Earth
• Reworked optimized settings for Biomutant
• Reworked optimized settings for BioShock
• Reworked optimized settings for BioShock 2
• Reworked optimized settings for BioShock 2 Remastered
• Reworked optimized settings for BioShock Infinite
• Reworked optimized settings for BioShock Remastered
• Reworked optimized settings for Blair Witch
• Reworked optimized settings for Bloodstained: Ritual of the Night
• Reworked optimized settings for Borderlands 2
• Reworked optimized settings for Borderlands 3
• Reworked optimized settings for Borderlands (2009)
• Reworked optimized settings for Borderlands: Game of the Year Enhanced (2019)
• Reworked optimized settings for Borderlands: The Pre-Sequel
• Reworked optimized settings for Bright Memory
• Reworked optimized settings for Bright Memory: Infinite
• Reworked optimized settings for Bulletstorm: Full Clip Edition
• Reworked optimized settings for Bus Simulator 18
• Reworked optimized settings for Bus Simulator 21
• Reworked optimized settings for Call of Cthulhu
• Reworked optimized settings for Call of Duty 4: Modern Warfare (2007)
• Reworked optimized settings for Call of Duty: Advanced Warfare (2014)
• Reworked optimized settings for Call of Duty: Black Ops 2 (2012)
• Reworked optimized settings for Call of Duty: Black Ops 3 (2015)
• Reworked optimized settings for Call of Duty: Black Ops 4 (2018)
• Reworked optimized settings for Call of Duty: Black Ops 6 (2024)
• Reworked optimized settings for Call of Duty: Black Ops (2010)
• Reworked optimized settings for Call of Duty: Black Ops Cold War (2020)
• Reworked optimized settings for Call of Duty: Ghosts (2013)
• Reworked optimized settings for Call of Duty: Infinite Warfare (2016)
• Reworked optimized settings for Call of Duty: Modern Warfare 2 (2009)
• Reworked optimized settings for Call of Duty: Modern Warfare 2 (2022)
• Reworked optimized settings for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• Reworked optimized settings for Call of Duty: Modern Warfare 3 (2011)
• Reworked optimized settings for Call of Duty: Modern Warfare 3 (2023)
• Reworked optimized settings for Call of Duty: Modern Warfare (2019)
• Reworked optimized settings for Call of Duty: Modern Warfare Remastered (2016)
• Reworked optimized settings for Call of Duty: Vanguard (2021)
• Reworked optimized settings for Call of Duty: Warzone (2025)
• Reworked optimized settings for Call of Duty: World at War (2008)
• Reworked optimized settings for Call of Duty: World War 2 (2017)
• Reworked optimized settings for Call of Juarez: Bound in Blood
• Reworked optimized settings for Call of Juarez: Gunslinger
• Reworked optimized settings for Call of Juarez: The Cartel
• Reworked optimized settings for Chernobylite
• Reworked optimized settings for Chivalry 2
• Reworked optimized settings for Civilization 5
• Reworked optimized settings for Civilization 6
• Reworked optimized settings for Civilization: Beyond Earth
• Reworked optimized settings for Close to the Sun
• Reworked optimized settings for Code Vein
• Reworked optimized settings for Cold House
• Reworked optimized settings for Company of Heroes 2
• Reworked optimized settings for Company of Heroes 3
• Reworked optimized settings for Conan Exiles
• Reworked optimized settings for Conqueror's Blade
• Reworked optimized settings for Control Ultimate Edition
• Reworked optimized settings for Counter-Strike 2
• Reworked optimized settings for Crackdown 3
• Reworked optimized settings for Crash Bandicoot 4: It's About Time
• Reworked optimized settings for Crysis
• Reworked optimized settings for Crysis 2
• Reworked optimized settings for Crysis 2 Remastered
• Reworked optimized settings for Crysis 3
• Reworked optimized settings for Crysis 3 Remastered
• Reworked optimized settings for Crysis Remastered
• Reworked optimized settings for Crysis Warhead
• Reworked optimized settings for Cyberpunk 2077
• Reworked optimized settings for Dark Souls 2 (2014)
• Reworked optimized settings for Dark Souls 2: Scholar of the First Sin
• Reworked optimized settings for Dark Souls 3
• Reworked optimized settings for Dark Souls Remastered
• Reworked optimized settings for Dark Souls: Prepare to Die Edition (2012)
• Reworked optimized settings for Darksiders
• Reworked optimized settings for Darksiders 2
• Reworked optimized settings for Darksiders 2: Deathinitive Edition
• Reworked optimized settings for Darksiders 3
• Reworked optimized settings for Darksiders Genesis
• Reworked optimized settings for Darksiders Warmastered Edition
• Reworked optimized settings for Daylight (2014)
• Reworked optimized settings for Daymare: 1994 Sandcastle
• Reworked optimized settings for Daymare: 1998
• Reworked optimized settings for Days Gone
• Reworked optimized settings for Dead by Daylight
• Reworked optimized settings for Dead Island Definitive Edition
• Reworked optimized settings for Dead Island: Riptide Definitive Edition
• Reworked optimized settings for Dead Man's Diary
• Reworked optimized settings for Dead Rising
• Reworked optimized settings for Dead Rising 2
• Reworked optimized settings for Dead Rising 2: Off the Record
• Reworked optimized settings for Dead Rising 3
• Reworked optimized settings for Dead Rising 4
• Reworked optimized settings for Dead Space 2 (2011)
• Reworked optimized settings for Dead Space 3 (2013)
• Reworked optimized settings for Dead Space (2008)
• Reworked optimized settings for Dead Space (2023)
• Reworked optimized settings for Death Stranding Director's Cut
• Reworked optimized settings for Deathloop
• Reworked optimized settings for Deceit
• Reworked optimized settings for Deliver Us The Moon
• Reworked optimized settings for Destiny 2
• Reworked optimized settings for Devil May Cry 5
• Reworked optimized settings for Devil's Hunt
• Reworked optimized settings for DiRT 2
• Reworked optimized settings for DiRT 3
• Reworked optimized settings for DiRT 4
• Reworked optimized settings for DiRT Rally
• Reworked optimized settings for DiRT Rally 2.0
• Reworked optimized settings for DiRT Showdown
• Reworked optimized settings for Dishonored
• Reworked optimized settings for Dishonored 2
• Reworked optimized settings for Dishonored: Death of the Outsider
• Reworked optimized settings for Divinity: Original Sin 2
• Reworked optimized settings for Divinity: Original Sin 2 - Definitive Edition
• Reworked optimized settings for Dragon Age: Inquisition
• Reworked optimized settings for Dragon Ball Xenoverse
• Reworked optimized settings for Dragon Ball Xenoverse 2
• Reworked optimized settings for Dragon Ball Z: Kakarot
• Reworked optimized settings for Dying Light
• Reworked optimized settings for Dying Light 2 Stay Human
• Reworked optimized settings for EA Sports FC 24
• Reworked optimized settings for Effie
• Reworked optimized settings for eFootball
• Reworked optimized settings for eFootball PES 2020
• Reworked optimized settings for eFootball PES 2021 Season Update
• Reworked optimized settings for Esse Proxy
• Reworked optimized settings for Euro Truck Simulator 2
• Reworked optimized settings for Evil West
• Reworked optimized settings for F1 22
• Reworked optimized settings for F1 23
• Reworked optimized settings for F1 24
• Reworked optimized settings for F1 2010
• Reworked optimized settings for F1 2011
• Reworked optimized settings for F1 2012
• Reworked optimized settings for F1 2013
• Reworked optimized settings for F1 2014
• Reworked optimized settings for F1 2015
• Reworked optimized settings for F1 2016
• Reworked optimized settings for F1 2017
• Reworked optimized settings for F1 2018
• Reworked optimized settings for F1 2019
• Reworked optimized settings for F1 2020
• Reworked optimized settings for F1 2021
• Reworked optimized settings for F1 Manager 2022
• Reworked optimized settings for F1 Manager 2023
• Reworked optimized settings for Fade to Silence
• Reworked optimized settings for Fallout 3
• Reworked optimized settings for Fallout 4
• Reworked optimized settings for Fallout 76
• Reworked optimized settings for Fallout: New Vegas
• Reworked optimized settings for Far Cry 2
• Reworked optimized settings for Far Cry 3
• Reworked optimized settings for Far Cry 3: Blood Dragon
• Reworked optimized settings for Far Cry 4
• Reworked optimized settings for Far Cry 5
• Reworked optimized settings for Far Cry 6
• Reworked optimized settings for Far Cry New Dawn
• Reworked optimized settings for Far Cry Primal
• Reworked optimized settings for Fast and Furious Crossroads
• Reworked optimized settings for Fast and Furious: Spy Racers Rise of SH1FT3R
• Reworked optimized settings for FIFA 11
• Reworked optimized settings for FIFA 12
• Reworked optimized settings for FIFA 13
• Reworked optimized settings for FIFA 14
• Reworked optimized settings for FIFA 15
• Reworked optimized settings for FIFA 16
• Reworked optimized settings for FIFA 17
• Reworked optimized settings for FIFA 18
• Reworked optimized settings for FIFA 19
• Reworked optimized settings for FIFA 20
• Reworked optimized settings for FIFA 21
• Reworked optimized settings for FIFA 22
• Reworked optimized settings for FIFA 23
• Reworked optimized settings for Final Fantasy 15 (FFXV)
• Reworked optimized settings for Food Truck Simulator
• Reworked optimized settings for For Honor
• Reworked optimized settings for Forza Horizon 3
• Reworked optimized settings for Forza Horizon 4
• Reworked optimized settings for Forza Horizon 5
• Reworked optimized settings for Forza Motorsport (2023)
• Reworked optimized settings for Friday the 13th: The Game
• Reworked optimized settings for Gas Station Simulator
• Reworked optimized settings for Gears 5
• Reworked optimized settings for Gears of War 4
• Reworked optimized settings for Gears Tactics
• Reworked optimized settings for Ghost of Tsushima Director's Cut
• Reworked optimized settings for Ghostrunner
• Reworked optimized settings for Ghostrunner 2
• Reworked optimized settings for Ghostwire: Tokyo
• Reworked optimized settings for God of War (2018)
• Reworked optimized settings for God of War Ragnarök
• Reworked optimized settings for Gotham Knights
• Reworked optimized settings for Grand Theft Auto 3 - The Definitive Edition
• Reworked optimized settings for Grand Theft Auto 4: The Complete Edition
• Reworked optimized settings for Grand Theft Auto 5 Legacy
• Reworked optimized settings for Grand Theft Auto: San Andreas - The Definitive Edition
• Reworked optimized settings for Grand Theft Auto: Vice City - The Definitive Edition
• Reworked optimized settings for GreedFall
• Reworked optimized settings for GRID 2
• Reworked optimized settings for GRID (2019)
• Reworked optimized settings for GRID Autosport
• Reworked optimized settings for GRID Legends
• Reworked optimized settings for Grounded
• Reworked optimized settings for Guilty Gear Strive
• Reworked optimized settings for Halo: The Master Chief Collection
• Reworked optimized settings for Heavy Rain
• Reworked optimized settings for Hellblade: Senua's Sacrifice
• Reworked optimized settings for Heroes of the Storm
• Reworked optimized settings for High on Life
• Reworked optimized settings for Hitman
• Reworked optimized settings for Hitman 2
• Reworked optimized settings for Hitman World of Assassination (aka Hitman 3)
• Reworked optimized settings for Hogwarts Legacy
• Reworked optimized settings for Homefront
• Reworked optimized settings for Homefront: The Revolution
• Reworked optimized settings for Horizon Forbidden West
• Reworked optimized settings for Horizon Zero Dawn
• Reworked optimized settings for Hunt: Showdown 1896
• Reworked optimized settings for I Am Alive
• Reworked optimized settings for It Takes Two
• Reworked optimized settings for Jagged Alliance 3
• Reworked optimized settings for Journey to the Savage Planet
• Reworked optimized settings for Jump Force
• Reworked optimized settings for Just Cause 2
• Reworked optimized settings for Just Cause 3
• Reworked optimized settings for Just Cause 4
• Reworked optimized settings for Kena: Bridge of Spirits
• Reworked optimized settings for King of Retail
• Reworked optimized settings for League of Legends
• Reworked optimized settings for LEGO City Undercover
• Reworked optimized settings for LEGO DC Super-Villains
• Reworked optimized settings for LEGO Jurassic World
• Reworked optimized settings for LEGO Marvel Super Heroes
• Reworked optimized settings for LEGO Marvel Super Heroes 2
• Reworked optimized settings for LEGO Marvel's Avengers
• Reworked optimized settings for LEGO Pirates of the Caribbean: The Video Game
• Reworked optimized settings for LEGO Star Wars: The Force Awakens
• Reworked optimized settings for LEGO Star Wars: The Skywalker Saga
• Reworked optimized settings for LEGO The Hobbit
• Reworked optimized settings for LEGO The Incredibles
• Reworked optimized settings for LEGO The Lord of the Rings
• Reworked optimized settings for LEGO Worlds
• Reworked optimized settings for Lies of P
• Reworked optimized settings for Life is Strange 2
• Reworked optimized settings for Life is Strange Remastered
• Reworked optimized settings for Life is Strange: True Colors
• Reworked optimized settings for Little Nightmares
• Reworked optimized settings for Little Nightmares 2
• Reworked optimized settings for Lords of the Fallen (2023)
• Reworked optimized settings for Mad Max
• Reworked optimized settings for Mafia 2: Definitive Edition
• Reworked optimized settings for Mafia 3: Definitive Edition
• Reworked optimized settings for Mafia: Definitive Edition
• Reworked optimized settings for Martha Is Dead
• Reworked optimized settings for Marvel's Midnight Suns
• Reworked optimized settings for Marvel's Spider-Man Remastered
• Reworked optimized settings for Marvel's Spider-Man: Miles Morales
• Reworked optimized settings for Mass Effect Legendary Edition
• Reworked optimized settings for Mass Effect: Andromeda
• Reworked optimized settings for Max Payne 3
• Reworked optimized settings for MechWarrior 5: Mercenaries
• Reworked optimized settings for Medal of Honor (2010)
• Reworked optimized settings for Medal of Honor: Warfighter
• Reworked optimized settings for Mega Man 11
• Reworked optimized settings for Mega Man X Legacy Collection
• Reworked optimized settings for Mega Man X Legacy Collection 2
• Reworked optimized settings for Metro 2033 Redux (2014)
• Reworked optimized settings for Metro Exodus (2019)
• Reworked optimized settings for Metro Exodus Enhanced Edition (2021)
• Reworked optimized settings for Metro: Last Light Redux (2014)
• Reworked optimized settings for Middle-earth: Shadow of Mordor
• Reworked optimized settings for Middle-earth: Shadow of War
• Reworked optimized settings for Mirror's Edge
• Reworked optimized settings for Mirror's Edge Catalyst
• Reworked optimized settings for Monster Hunter: World
• Reworked optimized settings for Moons of Madness
• Reworked optimized settings for Mordhau
• Reworked optimized settings for Mortal Kombat 1 (2023)
• Reworked optimized settings for Mortal Kombat 11
• Reworked optimized settings for Mortal Kombat X
• Reworked optimized settings for Mortal Kombat XL
• Reworked optimized settings for Murdered: Soul Suspect
• Reworked optimized settings for MX vs. ATV Legends
• Reworked optimized settings for Need for Speed (2016)
• Reworked optimized settings for Need for Speed Heat
• Reworked optimized settings for Need for Speed Payback
• Reworked optimized settings for Need for Speed Rivals
• Reworked optimized settings for Need for Speed Unbound
• Reworked optimized settings for Need for Speed: Hot Pursuit Remastered
• Reworked optimized settings for Need for Speed: Most Wanted (2012)
• Reworked optimized settings for Need for Speed: Shift
• Reworked optimized settings for Need for Speed: Shift 2 Unleashed
• Reworked optimized settings for Nioh 2: The Complete Edition
• Reworked optimized settings for Nioh: Complete Edition
• Reworked optimized settings for No Man's Sky
• Reworked optimized settings for One Piece Odyssey
• Reworked optimized settings for Outlast
• Reworked optimized settings for Outlast 2
• Reworked optimized settings for Outriders
• Reworked optimized settings for OVERKILL's The Walking Dead
• Reworked optimized settings for Overwatch 2
• Reworked optimized settings for Partisans 1941
• Reworked optimized settings for Payday 2
• Reworked optimized settings for Payday 3
• Reworked optimized settings for Payday: The Heist
• Reworked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Reworked optimized settings for Plants vs. Zombies: Garden Warfare
• Reworked optimized settings for Plants vs. Zombies: Garden Warfare 2
• Reworked optimized settings for Prey (2017)
• Reworked optimized settings for Pro Evolution Soccer 2010
• Reworked optimized settings for Pro Evolution Soccer 2011
• Reworked optimized settings for Pro Evolution Soccer 2012
• Reworked optimized settings for Pro Evolution Soccer 2013
• Reworked optimized settings for Pro Evolution Soccer 2014
• Reworked optimized settings for Pro Evolution Soccer 2015
• Reworked optimized settings for Pro Evolution Soccer 2016
• Reworked optimized settings for Pro Evolution Soccer 2017
• Reworked optimized settings for Pro Evolution Soccer 2018
• Reworked optimized settings for Pro Evolution Soccer 2019
• Reworked optimized settings for Project CARS
• Reworked optimized settings for Project CARS 2
• Reworked optimized settings for Project CARS 3
• Reworked optimized settings for Psychonauts 2
• Reworked optimized settings for PUBG: Battlegrounds
• Reworked optimized settings for Quantum Break
• Reworked optimized settings for Rage
• Reworked optimized settings for Rage 2
• Reworked optimized settings for Ratchet and Clank: Rift Apart
• Reworked optimized settings for ReCore: Definitive Edition
• Reworked optimized settings for Red Dead Redemption 2
• Reworked optimized settings for Redeemer: Enhanced Edition
• Reworked optimized settings for Redfall
• Reworked optimized settings for Remember Me
• Reworked optimized settings for Remnant 2
• Reworked optimized settings for Remnant: From the Ashes
• Reworked optimized settings for Resident Evil 2 (2019)
• Reworked optimized settings for Resident Evil 3 (2020)
• Reworked optimized settings for Resident Evil 4 (2023)
• Reworked optimized settings for Resident Evil 4 Ultimate HD Edition
• Reworked optimized settings for Resident Evil 5
• Reworked optimized settings for Resident Evil 6
• Reworked optimized settings for Resident Evil 7: Biohazard
• Reworked optimized settings for Resident Evil HD Remaster
• Reworked optimized settings for Resident Evil Resistance
• Reworked optimized settings for Resident Evil Village
• Reworked optimized settings for Resident Evil Zero HD Remaster
• Reworked optimized settings for Resident Evil: Revelations
• Reworked optimized settings for Resident Evil: Revelations 2
• Reworked optimized settings for Returnal
• Reworked optimized settings for Riders Republic
• Reworked optimized settings for Rise of the Tomb Raider
• Reworked optimized settings for RoboCop: Rogue City
• Reworked optimized settings for Rocket League
• Reworked optimized settings for Rune 2
• Reworked optimized settings for Ryse: Son of Rome
• Reworked optimized settings for Sackboy: A Big Adventure
• Reworked optimized settings for Saint Seiya: Soldiers' Soul
• Reworked optimized settings for Saints Row 4
• Reworked optimized settings for Saints Row: Gat out of Hell
• Reworked optimized settings for Saints Row: The Third (2011)
• Reworked optimized settings for Saints Row: The Third Remastered
• Reworked optimized settings for Scorn
• Reworked optimized settings for Scum
• Reworked optimized settings for Sea of Solitude
• Reworked optimized settings for Sea of Thieves
• Reworked optimized settings for Sekiro: Shadows Die Twice
• Reworked optimized settings for Senua's Saga: Hellblade 2
• Reworked optimized settings for Shadow of the Tomb Raider
• Reworked optimized settings for Shadow Warrior 2
• Reworked optimized settings for Shadow Warrior 3
• Reworked optimized settings for Shenmue 3
• Reworked optimized settings for Sherlock Holmes: Chapter One
• Reworked optimized settings for Sifu
• Reworked optimized settings for Sleeping Dogs: Definitive Edition
• Reworked optimized settings for Sniper Elite 3
• Reworked optimized settings for Sniper Elite 4
• Reworked optimized settings for Sniper Elite 5
• Reworked optimized settings for Sniper Elite V2
• Reworked optimized settings for Sniper Elite V2 Remastered
• Reworked optimized settings for Sniper Elite: Nazi Zombie Army
• Reworked optimized settings for Sniper Elite: Nazi Zombie Army 2
• Reworked optimized settings for Sniper: Ghost Warrior
• Reworked optimized settings for Sniper: Ghost Warrior 2
• Reworked optimized settings for Sniper: Ghost Warrior 3
• Reworked optimized settings for Sniper: Ghost Warrior Contracts
• Reworked optimized settings for Sniper: Ghost Warrior Contracts 2
• Reworked optimized settings for Sons of the Forest
• Reworked optimized settings for Soulcalibur 6
• Reworked optimized settings for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Reworked optimized settings for SpongeBob SquarePants: The Cosmic Shake
• Reworked optimized settings for Spyro Reignited Trilogy
• Reworked optimized settings for Star Trek Prodigy: Supernova
• Reworked optimized settings for Star Wars Battlefront 2 (2017)
• Reworked optimized settings for Star Wars Battlefront (2015)
• Reworked optimized settings for Star Wars Jedi: Fallen Order
• Reworked optimized settings for Star Wars Jedi: Survivor
• Reworked optimized settings for Star Wars: Squadrons
• Reworked optimized settings for Starfield
• Reworked optimized settings for State of Decay
• Reworked optimized settings for State of Decay 2: Juggernaut Edition
• Reworked optimized settings for State of Decay: Year-One Survival Edition
• Reworked optimized settings for Steep
• Reworked optimized settings for Stranded Deep
• Reworked optimized settings for Stray
• Reworked optimized settings for Submerged
• Reworked optimized settings for Submerged: Hidden Depths
• Reworked optimized settings for Sunset Overdrive
• Reworked optimized settings for Sword and Fairy 7
• Reworked optimized settings for Tales of Arise
• Reworked optimized settings for Tekken 7
• Reworked optimized settings for Tell Me Why
• Reworked optimized settings for Terminator: Resistance
• Reworked optimized settings for The Awesome Adventures of Captain Spirit
• Reworked optimized settings for The Beast Inside
• Reworked optimized settings for The Bureau: XCOM Declassified
• Reworked optimized settings for The Callisto Protocol
• Reworked optimized settings for The Crew 2
• Reworked optimized settings for The Crew Motorfest
• Reworked optimized settings for The Dark Pictures Anthology: House of Ashes
• Reworked optimized settings for The Dark Pictures Anthology: Little Hope
• Reworked optimized settings for The Dark Pictures Anthology: Man of Medan
• Reworked optimized settings for The Dark Pictures Anthology: The Devil in Me
• Reworked optimized settings for The Elder Scrolls 5: Skyrim Special Edition
• Reworked optimized settings for The Evil Within
• Reworked optimized settings for The Evil Within 2
• Reworked optimized settings for The Finals
• Reworked optimized settings for The Forest
• Reworked optimized settings for The Last of Us Part 1
• Reworked optimized settings for The Last Oricru
• Reworked optimized settings for The LEGO Movie Videogame
• Reworked optimized settings for The LEGO Movie Videogame 2
• Reworked optimized settings for The LEGO Ninjago Movie Video Game
• Reworked optimized settings for The Medium
• Reworked optimized settings for The Outer Worlds
• Reworked optimized settings for The Outer Worlds: Spacer's Choice Edition
• Reworked optimized settings for The Quarry
• Reworked optimized settings for The Redress of Mira
• Reworked optimized settings for The Sims 3
• Reworked optimized settings for The Sims 4
• Reworked optimized settings for The Sinking City (2019)
• Reworked optimized settings for The Surge
• Reworked optimized settings for The Surge 2
• Reworked optimized settings for The Talos Principle 2
• Reworked optimized settings for The Texas Chain Saw Massacre
• Reworked optimized settings for The Waylanders
• Reworked optimized settings for The Witcher 2: Assassins of Kings Enhanced Edition
• Reworked optimized settings for The Witcher 3: Wild Hunt Classic (2015)
• Reworked optimized settings for The Witcher 3: Wild Hunt Next-Gen (2022)
• Reworked optimized settings for theHunter Classic
• Reworked optimized settings for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Reworked optimized settings for Tiny Tina's Wonderlands
• Reworked optimized settings for Titanfall 2
• Reworked optimized settings for Tom Clancy's Ghost Recon Breakpoint
• Reworked optimized settings for Tom Clancy's Ghost Recon Wildlands
• Reworked optimized settings for Tom Clancy's Ghost Recon: Future Soldier
• Reworked optimized settings for Tom Clancy's Rainbow Six Siege
• Reworked optimized settings for Tom Clancy's Splinter Cell: Blacklist
• Reworked optimized settings for Tom Clancy's Splinter Cell: Conviction
• Reworked optimized settings for Tom Clancy's The Division
• Reworked optimized settings for Tom Clancy's The Division 2
• Reworked optimized settings for Tomb Raider (2013)
• Reworked optimized settings for Tomb Raider: Definitive Edition
• Reworked optimized settings for Tony Hawk's Pro Skater 1 + 2
• Reworked optimized settings for Train Sim World 2
• Reworked optimized settings for Train Sim World 3
• Reworked optimized settings for Train Sim World 4
• Reworked optimized settings for Train Sim World 2020
• Reworked optimized settings for Treasure Hunter Simulator
• Reworked optimized settings for Tree of Savior
• Reworked optimized settings for Trek to Yomi
• Reworked optimized settings for Trials Rising
• Reworked optimized settings for Twin Mirror
• Reworked optimized settings for Uncharted: Legacy of Thieves Collection
• Reworked optimized settings for Valorant
• Reworked optimized settings for Vampire: The Masquerade - Bloodhunt
• Reworked optimized settings for Vampire: The Masquerade - Swansong
• Reworked optimized settings for Vampyr
• Reworked optimized settings for Visage
• Reworked optimized settings for Watch Dogs
• Reworked optimized settings for Watch Dogs 2
• Reworked optimized settings for Watch Dogs: Legion
• Reworked optimized settings for We Happy Few
• Reworked optimized settings for Wo Long: Fallen Dynasty
• Reworked optimized settings for Wolfenstein 2: The New Colossus
• Reworked optimized settings for Wolfenstein: The New Order
• Reworked optimized settings for Wolfenstein: The Old Blood
• Reworked optimized settings for Wolfenstein: Youngblood
• Reworked optimized settings for World of Warcraft
• Reworked optimized settings for World War Z
• Reworked optimized settings for Zombie Army 4: Dead War
• Reworked optimized settings for Zombie Army Trilogy

Low Specs Experience v11.10.1 - 2024-12-30
• [UI-UX] Refined user interface (gen_3_update_62)

Low Specs Experience v11.10.0 - 2024-10-02
• [UI-UX] Refined user interface (gen_3_update_61)

Low Specs Experience v11.9.9 - 2024-09-30
• Added maximum performance optimization for God of War Ragnarök
• Added optimized settings for God of War Ragnarök

Low Specs Experience v11.9.8 - 2024-09-25
• [UI-UX] Refined user interface (gen_3_update_60)
• Reworked maximum performance optimization for Wolfenstein: The New Order
• Reworked maximum performance optimization for Wolfenstein: The Old Blood
• Reworked optimized settings for Wolfenstein: The New Order
• Reworked optimized settings for Wolfenstein: The Old Blood
• Tweaked maximum performance optimization for A Plague Tale: Requiem
• Tweaked maximum performance optimization for Dead Man's Diary
• Tweaked maximum performance optimization for Halo: The Master Chief Collection
• Tweaked maximum performance optimization for Mega Man 11
• Tweaked maximum performance optimization for Mega Man X Legacy Collection
• Tweaked maximum performance optimization for Mega Man X Legacy Collection 2
• Tweaked maximum performance optimization for Valorant
• Tweaked optimized settings for Dead Man's Diary
• Tweaked optimized settings for Mega Man 11
• Tweaked optimized settings for Mega Man X Legacy Collection
• Tweaked optimized settings for Mega Man X Legacy Collection 2
• Tweaked optimized settings for Titanfall 2
• Tweaked optimized settings for Valorant
• Updated game detection protocol for Wolfenstein: The New Order
• Updated game detection protocol for Wolfenstein: The Old Blood

Low Specs Experience v11.9.7 - 2024-09-20
• [UI-UX] Refined user interface (gen_3_update_59)
• Tweaked maximum performance optimization for The Crew Motorfest
• Tweaked optimized settings for The Crew Motorfest

Low Specs Experience v11.9.6 - 2024-09-18
• Tweaked maximum performance optimization for A Way Out
• Tweaked maximum performance optimization for Aegis Descent
• Tweaked maximum performance optimization for Aliens: Fireteam Elite
• Tweaked maximum performance optimization for Assetto Corsa Competizione
• Tweaked maximum performance optimization for Astroneer
• Tweaked maximum performance optimization for Back 4 Blood
• Tweaked maximum performance optimization for Biomutant
• Tweaked maximum performance optimization for Bloodstained: Ritual of the Night
• Tweaked maximum performance optimization for Borderlands 3
• Tweaked maximum performance optimization for Bus Simulator 18
• Tweaked maximum performance optimization for Bus Simulator 21
• Tweaked maximum performance optimization for Call of Cthulhu
• Tweaked maximum performance optimization for Chernobylite
• Tweaked maximum performance optimization for Chivalry 2
• Tweaked maximum performance optimization for Cold House
• Tweaked maximum performance optimization for Crash Bandicoot 4: It's About Time
• Tweaked maximum performance optimization for Darksiders Genesis
• Tweaked maximum performance optimization for Dauntless
• Tweaked maximum performance optimization for Dead Man's Diary
• Tweaked maximum performance optimization for Deliver Us The Moon
• Tweaked maximum performance optimization for Dragon Ball Z: Kakarot
• Tweaked maximum performance optimization for Esse Proxy
• Tweaked maximum performance optimization for Evil West
• Tweaked maximum performance optimization for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked maximum performance optimization for Gas Station Simulator
• Tweaked maximum performance optimization for Gears 5
• Tweaked maximum performance optimization for Gears Tactics
• Tweaked maximum performance optimization for Ghostrunner
• Tweaked maximum performance optimization for Ghostrunner 2
• Tweaked maximum performance optimization for Grounded
• Tweaked maximum performance optimization for Hellblade: Senua's Sacrifice
• Tweaked maximum performance optimization for High on Life
• Tweaked maximum performance optimization for It Takes Two
• Tweaked maximum performance optimization for Journey to the Savage Planet
• Tweaked maximum performance optimization for Jump Force
• Tweaked maximum performance optimization for Kena: Bridge of Spirits
• Tweaked maximum performance optimization for King of Retail
• Tweaked maximum performance optimization for Life is Strange Remastered
• Tweaked maximum performance optimization for Life is Strange: True Colors
• Tweaked maximum performance optimization for Little Nightmares 2
• Tweaked maximum performance optimization for MechWarrior 5: Mercenaries
• Tweaked maximum performance optimization for Mordhau
• Tweaked maximum performance optimization for Mortal Kombat 1 (2023)
• Tweaked maximum performance optimization for MX vs. ATV Legends
• Tweaked maximum performance optimization for One Piece Odyssey
• Tweaked maximum performance optimization for Outriders
• Tweaked maximum performance optimization for Payday 3
• Tweaked maximum performance optimization for Psychonauts 2
• Tweaked maximum performance optimization for Redfall
• Tweaked maximum performance optimization for Remnant: From the Ashes
• Tweaked maximum performance optimization for Scum
• Tweaked maximum performance optimization for Shenmue 3
• Tweaked maximum performance optimization for Sherlock Holmes: Chapter One
• Tweaked maximum performance optimization for Sifu
• Tweaked maximum performance optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Tweaked maximum performance optimization for SpongeBob SquarePants: The Cosmic Shake
• Tweaked maximum performance optimization for Spyro Reignited Trilogy
• Tweaked maximum performance optimization for Star Trek Prodigy: Supernova
• Tweaked maximum performance optimization for Stray
• Tweaked maximum performance optimization for Sword and Fairy 7
• Tweaked maximum performance optimization for Terminator: Resistance
• Tweaked maximum performance optimization for The Beast Inside
• Tweaked maximum performance optimization for The Dark Pictures Anthology: House of Ashes
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Little Hope
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Man of Medan
• Tweaked maximum performance optimization for The Dark Pictures Anthology: The Devil in Me
• Tweaked maximum performance optimization for The Medium
• Tweaked maximum performance optimization for The Outer Worlds
• Tweaked maximum performance optimization for The Outer Worlds: Spacer's Choice Edition
• Tweaked maximum performance optimization for The Quarry
• Tweaked maximum performance optimization for The Redress of Mira
• Tweaked maximum performance optimization for The Sinking City (2019)
• Tweaked maximum performance optimization for The Texas Chain Saw Massacre
• Tweaked maximum performance optimization for The Waylanders
• Tweaked maximum performance optimization for Tiny Tina's Wonderlands
• Tweaked maximum performance optimization for Train Sim World 2
• Tweaked maximum performance optimization for Train Sim World 3
• Tweaked maximum performance optimization for Train Sim World 4
• Tweaked maximum performance optimization for Train Sim World 2020
• Tweaked maximum performance optimization for Treasure Hunter Simulator
• Tweaked maximum performance optimization for Twin Mirror
• Tweaked maximum performance optimization for Vampire: The Masquerade - Swansong
• Tweaked optimized settings for A Way Out
• Tweaked optimized settings for Aegis Descent
• Tweaked optimized settings for Aliens: Fireteam Elite
• Tweaked optimized settings for Assetto Corsa Competizione
• Tweaked optimized settings for Astroneer
• Tweaked optimized settings for Back 4 Blood
• Tweaked optimized settings for Biomutant
• Tweaked optimized settings for Bloodstained: Ritual of the Night
• Tweaked optimized settings for Borderlands 3
• Tweaked optimized settings for Bus Simulator 18
• Tweaked optimized settings for Bus Simulator 21
• Tweaked optimized settings for Call of Cthulhu
• Tweaked optimized settings for Chernobylite
• Tweaked optimized settings for Chivalry 2
• Tweaked optimized settings for Cold House
• Tweaked optimized settings for Crash Bandicoot 4: It's About Time
• Tweaked optimized settings for Darksiders 3
• Tweaked optimized settings for Darksiders Genesis
• Tweaked optimized settings for Dauntless
• Tweaked optimized settings for Dead Man's Diary
• Tweaked optimized settings for Deliver Us The Moon
• Tweaked optimized settings for Dragon Ball Z: Kakarot
• Tweaked optimized settings for Esse Proxy
• Tweaked optimized settings for Evil West
• Tweaked optimized settings for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked optimized settings for Gas Station Simulator
• Tweaked optimized settings for Gears 5
• Tweaked optimized settings for Gears Tactics
• Tweaked optimized settings for Ghostrunner
• Tweaked optimized settings for Ghostrunner 2
• Tweaked optimized settings for Grounded
• Tweaked optimized settings for Hellblade: Senua's Sacrifice
• Tweaked optimized settings for High on Life
• Tweaked optimized settings for It Takes Two
• Tweaked optimized settings for Journey to the Savage Planet
• Tweaked optimized settings for Jump Force
• Tweaked optimized settings for Kena: Bridge of Spirits
• Tweaked optimized settings for King of Retail
• Tweaked optimized settings for Life is Strange Remastered
• Tweaked optimized settings for Life is Strange: True Colors
• Tweaked optimized settings for Little Nightmares 2
• Tweaked optimized settings for MechWarrior 5: Mercenaries
• Tweaked optimized settings for Mordhau
• Tweaked optimized settings for Mortal Kombat 1 (2023)
• Tweaked optimized settings for MX vs. ATV Legends
• Tweaked optimized settings for One Piece Odyssey
• Tweaked optimized settings for Outriders
• Tweaked optimized settings for Payday 3
• Tweaked optimized settings for Psychonauts 2
• Tweaked optimized settings for Redfall
• Tweaked optimized settings for Remnant: From the Ashes
• Tweaked optimized settings for Scum
• Tweaked optimized settings for Shenmue 3
• Tweaked optimized settings for Sherlock Holmes: Chapter One
• Tweaked optimized settings for Sifu
• Tweaked optimized settings for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Tweaked optimized settings for SpongeBob SquarePants: The Cosmic Shake
• Tweaked optimized settings for Spyro Reignited Trilogy
• Tweaked optimized settings for Star Trek Prodigy: Supernova
• Tweaked optimized settings for Stray
• Tweaked optimized settings for Sword and Fairy 7
• Tweaked optimized settings for Terminator: Resistance
• Tweaked optimized settings for The Beast Inside
• Tweaked optimized settings for The Dark Pictures Anthology: House of Ashes
• Tweaked optimized settings for The Dark Pictures Anthology: Little Hope
• Tweaked optimized settings for The Dark Pictures Anthology: Man of Medan
• Tweaked optimized settings for The Dark Pictures Anthology: The Devil in Me
• Tweaked optimized settings for The Medium
• Tweaked optimized settings for The Outer Worlds
• Tweaked optimized settings for The Outer Worlds: Spacer's Choice Edition
• Tweaked optimized settings for The Quarry
• Tweaked optimized settings for The Redress of Mira
• Tweaked optimized settings for The Sinking City (2019)
• Tweaked optimized settings for The Texas Chain Saw Massacre
• Tweaked optimized settings for The Waylanders
• Tweaked optimized settings for Tiny Tina's Wonderlands
• Tweaked optimized settings for Train Sim World 2
• Tweaked optimized settings for Train Sim World 3
• Tweaked optimized settings for Train Sim World 4
• Tweaked optimized settings for Train Sim World 2020
• Tweaked optimized settings for Treasure Hunter Simulator
• Tweaked optimized settings for Twin Mirror
• Tweaked optimized settings for Vampire: The Masquerade - Swansong

Low Specs Experience v11.9.5 - 2024-09-17
• Reworked maximum performance optimization for Alan Wake Remastered
• Reworked maximum performance optimization for Cyberpunk 2077
• Reworked optimized settings for Cyberpunk 2077
• Tweaked maximum performance optimization for Alan Wake 2
• Tweaked maximum performance optimization for Alien: Isolation
• Tweaked maximum performance optimization for Ancestors: The Humankind Odyssey
• Tweaked maximum performance optimization for Bakery Simulator
• Tweaked maximum performance optimization for Big Earth
• Tweaked maximum performance optimization for Bloodstained: Ritual of the Night
• Tweaked maximum performance optimization for Bright Memory
• Tweaked maximum performance optimization for Bright Memory: Infinite
• Tweaked maximum performance optimization for Call of Cthulhu
• Tweaked maximum performance optimization for Call of Duty: Black Ops 2 (2012)
• Tweaked maximum performance optimization for Darksiders
• Tweaked maximum performance optimization for Daymare: 1994 Sandcastle
• Tweaked maximum performance optimization for Daymare: 1998
• Tweaked maximum performance optimization for Devil May Cry 5
• Tweaked maximum performance optimization for Effie
• Tweaked maximum performance optimization for eFootball 2022
• Tweaked maximum performance optimization for eFootball 2023
• Tweaked maximum performance optimization for eFootball 2024
• Tweaked maximum performance optimization for eFootball PES 2020
• Tweaked maximum performance optimization for eFootball PES 2021 Season Update
• Tweaked maximum performance optimization for F1 Manager 2022
• Tweaked maximum performance optimization for F1 Manager 2023
• Tweaked maximum performance optimization for Fade to Silence
• Tweaked maximum performance optimization for Food Truck Simulator
• Tweaked maximum performance optimization for Grand Theft Auto 4: The Complete Edition
• Tweaked maximum performance optimization for Guilty Gear Strive
• Tweaked maximum performance optimization for High on Life
• Tweaked maximum performance optimization for Martha Is Dead
• Tweaked maximum performance optimization for Moons of Madness
• Tweaked maximum performance optimization for Redeemer: Enhanced Edition
• Tweaked maximum performance optimization for Rune 2
• Tweaked maximum performance optimization for Ryse: Son of Rome
• Tweaked maximum performance optimization for Sackboy: A Big Adventure
• Tweaked maximum performance optimization for Scorn
• Tweaked maximum performance optimization for Sea of Solitude
• Tweaked maximum performance optimization for Senua's Saga: Hellblade 2
• Tweaked maximum performance optimization for Star Wars Jedi: Fallen Order
• Tweaked maximum performance optimization for State of Decay
• Tweaked maximum performance optimization for State of Decay: Year-One Survival Edition
• Tweaked maximum performance optimization for Submerged
• Tweaked maximum performance optimization for Submerged: Hidden Depths
• Tweaked maximum performance optimization for Tell Me Why
• Tweaked maximum performance optimization for The Callisto Protocol
• Tweaked maximum performance optimization for The Evil Within 2
• Tweaked maximum performance optimization for The Last Oricru
• Tweaked maximum performance optimization for The Quarry
• Tweaked maximum performance optimization for Treasure Hunter Simulator
• Tweaked maximum performance optimization for Trek to Yomi
• Tweaked maximum performance optimization for Visage
• Tweaked optimized settings for Alan Wake 2
• Tweaked optimized settings for Alien: Isolation
• Tweaked optimized settings for Ancestors: The Humankind Odyssey
• Tweaked optimized settings for Bakery Simulator
• Tweaked optimized settings for Big Earth
• Tweaked optimized settings for Bloodstained: Ritual of the Night
• Tweaked optimized settings for Bright Memory
• Tweaked optimized settings for Bright Memory: Infinite
• Tweaked optimized settings for Call of Cthulhu
• Tweaked optimized settings for Call of Duty: Black Ops 2 (2012)
• Tweaked optimized settings for Darksiders
• Tweaked optimized settings for Daymare: 1994 Sandcastle
• Tweaked optimized settings for Daymare: 1998
• Tweaked optimized settings for Effie
• Tweaked optimized settings for F1 Manager 2022
• Tweaked optimized settings for F1 Manager 2023
• Tweaked optimized settings for Fade to Silence
• Tweaked optimized settings for Food Truck Simulator
• Tweaked optimized settings for Grand Theft Auto 4: The Complete Edition
• Tweaked optimized settings for Guilty Gear Strive
• Tweaked optimized settings for Martha Is Dead
• Tweaked optimized settings for Moons of Madness
• Tweaked optimized settings for Redeemer: Enhanced Edition
• Tweaked optimized settings for Rune 2
• Tweaked optimized settings for Ryse: Son of Rome
• Tweaked optimized settings for Sackboy: A Big Adventure
• Tweaked optimized settings for Scorn
• Tweaked optimized settings for Sea of Solitude
• Tweaked optimized settings for Senua's Saga: Hellblade 2
• Tweaked optimized settings for Star Wars Jedi: Fallen Order
• Tweaked optimized settings for State of Decay
• Tweaked optimized settings for State of Decay: Year-One Survival Edition
• Tweaked optimized settings for Submerged
• Tweaked optimized settings for Submerged: Hidden Depths
• Tweaked optimized settings for Tell Me Why
• Tweaked optimized settings for The Last Oricru
• Tweaked optimized settings for Treasure Hunter Simulator
• Tweaked optimized settings for Trek to Yomi
• Tweaked optimized settings for Visage
• Updated game detection protocol for Alan Wake 2
• Updated game detection protocol for Bright Memory
• Updated game detection protocol for Bright Memory: Infinite
• Updated game detection protocol for eFootball 2022
• Updated game detection protocol for eFootball 2023
• Updated game detection protocol for eFootball 2024
• Updated game detection protocol for eFootball PES 2020
• Updated game detection protocol for eFootball PES 2021 Season Update
• Updated game detection protocol for Grand Theft Auto 4: The Complete Edition
• Updated game detection protocol for Pro Evolution Soccer 2018
• Updated game detection protocol for Pro Evolution Soccer 2019

Low Specs Experience v11.9.4 - 2024-09-07
• Added optimized settings for Anno 1800
• Added optimized settings for League of Legends
• Added optimized settings for Mega Man 11
• Added optimized settings for Mega Man X Legacy Collection
• Added optimized settings for Mega Man X Legacy Collection 2
• Added optimized settings for Tekken 7
• Added optimized settings for Titanfall 2
• Added optimized settings for Valorant
• Added optimized settings for Wolfenstein: The New Order
• Added optimized settings for Wolfenstein: The Old Blood
• Deprecated optimization support for New World
• Reworked maximum performance optimization for Anno 1800
• Reworked maximum performance optimization for League of Legends
• Reworked maximum performance optimization for Mega Man 11
• Reworked maximum performance optimization for Mega Man X Legacy Collection
• Reworked maximum performance optimization for Mega Man X Legacy Collection 2
• Reworked maximum performance optimization for Valorant
• Reworked maximum performance optimization for Wolfenstein: The New Order
• Reworked maximum performance optimization for Wolfenstein: The Old Blood
• Tweaked maximum performance optimization for Assassin's Creed 2
• Tweaked maximum performance optimization for Assassin's Creed 3
• Tweaked maximum performance optimization for Assassin's Creed 3 Remastered
• Tweaked maximum performance optimization for Assassin's Creed 3: Liberation Remastered
• Tweaked maximum performance optimization for Assassin's Creed 4: Black Flag
• Tweaked maximum performance optimization for Assassin's Creed Rogue
• Tweaked maximum performance optimization for Assassin's Creed Syndicate
• Tweaked maximum performance optimization for Assassin's Creed Unity
• Tweaked maximum performance optimization for Assassin's Creed: Brotherhood
• Tweaked maximum performance optimization for Assassin's Creed: Director's Cut (2008)
• Tweaked maximum performance optimization for Assassin's Creed: Freedom Cry
• Tweaked maximum performance optimization for Assassin's Creed: Liberation HD
• Tweaked maximum performance optimization for Assassin's Creed: Revelations
• Tweaked maximum performance optimization for Call of Duty 4: Modern Warfare (2007)
• Tweaked maximum performance optimization for Call of Duty: Black Ops (2010)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 2 (2009)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 3 (2011)
• Tweaked maximum performance optimization for Call of Duty: World at War (2008)
• Tweaked maximum performance optimization for Civilization 5
• Tweaked maximum performance optimization for Civilization: Beyond Earth
• Tweaked maximum performance optimization for The Callisto Protocol
• Tweaked optimized settings for Assassin's Creed 2
• Tweaked optimized settings for Assassin's Creed 3
• Tweaked optimized settings for Assassin's Creed 3 Remastered
• Tweaked optimized settings for Assassin's Creed 3: Liberation Remastered
• Tweaked optimized settings for Assassin's Creed 4: Black Flag
• Tweaked optimized settings for Assassin's Creed Rogue
• Tweaked optimized settings for Assassin's Creed Syndicate
• Tweaked optimized settings for Assassin's Creed Unity
• Tweaked optimized settings for Assassin's Creed: Brotherhood
• Tweaked optimized settings for Assassin's Creed: Director's Cut (2008)
• Tweaked optimized settings for Assassin's Creed: Freedom Cry
• Tweaked optimized settings for Assassin's Creed: Liberation HD
• Tweaked optimized settings for Assassin's Creed: Revelations
• Tweaked optimized settings for Battlefield 1
• Tweaked optimized settings for Battlefield 3
• Tweaked optimized settings for Battlefield 4
• Tweaked optimized settings for Battlefield 5
• Tweaked optimized settings for Battlefield Hardline
• Tweaked optimized settings for Borderlands: Game of the Year Enhanced (2019)
• Tweaked optimized settings for Call of Duty 4: Modern Warfare (2007)
• Tweaked optimized settings for Call of Duty: Black Ops (2010)
• Tweaked optimized settings for Call of Duty: Modern Warfare 2 (2009)
• Tweaked optimized settings for Call of Duty: Modern Warfare 3 (2011)
• Tweaked optimized settings for Call of Duty: World at War (2008)
• Tweaked optimized settings for Civilization 5
• Tweaked optimized settings for Civilization: Beyond Earth
• Tweaked optimized settings for The Callisto Protocol
• Updated game detection protocol for Anno 1800
• Updated game detection protocol for Civilization 5
• Updated game detection protocol for Civilization: Beyond Earth
• Updated game detection protocol for Mega Man 11
• Updated game detection protocol for Sniper: Ghost Warrior Contracts
• Updated game detection protocol for Sniper: Ghost Warrior Contracts 2
• Updated game detection protocol for Wolfenstein: The New Order
• Updated game detection protocol for Wolfenstein: The Old Blood

Low Specs Experience v11.9.3 - 2024-08-23
• Added maximum performance optimization for Hunt: Showdown 1896
• Added optimized settings for Anno 2070
• Added optimized settings for Anno 2205
• Added optimized settings for Anthem
• Added optimized settings for Civilization 5
• Added optimized settings for Civilization 6
• Added optimized settings for Civilization: Beyond Earth
• Added optimized settings for GRID 2
• Added optimized settings for GRID (2019)
• Added optimized settings for GRID Autosport
• Added optimized settings for GRID Legends
• Added optimized settings for Heroes of the Storm
• Added optimized settings for Hunt: Showdown 1896
• Added optimized settings for Marvel's Midnight Suns
• Added optimized settings for Mass Effect 2 (Legendary Edition)
• Added optimized settings for Mass Effect 3 (Legendary Edition)
• Added optimized settings for Mass Effect (Legendary Edition)
• Added optimized settings for Mortal Kombat 11
• Added optimized settings for Payday 2
• Added optimized settings for Payday: The Heist
• Added optimized settings for Plants vs. Zombies: Garden Warfare
• Added optimized settings for Plants vs. Zombies: Garden Warfare 2
• Added optimized settings for PUBG: Battlegrounds
• Added optimized settings for Tom Clancy's Rainbow Six Siege
• Added optimized settings for Tree of Savior
• Added optimized settings for World of Warcraft
• Deprecated optimization support for Hunt: Showdown
• Reworked maximum performance optimization for Civilization 5
• Reworked maximum performance optimization for Civilization 6
• Reworked maximum performance optimization for Civilization: Beyond Earth
• Reworked maximum performance optimization for Heroes of the Storm
• Reworked maximum performance optimization for Hunt: Showdown 1896
• Reworked maximum performance optimization for Mortal Kombat 11
• Reworked maximum performance optimization for Payday 2
• Reworked maximum performance optimization for Payday: The Heist
• Reworked optimized settings for Hunt: Showdown 1896
• Tweaked maximum performance optimization for Anno 2070
• Tweaked maximum performance optimization for Anthem
• Tweaked maximum performance optimization for Halo: The Master Chief Collection
• Tweaked maximum performance optimization for Marvel's Midnight Suns
• Tweaked maximum performance optimization for Mass Effect 2 (Legendary Edition)
• Tweaked maximum performance optimization for Mass Effect 3 (Legendary Edition)
• Tweaked maximum performance optimization for Mass Effect (Legendary Edition)
• Tweaked maximum performance optimization for Plants vs. Zombies: Battle for Neighborville
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare
• Tweaked maximum performance optimization for Plants vs. Zombies: Garden Warfare 2
• Tweaked maximum performance optimization for PUBG: Battlegrounds
• Tweaked maximum performance optimization for Tom Clancy's Rainbow Six Siege
• Tweaked maximum performance optimization for Tom Clancy's Splinter Cell: Blacklist
• Tweaked maximum performance optimization for Tree of Savior
• Tweaked maximum performance optimization for World of Warcraft
• Tweaked optimized settings for Halo: The Master Chief Collection
• Tweaked optimized settings for Payday 2
• Tweaked optimized settings for Payday: The Heist
• Tweaked optimized settings for Plants vs. Zombies: Battle for Neighborville
• Updated game detection protocol for Anno 2205
• Updated game detection protocol for Civilization 6
• Updated game detection protocol for GRID 2
• Updated game detection protocol for GRID (2019)
• Updated game detection protocol for GRID Autosport
• Updated game detection protocol for GRID Legends
• Updated game detection protocol for Halo: The Master Chief Collection
• Updated game detection protocol for Mafia: Definitive Edition
• Updated game detection protocol for Mortal Kombat 11
• Updated game detection protocol for Payday 2
• Updated game detection protocol for Payday: The Heist
• Updated game detection protocol for Sea of Thieves
• Updated game detection protocol for Tree of Savior

Low Specs Experience v11.9.2 - 2024-08-09
• [BACK-END] Refined game detection and optimization API (gen_3_update_60)
• Added optimized settings for Marvel's Spider-Man: Miles Morales
• Added optimized settings for Marvel's Spider-Man Remastered
• Added optimized settings for Middle-earth: Shadow of Mordor
• Added optimized settings for Middle-earth: Shadow of War
• Added optimized settings for Monster Hunter: World
• Added optimized settings for Overwatch 2
• Added optimized settings for Sea of Thieves
• Added optimized settings for Shadow Warrior 2
• Added optimized settings for Shadow Warrior 3
• Added optimized settings for Soulcalibur 6
• Added optimized settings for Stranded Deep
• Added optimized settings for theHunter Classic
• Added optimized settings for Tom Clancy's Splinter Cell: Blacklist
• Added optimized settings for Tom Clancy's Splinter Cell: Conviction
• Added optimized settings for Trek to Yomi
• Added optimized settings for Trials Rising
• Added optimized settings for Vampire: The Masquerade - Bloodhunt
• Reworked maximum performance optimization for Tom Clancy's Splinter Cell: Blacklist
• Reworked maximum performance optimization for Tom Clancy's Splinter Cell: Conviction
• Tweaked maximum performance optimization for Marvel's Spider-Man: Miles Morales
• Tweaked maximum performance optimization for Marvel's Spider-Man Remastered
• Tweaked maximum performance optimization for Overwatch 2
• Tweaked maximum performance optimization for Shadow Warrior 2
• Tweaked maximum performance optimization for Soulcalibur 6
• Tweaked maximum performance optimization for theHunter Classic
• Tweaked maximum performance optimization for Trials Rising
• Tweaked maximum performance optimization for Vampire: The Masquerade - Bloodhunt
• Updated game detection protocol for Evil West
• Updated game detection protocol for Metro Exodus (2019)
• Updated game detection protocol for Metro Exodus Enhanced Edition (2021)
• Updated game detection protocol for Middle-earth: Shadow of Mordor
• Updated game detection protocol for Middle-earth: Shadow of War
• Updated game detection protocol for Shadow Warrior 3
• Updated game detection protocol for Stranded Deep
• Updated game detection protocol for Tom Clancy's Splinter Cell: Blacklist
• Updated game detection protocol for Trek to Yomi

Low Specs Experience v11.9.1 - 2024-07-26
• [BACK-END] Refined game detection and optimization API (gen_3_update_59)
• [UI-UX] Refined user interface (gen_3_update_58)
• Added optimized settings for Devil's Hunt
• Added optimized settings for F1 Manager 2022
• Added optimized settings for Fallout 3
• Added optimized settings for Fallout 4
• Added optimized settings for Fallout 76
• Added optimized settings for Fallout: New Vegas
• Added optimized settings for Halo: The Master Chief Collection
• Added optimized settings for Medal of Honor (2010)
• Added optimized settings for Medal of Honor: Warfighter
• Added optimized settings for Partisans 1941
• Added optimized settings for Returnal
• Reworked maximum performance optimization for Fallout 3
• Reworked maximum performance optimization for Fallout: New Vegas
• Reworked maximum performance optimization for Halo: The Master Chief Collection
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 2 (2022)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 3 (2023)
• Tweaked maximum performance optimization for Call of Duty: Warzone (2023)
• Tweaked maximum performance optimization for Counter-Strike 2
• Tweaked maximum performance optimization for Devil's Hunt
• Tweaked maximum performance optimization for F1 Manager 2022
• Tweaked maximum performance optimization for F1 Manager 2023
• Tweaked maximum performance optimization for Fallout 4
• Tweaked maximum performance optimization for Fallout 76
• Tweaked maximum performance optimization for Medal of Honor (2010)
• Tweaked maximum performance optimization for Medal of Honor: Warfighter
• Tweaked maximum performance optimization for No Man's Sky
• Tweaked maximum performance optimization for Partisans 1941
• Tweaked optimized settings for Call of Duty: Modern Warfare 2 (2022)
• Tweaked optimized settings for Call of Duty: Modern Warfare 3 (2023)
• Tweaked optimized settings for Call of Duty: Warzone (2023)
• Tweaked optimized settings for Counter-Strike 2
• Tweaked optimized settings for F1 Manager 2023
• Tweaked optimized settings for No Man's Sky
• Updated game detection protocol for Counter-Strike 2
• Updated game detection protocol for Devil's Hunt
• Updated game detection protocol for F1 Manager 2022
• Updated game detection protocol for F1 Manager 2023
• Updated game detection protocol for Fallout 4
• Updated game detection protocol for Fallout 76
• Updated game detection protocol for Halo: The Master Chief Collection
• Updated game detection protocol for Lies of P
• Updated game detection protocol for Metro Exodus (2019)
• Updated game detection protocol for Metro Exodus Enhanced Edition (2021)
• Updated game detection protocol for Partisans 1941
• Updated game detection protocol for Returnal

Low Specs Experience v11.9.0 - 2024-07-11
• [UI-UX] Refined user interface (gen_3_update_57)
• Added maximum performance optimization for Divinity: Original Sin 2
• Added optimized settings for Divinity: Original Sin 2
• Added optimized settings for Divinity: Original Sin 2 - Definitive Edition
• Added optimized settings for High on Life
• Added optimized settings for MechWarrior 5: Mercenaries
• Added optimized settings for Sons of the Forest
• Reworked maximum performance optimization for Divinity: Original Sin 2 - Definitive Edition
• Reworked maximum performance optimization for High on Life
• Tweaked maximum performance optimization for Baldur's Gate 3
• Tweaked maximum performance optimization for Horizon Forbidden West
• Tweaked maximum performance optimization for MechWarrior 5: Mercenaries
• Tweaked maximum performance optimization for Sons of the Forest
• Tweaked optimized settings for Ace Combat 7: Skies Unknown
• Tweaked optimized settings for Baldur's Gate 3
• Tweaked optimized settings for Horizon Forbidden West
• Updated game detection protocol for Divinity: Original Sin 2 - Definitive Edition
• Updated game detection protocol for High on Life
• Updated game detection protocol for Hitman
• Updated game detection protocol for Hitman 2
• Updated game detection protocol for Hitman World of Assassination (aka Hitman 3)
• Updated game detection protocol for Sons of the Forest

Low Specs Experience v11.8.9 - 2024-07-08
• [UI-UX] Refined user interface (gen_3_update_56)
• Added optimized settings for Hitman
• Added optimized settings for Hitman 2
• Added optimized settings for Hitman World of Assassination (aka Hitman 3)
• Tweaked maximum performance optimization for Hitman
• Tweaked maximum performance optimization for Hitman 2
• Tweaked maximum performance optimization for Hitman World of Assassination (aka Hitman 3)

Low Specs Experience v11.8.8 - 2024-06-27
• Added optimized settings for Ace Combat 7: Skies Unknown
• Added optimized settings for Kena: Bridge of Spirits
• Added optimized settings for Riders Republic
• Added optimized settings for Sackboy: A Big Adventure
• Added optimized settings for Steep
• Added optimized settings for The Crew 2
• Added optimized settings for The Sims 4
• Added optimized settings for Tom Clancy's The Division
• Added optimized settings for Tom Clancy's The Division 2
• Reworked maximum performance optimization for The Crew 2
• Tweaked maximum performance optimization for Ace Combat 7: Skies Unknown
• Tweaked maximum performance optimization for Kena: Bridge of Spirits
• Tweaked maximum performance optimization for Riders Republic
• Tweaked maximum performance optimization for Sackboy: A Big Adventure
• Tweaked maximum performance optimization for Steep
• Tweaked maximum performance optimization for Tom Clancy's The Division
• Tweaked maximum performance optimization for Tom Clancy's The Division 2
• Updated game detection protocol for Destiny 2
• Updated game detection protocol for Kena: Bridge of Spirits
• Updated game detection protocol for Sackboy: A Big Adventure
• Updated game detection protocol for Tom Clancy's The Division
• Updated game detection protocol for Tom Clancy's The Division 2

Low Specs Experience v11.8.7 - 2024-06-24
• Added optimized settings for Conqueror's Blade
• Added optimized settings for Dauntless
• Added optimized settings for Rocket League
• Reworked maximum performance optimization for Conqueror's Blade
• Tweaked maximum performance optimization for Dauntless
• Tweaked maximum performance optimization for Rocket League
• Tweaked maximum performance optimization for Terminator: Resistance
• Tweaked optimized settings for Terminator: Resistance
• Updated game detection protocol for Conqueror's Blade
• Updated game detection protocol for Forza Motorsport (2023)
• Updated game detection protocol for Terminator: Resistance

Low Specs Experience v11.8.6 - 2024-06-21
• Added optimized settings for Mordhau
• Added optimized settings for Terminator: Resistance
• Added optimized settings for Tom Clancy's Ghost Recon Breakpoint
• Added optimized settings for Tom Clancy's Ghost Recon Wildlands
• Added optimized settings for Tom Clancy's Ghost Recon: Future Soldier
• Tweaked maximum performance optimization for Mordhau
• Tweaked maximum performance optimization for Terminator: Resistance
• Tweaked maximum performance optimization for Tom Clancy's Ghost Recon Breakpoint
• Tweaked maximum performance optimization for Tom Clancy's Ghost Recon Wildlands
• Tweaked maximum performance optimization for Tom Clancy's Ghost Recon: Future Soldier

Low Specs Experience v11.8.5 - 2024-06-20
• Added optimized settings for LEGO City Undercover
• Added optimized settings for LEGO DC Super-Villains
• Added optimized settings for LEGO Jurassic World
• Added optimized settings for LEGO Marvel Super Heroes
• Added optimized settings for LEGO Marvel Super Heroes 2
• Added optimized settings for LEGO Marvel's Avengers
• Added optimized settings for LEGO Pirates of the Caribbean: The Video Game
• Added optimized settings for LEGO Star Wars: The Force Awakens
• Added optimized settings for LEGO Star Wars: The Skywalker Saga
• Added optimized settings for LEGO The Hobbit
• Added optimized settings for LEGO The Incredibles
• Added optimized settings for LEGO The Lord of the Rings
• Added optimized settings for LEGO Worlds
• Added optimized settings for Nioh 2: The Complete Edition
• Added optimized settings for One Piece Odyssey
• Added optimized settings for Sekiro: Shadows Die Twice
• Added optimized settings for Sword and Fairy 7
• Added optimized settings for Tales of Arise
• Added optimized settings for The LEGO Movie Videogame
• Added optimized settings for The LEGO Movie Videogame 2
• Added optimized settings for The LEGO Ninjago Movie Video Game
• Reworked maximum performance optimization for Nioh 2: The Complete Edition
• Tweaked maximum performance optimization for LEGO City Undercover
• Tweaked maximum performance optimization for LEGO DC Super-Villains
• Tweaked maximum performance optimization for LEGO Jurassic World
• Tweaked maximum performance optimization for LEGO Marvel Super Heroes
• Tweaked maximum performance optimization for LEGO Marvel Super Heroes 2
• Tweaked maximum performance optimization for LEGO Marvel's Avengers
• Tweaked maximum performance optimization for LEGO Pirates of the Caribbean: The Video Game
• Tweaked maximum performance optimization for LEGO Star Wars: The Force Awakens
• Tweaked maximum performance optimization for LEGO Star Wars: The Skywalker Saga
• Tweaked maximum performance optimization for LEGO The Hobbit
• Tweaked maximum performance optimization for LEGO The Incredibles
• Tweaked maximum performance optimization for LEGO The Lord of the Rings
• Tweaked maximum performance optimization for LEGO Worlds
• Tweaked maximum performance optimization for Sekiro: Shadows Die Twice
• Tweaked maximum performance optimization for Sword and Fairy 7
• Tweaked maximum performance optimization for Tales of Arise
• Tweaked maximum performance optimization for The LEGO Movie Videogame
• Tweaked maximum performance optimization for The LEGO Movie Videogame 2
• Tweaked maximum performance optimization for The LEGO Ninjago Movie Video Game
• Updated game detection protocol for Sword and Fairy 7
• Updated game detection protocol for Tales of Arise

Low Specs Experience v11.8.4 - 2024-06-15
• Updated game detection protocol for The Callisto Protocol

Low Specs Experience v11.8.3 - 2024-06-14
• [BACK-END] Refined game detection and optimization API (gen_3_update_58)
• Added optimized settings for Crackdown 3
• Added optimized settings for Journey to the Savage Planet
• Added optimized settings for No Man's Sky
• Added optimized settings for Psychonauts 2
• Added optimized settings for Scorn
• Added optimized settings for Treasure Hunter Simulator
• Tweaked maximum performance optimization for Call of Duty 4: Modern Warfare (2007)
• Tweaked maximum performance optimization for Call of Duty: Advanced Warfare (2014)
• Tweaked maximum performance optimization for Call of Duty: Black Ops (2010)
• Tweaked maximum performance optimization for Call of Duty: Ghosts (2013)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 2 (2009)
• Tweaked maximum performance optimization for Call of Duty: Modern Warfare 3 (2011)
• Tweaked maximum performance optimization for Call of Duty: World at War (2008)
• Tweaked maximum performance optimization for Crackdown 3
• Tweaked maximum performance optimization for Guilty Gear Strive
• Tweaked maximum performance optimization for Journey to the Savage Planet
• Tweaked maximum performance optimization for Scorn
• Tweaked maximum performance optimization for Tales of Arise
• Tweaked maximum performance optimization for Treasure Hunter Simulator
• Tweaked optimized settings for Call of Duty 4: Modern Warfare (2007)
• Tweaked optimized settings for Call of Duty: Advanced Warfare (2014)
• Tweaked optimized settings for Call of Duty: Black Ops (2010)
• Tweaked optimized settings for Call of Duty: Ghosts (2013)
• Tweaked optimized settings for Call of Duty: Modern Warfare 2 (2009)
• Tweaked optimized settings for Call of Duty: Modern Warfare 3 (2011)
• Tweaked optimized settings for Call of Duty: World at War (2008)
• Updated game detection protocol for Atomic Heart
• Updated game detection protocol for F1 Manager 2023
• Updated game detection protocol for Journey to the Savage Planet
• Updated game detection protocol for No Man's Sky
• Updated game detection protocol for Rise of the Tomb Raider
• Updated game detection protocol for Scorn
• Updated game detection protocol for Senua's Saga: Hellblade 2
• Updated game detection protocol for Tales of Arise
• Updated game detection protocol for Treasure Hunter Simulator

Low Specs Experience v11.8.2 - 2024-06-12
• Added maximum performance optimization for Tomb Raider: Definitive Edition
• Added optimized settings for Tomb Raider: Definitive Edition
• Tweaked maximum performance optimization for Atomic Heart
• Tweaked maximum performance optimization for Guilty Gear Strive
• Tweaked maximum performance optimization for Tomb Raider (2013)
• Tweaked optimized settings for Atomic Heart
• Tweaked optimized settings for Guilty Gear Strive
• Tweaked optimized settings for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Tweaked optimized settings for SpongeBob SquarePants: The Cosmic Shake
• Tweaked optimized settings for Tomb Raider (2013)
• Updated game detection protocol for Atomic Heart

Low Specs Experience v11.8.1 - 2024-06-11
• Tweaked maximum performance optimization for Rise of the Tomb Raider
• Tweaked optimized settings for Rise of the Tomb Raider
• Updated game detection protocol for Rise of the Tomb Raider

Low Specs Experience v11.8.0 - 2024-06-10
• Tweaked maximum performance optimization for Bus Simulator 18
• Tweaked maximum performance optimization for Bus Simulator 21
• Tweaked maximum performance optimization for Fade to Silence
• Tweaked maximum performance optimization for Rune 2
• Tweaked optimized settings for Bus Simulator 18
• Tweaked optimized settings for Bus Simulator 21
• Tweaked optimized settings for F1 Manager 2023
• Tweaked optimized settings for Fade to Silence
• Tweaked optimized settings for Rune 2
• Updated game detection protocol for F1 Manager 2023
• Updated game detection protocol for Fade to Silence
• Updated game detection protocol for Rune 2

Low Specs Experience v11.7.9 - 2024-06-10
• Updated game detection protocol for Hellblade: Senua's Sacrifice

Low Specs Experience v11.7.8 - 2024-06-07
• Tweaked maximum performance optimization for Ashes of Oahu
• Tweaked maximum performance optimization for Bright Memory
• Tweaked maximum performance optimization for Bright Memory: Infinite
• Tweaked maximum performance optimization for Code Vein
• Tweaked maximum performance optimization for Deliver Us The Moon
• Tweaked maximum performance optimization for F1 23
• Tweaked maximum performance optimization for F1 24
• Tweaked maximum performance optimization for King of Retail
• Tweaked maximum performance optimization for Moons of Madness
• Tweaked maximum performance optimization for Rune 2
• Tweaked maximum performance optimization for Star Wars Jedi: Survivor
• Tweaked maximum performance optimization for Vampire: The Masquerade - Swansong
• Tweaked optimized settings for Ancestors: The Humankind Odyssey
• Tweaked optimized settings for Ashes of Oahu
• Tweaked optimized settings for Bright Memory: Infinite
• Tweaked optimized settings for Bright Memory
• Tweaked optimized settings for Code Vein
• Tweaked optimized settings for Deliver Us The Moon
• Tweaked optimized settings for DiRT Rally
• Tweaked optimized settings for F1 23
• Tweaked optimized settings for F1 24
• Tweaked optimized settings for Grounded
• Tweaked optimized settings for King of Retail
• Tweaked optimized settings for Moons of Madness
• Tweaked optimized settings for Rune 2
• Tweaked optimized settings for Star Wars Jedi: Survivor
• Tweaked optimized settings for Vampire: The Masquerade - Swansong
• Updated game detection protocol for Moons of Madness

Low Specs Experience v11.7.7 - 2024-06-04
• Added maximum performance optimization for F1 24
• Added maximum performance optimization for Star Wars Jedi: Survivor
• Added optimized settings for Aliens: Fireteam Elite
• Added optimized settings for Ancestors: The Humankind Odyssey
• Added optimized settings for Ashes of Oahu
• Added optimized settings for Bright Memory
• Added optimized settings for Bright Memory: Infinite
• Added optimized settings for Bus Simulator 18
• Added optimized settings for Bus Simulator 21
• Added optimized settings for Code Vein
• Added optimized settings for Crash Bandicoot 4: It's About Time
• Added optimized settings for Deliver Us The Moon
• Added optimized settings for Destiny 2
• Added optimized settings for DiRT 2
• Added optimized settings for DiRT 3
• Added optimized settings for DiRT 4
• Added optimized settings for DiRT Rally
• Added optimized settings for DiRT Rally 2.0
• Added optimized settings for DiRT Showdown
• Added optimized settings for Evil West
• Added optimized settings for F1 24
• Added optimized settings for Fade to Silence
• Added optimized settings for Forza Horizon 3
• Added optimized settings for GreedFall
• Added optimized settings for Grounded
• Added optimized settings for Guilty Gear Strive
• Added optimized settings for Jump Force
• Added optimized settings for King of Retail
• Added optimized settings for Moons of Madness
• Added optimized settings for Rune 2
• Added optimized settings for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated
• Added optimized settings for SpongeBob SquarePants: The Cosmic Shake
• Added optimized settings for Star Wars Jedi: Survivor
• Added optimized settings for Stray
• Added optimized settings for Uncharted: Legacy of Thieves Collection
• Added optimized settings for Vampire: The Masquerade - Swansong
• Added optimized settings for Visage
• Tweaked maximum performance optimization for Ancestors: The Humankind Odyssey
• Tweaked maximum performance optimization for Bright Memory
• Tweaked maximum performance optimization for Bright Memory: Infinite
• Tweaked maximum performance optimization for Destiny 2
• Tweaked maximum performance optimization for DiRT 4
• Tweaked maximum performance optimization for DiRT Rally
• Tweaked maximum performance optimization for DiRT Rally 2.0
• Tweaked maximum performance optimization for DiRT Showdown
• Tweaked maximum performance optimization for F1 23
• Tweaked maximum performance optimization for GreedFall
• Tweaked maximum performance optimization for Guilty Gear Strive
• Tweaked maximum performance optimization for Jump Force
• Tweaked maximum performance optimization for Uncharted: Legacy of Thieves Collection
• Tweaked optimized settings for F1 23
• Updated game detection protocol for Ancestors: The Humankind Odyssey
• Updated game detection protocol for Bright Memory
• Updated game detection protocol for Bright Memory: Infinite
• Updated game detection protocol for DiRT 2
• Updated game detection protocol for DiRT 3
• Updated game detection protocol for DiRT 4
• Updated game detection protocol for DiRT Rally
• Updated game detection protocol for DiRT Rally 2.0
• Updated game detection protocol for DiRT Showdown
• Updated game detection protocol for F1 23
• Updated game detection protocol for Guilty Gear Strive

Low Specs Experience v11.7.6 - 2024-05-29
• Tweaked maximum performance optimization for Psychonauts 2
• Updated game detection protocol for eFootball 2022
• Updated game detection protocol for eFootball 2023
• Updated game detection protocol for eFootball 2024
• Updated game detection protocol for Psychonauts 2

Low Specs Experience v11.7.5 - 2024-05-23
• Tweaked maximum performance optimization for Senua's Saga: Hellblade 2
• Tweaked optimized settings for Senua's Saga: Hellblade 2
• Updated game detection protocol for Dark Souls 3
• Updated game detection protocol for Senua's Saga: Hellblade 2

Low Specs Experience v11.7.4 - 2024-05-22
• Added maximum performance optimization for Ghost of Tsushima Director's Cut
• Added maximum performance optimization for Senua's Saga: Hellblade 2
• Added optimized settings for BioShock Infinite
• Added optimized settings for Borderlands (2009)
• Added optimized settings for Borderlands 2
• Added optimized settings for Borderlands: Game of the Year Enhanced (2019)
• Added optimized settings for Borderlands: The Pre-Sequel
• Added optimized settings for Bulletstorm: Full Clip Edition
• Added optimized settings for Company of Heroes 2
• Added optimized settings for Devil May Cry 5
• Added optimized settings for Forza Horizon 4
• Added optimized settings for Forza Horizon 5
• Added optimized settings for Gears 5
• Added optimized settings for Gears of War 4
• Added optimized settings for Gears Tactics
• Added optimized settings for Ghost of Tsushima Director's Cut
• Added optimized settings for Murdered: Soul Suspect
• Added optimized settings for Senua's Saga: Hellblade 2
• Added optimized settings for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure
• Tweaked maximum performance optimization for BioShock Infinite
• Tweaked maximum performance optimization for Devil May Cry 5
• Tweaked maximum performance optimization for Euro Truck Simulator 2
• Tweaked maximum performance optimization for Forza Horizon 5
• Tweaked maximum performance optimization for Gears 5
• Tweaked maximum performance optimization for Gears of War 4
• Tweaked maximum performance optimization for Gears Tactics
• Tweaked optimized settings for Euro Truck Simulator 2
• Updated game detection protocol for Devil May Cry 5
• Updated game detection protocol for Far Cry 4
• Updated game detection protocol for Far Cry Primal
• Updated game detection protocol for Gears 5
• Updated game detection protocol for Gears of War 4
• Updated game detection protocol for Gears Tactics
• Updated game detection protocol for Rise of the Tomb Raider

Low Specs Experience v11.7.3 - 2024-05-15
• Added maximum performance optimization for BioShock
• Added maximum performance optimization for BioShock 2
• Added optimized settings for Aegis Descent
• Added optimized settings for Astroneer
• Added optimized settings for Atomic Heart
• Added optimized settings for BioShock
• Added optimized settings for BioShock 2
• Added optimized settings for BioShock 2 Remastered
• Added optimized settings for BioShock Remastered
• Added optimized settings for Borderlands 3
• Added optimized settings for Company of Heroes 3
• Added optimized settings for Dragon Ball Z: Kakarot
• Added optimized settings for Martha Is Dead
• Added optimized settings for Sea of Solitude
• Added optimized settings for Star Wars Battlefront 2 (2017)
• Added optimized settings for Star Wars Battlefront (2015)
• Added optimized settings for The Medium
• Added optimized settings for The Quarry
• Added optimized settings for Tiny Tina's Wonderlands
• Reworked maximum performance optimization for BioShock 2 Remastered
• Reworked maximum performance optimization for BioShock Remastered
• Reworked maximum performance optimization for Sea of Solitude
• Tweaked maximum performance optimization for Astroneer
• Tweaked maximum performance optimization for Close to the Sun
• Tweaked maximum performance optimization for Dragon Ball Z: Kakarot
• Tweaked maximum performance optimization for Martha Is Dead
• Tweaked maximum performance optimization for Star Wars Battlefront 2 (2017)
• Tweaked maximum performance optimization for Star Wars Battlefront (2015)
• Tweaked maximum performance optimization for The Medium
• Tweaked maximum performance optimization for The Quarry
• Updated game detection protocol for Atomic Heart
• Updated game detection protocol for Dragon Ball Z: Kakarot
• Updated game detection protocol for Martha Is Dead
• Updated game detection protocol for Sea of Solitude
• Updated game detection protocol for The Medium
• Updated game detection protocol for The Quarry

Low Specs Experience v11.7.2 - 2024-05-02
• Added maximum performance optimization for The Outer Worlds: Spacer's Choice Edition
• Added optimized settings for ARK: Survival Evolved
• Added optimized settings for Bakery Simulator
• Added optimized settings for Battlefield 1
• Added optimized settings for Battlefield 4
• Added optimized settings for Battlefield 5
• Added optimized settings for Battlefield 2042
• Added optimized settings for Battlefield Hardline
• Added optimized settings for Biomutant
• Added optimized settings for Blair Witch
• Added optimized settings for Bloodstained: Ritual of the Night
• Added optimized settings for Chernobylite
• Added optimized settings for Chivalry 2
• Added optimized settings for Close to the Sun
• Added optimized settings for Conan Exiles
• Added optimized settings for Food Truck Simulator
• Added optimized settings for For Honor
• Added optimized settings for Rage
• Added optimized settings for Star Wars Jedi: Fallen Order
• Added optimized settings for Tell Me Why
• Added optimized settings for The Outer Worlds
• Added optimized settings for The Outer Worlds: Spacer's Choice Edition
• Deprecated optimization support for The Crew
• Reworked maximum performance optimization for Call of Duty: Modern Warfare 3 (2023)
• Reworked maximum performance optimization for Call of Duty: Warzone (2023)
• Reworked maximum performance optimization for Rage
• Reworked optimized settings for Call of Duty: Modern Warfare 3 (2023)
• Reworked optimized settings for Call of Duty: Warzone (2023)
• Tweaked maximum performance optimization for Bakery Simulator
• Tweaked maximum performance optimization for Battlefield 1
• Tweaked maximum performance optimization for Battlefield 4
• Tweaked maximum performance optimization for Battlefield 5
• Tweaked maximum performance optimization for Battlefield 2042
• Tweaked maximum performance optimization for Battlefield Hardline
• Tweaked maximum performance optimization for Blair Witch
• Tweaked maximum performance optimization for Chernobylite
• Tweaked maximum performance optimization for Chivalry 2
• Tweaked maximum performance optimization for Close to the Sun
• Tweaked maximum performance optimization for Food Truck Simulator
• Tweaked maximum performance optimization for For Honor
• Tweaked maximum performance optimization for Star Wars Jedi: Fallen Order
• Tweaked maximum performance optimization for Tell Me Why
• Tweaked maximum performance optimization for The Last of Us Part 1
• Tweaked maximum performance optimization for The Outer Worlds
• Tweaked optimized settings for The Last of Us Part 1
• Updated game detection protocol for Alien: Isolation
• Updated game detection protocol for Bakery Simulator
• Updated game detection protocol for Blair Witch
• Updated game detection protocol for Close to the Sun
• Updated game detection protocol for Devil's Hunt
• Updated game detection protocol for Rage
• Updated game detection protocol for Returnal
• Updated game detection protocol for Star Wars Jedi: Fallen Order
• Updated game detection protocol for Starfield
• Updated game detection protocol for Tell Me Why

Low Specs Experience v11.7.1 - 2024-04-15
• Tweaked maximum performance optimization for Shenmue 3
• Tweaked optimized settings for Redeemer: Enhanced Edition
• Tweaked optimized settings for Shenmue 3
• Updated game detection protocol for Alien: Isolation
• Updated game detection protocol for Shenmue 3

Low Specs Experience v11.7.0 - 2024-04-12
• [UI-UX] Refined user interface (gen_3_update_55)
• Added optimized settings for Alien: Isolation
• Added optimized settings for Assetto Corsa
• Added optimized settings for Assetto Corsa Competizione
• Added optimized settings for Dead Rising
• Added optimized settings for Dead Rising 2
• Added optimized settings for Dead Rising 2: Off the Record
• Added optimized settings for Dead Rising 3
• Added optimized settings for Dead Rising 4
• Added optimized settings for Deathloop
• Added optimized settings for Dragon Age: Inquisition
• Added optimized settings for Fast and Furious Crossroads
• Added optimized settings for Gas Station Simulator
• Added optimized settings for God of War (2018)
• Added optimized settings for Metro Exodus (2019)
• Added optimized settings for Metro Exodus Enhanced Edition (2021)
• Added optimized settings for MX vs. ATV Legends
• Added optimized settings for Rage 2
• Added optimized settings for Redeemer: Enhanced Edition
• Added optimized settings for Shenmue 3
• Added optimized settings for The Evil Within
• Added optimized settings for The Evil Within 2
• Added optimized settings for The Waylanders
• Added optimized settings for The Witcher 2: Assassins of Kings Enhanced Edition
• Added optimized settings for Twin Mirror
• Added optimized settings for We Happy Few
• Added optimized settings for World War Z
• Tweaked maximum performance optimization for Alien: Isolation
• Tweaked maximum performance optimization for Assetto Corsa
• Tweaked maximum performance optimization for Assetto Corsa Competizione
• Tweaked maximum performance optimization for Dead Rising
• Tweaked maximum performance optimization for Deathloop
• Tweaked maximum performance optimization for Fast and Furious Crossroads
• Tweaked maximum performance optimization for Gas Station Simulator
• Tweaked maximum performance optimization for God of War (2018)
• Tweaked maximum performance optimization for Metro 2033 Redux (2014)
• Tweaked maximum performance optimization for Metro Exodus Enhanced Edition (2021)
• Tweaked maximum performance optimization for Metro: Last Light Redux (2014)
• Tweaked maximum performance optimization for MX vs. ATV Legends
• Tweaked maximum performance optimization for Rage 2
• Tweaked maximum performance optimization for Redeemer: Enhanced Edition
• Tweaked maximum performance optimization for The Evil Within
• Tweaked maximum performance optimization for The Evil Within 2
• Tweaked maximum performance optimization for The Waylanders
• Tweaked maximum performance optimization for The Witcher 2: Assassins of Kings Enhanced Edition
• Tweaked maximum performance optimization for World War Z
• Tweaked optimized settings for Metro 2033 Redux (2014)
• Tweaked optimized settings for Metro: Last Light (2013)
• Updated game detection protocol for Alien: Isolation
• Updated game detection protocol for Arma 3
• Updated game detection protocol for Crackdown 3
• Updated game detection protocol for eFootball 2022
• Updated game detection protocol for eFootball 2023
• Updated game detection protocol for eFootball 2024
• Updated game detection protocol for God of War (2018)
• Updated game detection protocol for Mega Man X Legacy Collection
• Updated game detection protocol for Mega Man X Legacy Collection 2
• Updated game detection protocol for Metro Exodus (2019)
• Updated game detection protocol for Metro Exodus Enhanced Edition (2021)
• Updated game detection protocol for MX vs. ATV Legends
• Updated game detection protocol for Redeemer: Enhanced Edition
• Updated game detection protocol for Ryse: Son of Rome
• Updated game detection protocol for The Crew Motorfest
• Updated game detection protocol for Uncharted: Legacy of Thieves Collection
• Updated game detection protocol for World War Z

Low Specs Experience v11.6.9 - 2024-03-28
• Tweaked maximum performance optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• Updated game detection protocol for The Witcher 3: Wild Hunt Next-Gen (2022)
• Updated game detection protocol for The Witcher 3: Wild Hunt Classic (2015)

Low Specs Experience v11.6.8 - 2024-03-27
• [BACK-END] Refined game detection and optimization API (gen_3_update_57)
• Tweaked maximum performance optimization for Arma 3
• Tweaked maximum performance optimization for Devil May Cry 5
• Tweaked maximum performance optimization for Dishonored 2
• Tweaked maximum performance optimization for Rage
• Tweaked maximum performance optimization for Resident Evil 2 (2019)
• Tweaked maximum performance optimization for Resident Evil 3 (2020)
• Tweaked maximum performance optimization for Resident Evil 4 (2023)
• Tweaked maximum performance optimization for Resident Evil Resistance
• Tweaked maximum performance optimization for Resident Evil Village
• Tweaked maximum performance optimization for The Evil Within
• Tweaked maximum performance optimization for The Evil Within 2
• Tweaked maximum performance optimization for Wolfenstein 2: The New Colossus
• Tweaked maximum performance optimization for Wolfenstein: The New Order
• Tweaked maximum performance optimization for Wolfenstein: The Old Blood
• Tweaked maximum performance optimization for Wolfenstein: Youngblood
• Tweaked optimized settings for Arma 3
• Tweaked optimized settings for Dishonored 2
• Tweaked optimized settings for Resident Evil 2 (2019)
• Tweaked optimized settings for Resident Evil 3 (2020)
• Tweaked optimized settings for Resident Evil 4 (2023)
• Tweaked optimized settings for Resident Evil Resistance
• Tweaked optimized settings for Resident Evil Village
• Tweaked optimized settings for The Evil Within
• Tweaked optimized settings for The Evil Within 2
• Tweaked optimized settings for Wolfenstein 2: The New Colossus
• Tweaked optimized settings for Wolfenstein: The New Order
• Tweaked optimized settings for Wolfenstein: The Old Blood
• Tweaked optimized settings for Wolfenstein: Youngblood
• Updated game detection protocol for Death Stranding Director's Cut
• Updated game detection protocol for Dishonored 2
• Updated game detection protocol for Medal of Honor (2010)
• Updated game detection protocol for Medal of Honor: Warfighter
• Updated game detection protocol for Rage
• Updated game detection protocol for Red Dead Redemption 2
• Updated game detection protocol for Resident Evil 2 (2019)
• Updated game detection protocol for Resident Evil 3 (2020)
• Updated game detection protocol for Resident Evil 4 (2023)
• Updated game detection protocol for Resident Evil Resistance
• Updated game detection protocol for Resident Evil Village
• Updated game detection protocol for Starfield
• Updated game detection protocol for The Evil Within
• Updated game detection protocol for The Evil Within 2
• Updated game detection protocol for The Witcher 3: Wild Hunt Classic (2015)
• Updated game detection protocol for Wolfenstein 2: The New Colossus
• Updated game detection protocol for Wolfenstein: The New Order
• Updated game detection protocol for Wolfenstein: The Old Blood
• Updated game detection protocol for Wolfenstein: Youngblood

Low Specs Experience v11.6.7 - 2024-03-26
• Tweaked maximum performance optimization for Daylight (2014)
• Tweaked maximum performance optimization for Deathloop
• Tweaked maximum performance optimization for Dishonored 2
• Tweaked maximum performance optimization for Dishonored: Death of the Outsider
• Tweaked maximum performance optimization for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked maximum performance optimization for Hogwarts Legacy
• Tweaked maximum performance optimization for Horizon Forbidden West
• Tweaked maximum performance optimization for Rage
• Tweaked maximum performance optimization for Resident Evil 2 (2019)
• Tweaked maximum performance optimization for Resident Evil 3 (2020)
• Tweaked maximum performance optimization for Resident Evil 4 (2023)
• Tweaked maximum performance optimization for Resident Evil Resistance
• Tweaked maximum performance optimization for The Beast Inside
• Tweaked optimized settings for Daylight (2014)
• Tweaked optimized settings for Dishonored 2
• Tweaked optimized settings for Dishonored: Death of the Outsider
• Tweaked optimized settings for Fast and Furious: Spy Racers Rise of SH1FT3R
• Tweaked optimized settings for Hogwarts Legacy
• Tweaked optimized settings for Horizon Forbidden West
• Tweaked optimized settings for OVERKILL's The Walking Dead
• Tweaked optimized settings for Resident Evil 2 (2019)
• Tweaked optimized settings for Resident Evil 3 (2020)
• Tweaked optimized settings for Resident Evil 4 (2023)
• Tweaked optimized settings for Resident Evil Resistance
• Tweaked optimized settings for The Beast Inside
• Updated game detection protocol for Deathloop
• Updated game detection protocol for Dishonored 2
• Updated game detection protocol for Dishonored: Death of the Outsider
• Updated game detection protocol for Fast and Furious: Spy Racers Rise of SH1FT3R
• Updated game detection protocol for Rage
• Updated game detection protocol for Resident Evil 2 (2019)
• Updated game detection protocol for Resident Evil 3 (2020)
• Updated game detection protocol for Resident Evil 4 (2023)
• Updated game detection protocol for Resident Evil Resistance
• Updated game detection protocol for Resident Evil Village
• Updated game detection protocol for Wolfenstein 2: The New Colossus
• Updated game detection protocol for Wolfenstein: The New Order
• Updated game detection protocol for Wolfenstein: The Old Blood
• Updated game detection protocol for Wolfenstein: Youngblood

Low Specs Experience v11.6.6 - 2024-03-22
• Added maximum performance optimization for Horizon Forbidden West
• Added optimized settings for Horizon Forbidden West
• Tweaked maximum performance optimization for Darksiders 3
• Tweaked maximum performance optimization for Darksiders Genesis
• Tweaked optimized settings for Darksiders 3
• Tweaked optimized settings for Darksiders Genesis

Low Specs Experience v11.6.5 - 2024-03-21
• Tweaked maximum performance optimization for Back 4 Blood
• Tweaked maximum performance optimization for The Sinking City (2019)
• Tweaked maximum performance optimization for Vampyr
• Tweaked optimized settings for Back 4 Blood
• Tweaked optimized settings for Spyro Reignited Trilogy
• Tweaked optimized settings for The Sinking City (2019)
• Tweaked optimized settings for Vampyr
• Updated game detection protocol for Resident Evil 5

Low Specs Experience v11.6.4 - 2024-03-20
• Added optimized settings for Accident
• Added optimized settings for Age of Empires 3: Definitive Edition
• Added optimized settings for Agents of Mayhem
• Added optimized settings for Apex Legends
• Added optimized settings for Arma 3
• Added optimized settings for Back 4 Blood
• Added optimized settings for Cold House
• Added optimized settings for Darksiders 3
• Added optimized settings for Darksiders Genesis
• Added optimized settings for Daylight (2014)
• Added optimized settings for Dishonored 2
• Added optimized settings for Dishonored: Death of the Outsider
• Added optimized settings for Fast and Furious: Spy Racers Rise of SH1FT3R
• Added optimized settings for Gotham Knights
• Added optimized settings for Heavy Rain
• Added optimized settings for It Takes Two
• Added optimized settings for Need for Speed Heat
• Added optimized settings for Need for Speed Payback
• Added optimized settings for Need for Speed: Hot Pursuit Remastered
• Added optimized settings for Outriders
• Added optimized settings for OVERKILL's The Walking Dead
• Added optimized settings for ReCore: Definitive Edition
• Added optimized settings for Spyro Reignited Trilogy
• Added optimized settings for The Beast Inside
• Added optimized settings for The Elder Scrolls 5: Skyrim Special Edition
• Added optimized settings for The Forest
• Added optimized settings for The Sinking City (2019)
• Added optimized settings for The Surge
• Added optimized settings for The Surge 2
• Added optimized settings for Vampyr
• Added optimized settings for Watch Dogs
• Added optimized settings for Watch Dogs 2
• Added optimized settings for Watch Dogs: Legion
• Tweaked maximum performance optimization for Accident
• Tweaked maximum performance optimization for Age of Empires 3: Definitive Edition
• Tweaked maximum performance optimization for Agents of Mayhem
• Tweaked maximum performance optimization for Arma 3
• Tweaked maximum performance optimization for Daylight (2014)
• Tweaked maximum performance optimization for The Elder Scrolls 5: Skyrim Special Edition
• Tweaked maximum performance optimization for The Surge
• Tweaked maximum performance optimization for The Surge 2
• Tweaked maximum performance optimization for Watch Dogs
• Tweaked optimized settings for Mass Effect: Andromeda
• Updated game detection protocol for Cyberpunk 2077
• Updated game detection protocol for Watch Dogs 2

Low Specs Experience v11.6.3 - 2024-03-11
• Tweaked maximum performance optimization for Crysis 3
• Tweaked optimized settings for Crysis 3

Low Specs Experience v11.6.2 - 2024-03-07
• Added maximum performance optimization for State of Decay
• Added optimized settings for Deceit
• Added optimized settings for Far Cry 5
• Added optimized settings for Far Cry 6
• Added optimized settings for Far Cry New Dawn
• Added optimized settings for Homefront: The Revolution
• Added optimized settings for Hunt: Showdown
• Added optimized settings for Mad Max
• Added optimized settings for Mass Effect: Andromeda
• Added optimized settings for Mirror's Edge Catalyst
• Added optimized settings for Quantum Break
• Added optimized settings for State of Decay
• Added optimized settings for State of Decay: Year-One Survival Edition
• Reworked maximum performance optimization for Crysis
• Reworked maximum performance optimization for Crysis 2
• Reworked maximum performance optimization for Crysis 2 Remastered
• Reworked maximum performance optimization for Crysis 3
• Reworked maximum performance optimization for Crysis 3 Remastered
• Reworked maximum performance optimization for Crysis Remastered
• Reworked maximum performance optimization for Crysis Warhead
• Reworked maximum performance optimization for Deceit
• Reworked maximum performance optimization for Homefront: The Revolution
• Reworked maximum performance optimization for Hunt: Showdown 1896
• Reworked maximum performance optimization for Mad Max
• Reworked maximum performance optimization for Quantum Break
• Reworked maximum performance optimization for Sniper: Ghost Warrior 2
• Reworked maximum performance optimization for Sniper: Ghost Warrior 3
• Reworked maximum performance optimization for Sniper: Ghost Warrior Contracts
• Reworked maximum performance optimization for Sniper: Ghost Warrior Contracts 2
• Reworked maximum performance optimization for State of Decay: Year-One Survival Edition
• Reworked optimized settings for Crysis
• Reworked optimized settings for Crysis 2
• Reworked optimized settings for Crysis 2 Remastered
• Reworked optimized settings for Crysis 3
• Reworked optimized settings for Crysis 3 Remastered
• Reworked optimized settings for Crysis Remastered
• Reworked optimized settings for Crysis Warhead
• Reworked optimized settings for Sniper: Ghost Warrior 2
• Reworked optimized settings for Sniper: Ghost Warrior 3
• Reworked optimized settings for Sniper: Ghost Warrior Contracts
• Reworked optimized settings for Sniper: Ghost Warrior Contracts 2
• Tweaked maximum performance optimization for Battlefield 3
• Tweaked maximum performance optimization for Far Cry 4
• Tweaked maximum performance optimization for Far Cry 5
• Tweaked maximum performance optimization for Far Cry 6
• Tweaked maximum performance optimization for Far Cry Primal
• Tweaked maximum performance optimization for Mass Effect: Andromeda
• Tweaked maximum performance optimization for Mirror's Edge Catalyst
• Tweaked maximum performance optimization for Prey (2017)
• Tweaked maximum performance optimization for Ryse: Son of Rome
• Tweaked optimized settings for Prey (2017)
• Tweaked optimized settings for Ryse: Son of Rome
• Tweaked optimized settings for Sniper: Ghost Warrior 2
• Updated game detection protocol for Battlefield 3
• Updated game detection protocol for Crysis
• Updated game detection protocol for Crysis 2
• Updated game detection protocol for Crysis 2 Remastered
• Updated game detection protocol for Crysis 3
• Updated game detection protocol for Crysis 3 Remastered
• Updated game detection protocol for Crysis Remastered
• Updated game detection protocol for Crysis Warhead
• Updated game detection protocol for Deceit
• Updated game detection protocol for Dishonored 2
• Updated game detection protocol for Dishonored: Death of the Outsider
• Updated game detection protocol for Far Cry 2
• Updated game detection protocol for Far Cry 3
• Updated game detection protocol for Far Cry 3: Blood Dragon
• Updated game detection protocol for Far Cry 4
• Updated game detection protocol for Far Cry 5
• Updated game detection protocol for Far Cry 6
• Updated game detection protocol for Far Cry Primal
• Updated game detection protocol for Hunt: Showdown
• Updated game detection protocol for Mad Max
• Updated game detection protocol for Mass Effect: Andromeda
• Updated game detection protocol for Mirror's Edge Catalyst
• Updated game detection protocol for Prey (2017)
• Updated game detection protocol for Ryse: Son of Rome
• Updated game detection protocol for Sniper: Ghost Warrior 2
• Updated game detection protocol for Sniper: Ghost Warrior 3
• Updated game detection protocol for Sniper: Ghost Warrior Contracts
• Updated game detection protocol for Sniper: Ghost Warrior Contracts 2
• Updated game detection protocol for State of Decay: Year-One Survival Edition

Low Specs Experience v11.6.1 - 2024-02-06
• Added optimized settings for Assassin's Creed Odyssey
• Added optimized settings for Assassin's Creed Origins
• Added optimized settings for Assassin's Creed Valhalla
• Tweaked maximum performance optimization for Starfield
• Tweaked optimized settings for Starfield
• Updated game detection protocol for Starfield

Low Specs Experience v11.6.0 - 2024-02-02
• Added optimized settings for Far Cry 4
• Added optimized settings for Far Cry Primal
• Added optimized settings for Resident Evil 5
• Added optimized settings for Resident Evil 6
• Added optimized settings for Resident Evil 7: Biohazard
• Added optimized settings for Resident Evil HD Remaster
• Added optimized settings for Resident Evil Zero HD Remaster
• Added optimized settings for Resident Evil: Revelations
• Added optimized settings for Resident Evil: Revelations 2
• Reworked maximum performance optimization for Far Cry 4
• Reworked maximum performance optimization for Far Cry Primal
• Reworked maximum performance optimization for Resident Evil 5
• Reworked maximum performance optimization for Resident Evil 6
• Reworked maximum performance optimization for Resident Evil HD Remaster
• Reworked maximum performance optimization for Resident Evil Zero HD Remaster
• Reworked maximum performance optimization for Resident Evil: Revelations
• Reworked maximum performance optimization for Resident Evil: Revelations 2
• Tweaked maximum performance optimization for Far Cry 3
• Tweaked maximum performance optimization for Far Cry 3: Blood Dragon
• Tweaked optimized settings for Far Cry 3
• Tweaked optimized settings for Far Cry 3: Blood Dragon
• Updated game detection protocol for Cyberpunk 2077
• Updated game detection protocol for Far Cry 4
• Updated game detection protocol for Far Cry Primal
• Updated game detection protocol for Resident Evil 5
• Updated game detection protocol for Resident Evil 6
• Updated game detection protocol for Resident Evil 7: Biohazard
• Updated game detection protocol for Resident Evil HD Remaster
• Updated game detection protocol for Resident Evil Zero HD Remaster
• Updated game detection protocol for Resident Evil: Revelations
• Updated game detection protocol for Resident Evil: Revelations 2

Low Specs Experience v11.5.9 - 2024-01-26
• Added maximum performance optimization for Sniper Elite 5
• Added maximum performance optimization for Sniper Elite V2
• Added maximum performance optimization for Sniper Elite: Nazi Zombie Army
• Added maximum performance optimization for Sniper Elite: Nazi Zombie Army 2
• Added optimized settings for Sniper Elite 3
• Added optimized settings for Sniper Elite 4
• Added optimized settings for Sniper Elite 5
• Added optimized settings for Sniper Elite V2
• Added optimized settings for Sniper Elite V2 Remastered
• Added optimized settings for Sniper Elite: Nazi Zombie Army
• Added optimized settings for Sniper Elite: Nazi Zombie Army 2
• Added optimized settings for Zombie Army 4: Dead War
• Added optimized settings for Zombie Army Trilogy

Low Specs Experience v11.5.8 - 2024-01-22
• Added maximum performance optimization for Jagged Alliance 3
• Added maximum performance optimization for The Talos Principle 2
• Added maximum performance optimization for Wo Long: Fallen Dynasty
• Added optimized settings for Call of Cthulhu
• Added optimized settings for Dead by Daylight
• Added optimized settings for Friday the 13th: The Game
• Added optimized settings for Jagged Alliance 3
• Added optimized settings for Prey (2017)
• Added optimized settings for Ryse: Son of Rome
• Added optimized settings for Sleeping Dogs: Definitive Edition
• Added optimized settings for Submerged
• Added optimized settings for Submerged: Hidden Depths
• Added optimized settings for The Redress of Mira
• Added optimized settings for The Talos Principle 2
• Added optimized settings for Wo Long: Fallen Dynasty
• Reworked maximum performance optimization for Ryse: Son of Rome
• Tweaked maximum performance optimization for Call of Cthulhu
• Tweaked maximum performance optimization for Dead by Daylight
• Tweaked maximum performance optimization for Prey (2017)
• Tweaked maximum performance optimization for Sleeping Dogs: Definitive Edition
• Tweaked maximum performance optimization for Submerged
• Tweaked maximum performance optimization for Submerged: Hidden Depths
• Updated game detection protocol for Prey (2017)
• Updated game detection protocol for Ryse: Son of Rome
• Updated game detection protocol for Sleeping Dogs: Definitive Edition

Low Specs Experience v11.5.7 - 2024-01-11
• Added optimized settings for Sniper: Ghost Warrior
• Added optimized settings for Sniper: Ghost Warrior 2
• Added optimized settings for Sniper: Ghost Warrior 3
• Added optimized settings for Sniper: Ghost Warrior Contracts
• Added optimized settings for Sniper: Ghost Warrior Contracts 2
• Tweaked maximum performance optimization for Sniper: Ghost Warrior 2
• Tweaked maximum performance optimization for Sniper: Ghost Warrior 3
• Tweaked maximum performance optimization for Sniper: Ghost Warrior Contracts
• Tweaked maximum performance optimization for Sniper: Ghost Warrior Contracts 2
• Updated game detection protocol for Crysis
• Updated game detection protocol for Crysis Warhead
• Updated game detection protocol for Sniper: Ghost Warrior 2
• Updated game detection protocol for Sniper: Ghost Warrior 3
• Updated game detection protocol for Sniper: Ghost Warrior Contracts
• Updated game detection protocol for Sniper: Ghost Warrior Contracts 2

Low Specs Experience v11.5.6 - 2024-01-09
• Updated game detection protocol for Ghostwire: Tokyo

Low Specs Experience v11.5.5 - 2024-01-08
• Updated game detection protocol for eFootball 2022
• Updated game detection protocol for eFootball 2023
• Updated game detection protocol for eFootball 2024

Low Specs Experience v11.5.4 - 2024-01-08
• Tweaked maximum performance optimization for Crysis 2 Remastered
• Tweaked maximum performance optimization for Crysis 3 Remastered
• Tweaked maximum performance optimization for Crysis Remastered
• Tweaked optimized settings for Crysis 2 Remastered
• Tweaked optimized settings for Crysis 3 Remastered
• Tweaked optimized settings for Crysis Remastered

Low Specs Experience v11.5.3 - 2024-01-05
• Added optimized settings for Abzu
• Added optimized settings for American Truck Simulator
• Added optimized settings for Call of Juarez: Bound in Blood
• Added optimized settings for Call of Juarez: Gunslinger
• Added optimized settings for Call of Juarez: The Cartel
• Added optimized settings for Crysis
• Added optimized settings for Crysis 2 Remastered
• Added optimized settings for Crysis 3 Remastered
• Added optimized settings for Crysis Remastered
• Added optimized settings for Crysis Warhead
• Added optimized settings for Effie
• Added optimized settings for eFootball PES 2020
• Added optimized settings for eFootball PES 2021 Season Update
• Added optimized settings for Euro Truck Simulator 2
• Added optimized settings for Little Nightmares
• Added optimized settings for Little Nightmares 2
• Added optimized settings for Sifu
• Added optimized settings for The Callisto Protocol
• Reworked maximum performance optimization for eFootball PES 2020
• Reworked maximum performance optimization for eFootball PES 2021 Season Update
• Tweaked maximum performance optimization for Call of Juarez: The Cartel
• Tweaked maximum performance optimization for Crysis
• Tweaked maximum performance optimization for Crysis 2 Remastered
• Tweaked maximum performance optimization for Crysis 3 Remastered
• Tweaked maximum performance optimization for Crysis Remastered
• Tweaked maximum performance optimization for Crysis Warhead
• Tweaked maximum performance optimization for Little Nightmares
• Tweaked maximum performance optimization for Little Nightmares 2
• Tweaked maximum performance optimization for Sifu
• Tweaked optimized settings for Call of Juarez: The Cartel
• Tweaked optimized settings for Crysis
• Tweaked optimized settings for Crysis Warhead
• Updated game detection protocol for Crysis
• Updated game detection protocol for Crysis 2 Remastered
• Updated game detection protocol for Crysis 3 Remastered
• Updated game detection protocol for Crysis Remastered
• Updated game detection protocol for Crysis Warhead
• Updated game detection protocol for eFootball PES 2020
• Updated game detection protocol for eFootball PES 2021 Season Update
• Updated game detection protocol for eFootball 2022
• Updated game detection protocol for eFootball 2023
• Updated game detection protocol for eFootball 2024
• Updated game detection protocol for Little Nightmares 2
• Updated game detection protocol for Pro Evolution Soccer 2010
• Updated game detection protocol for Pro Evolution Soccer 2011
• Updated game detection protocol for Pro Evolution Soccer 2012
• Updated game detection protocol for Pro Evolution Soccer 2013
• Updated game detection protocol for Pro Evolution Soccer 2014
• Updated game detection protocol for Pro Evolution Soccer 2015
• Updated game detection protocol for Pro Evolution Soccer 2016
• Updated game detection protocol for Pro Evolution Soccer 2017
• Updated game detection protocol for Pro Evolution Soccer 2018
• Updated game detection protocol for Pro Evolution Soccer 2019
• Updated game detection protocol for Sifu

Low Specs Experience v11.5.2 - 2023-12-27
• [BACK-END] Refined game detection and optimization API (gen_3_update_56)
• Added optimized settings for Final Fantasy 15 (FFXV)
• Added optimized settings for Hellblade: Senua's Sacrifice
• Added optimized settings for Remnant: From the Ashes
• Tweaked maximum performance optimization for Hellblade: Senua's Sacrifice

Low Specs Experience v11.5.1 - 2023-12-26
• Tweaked optimized settings for Rise of the Tomb Raider
• Tweaked optimized settings for Shadow of the Tomb Raider
• Updated game detection protocol for The Texas Chain Saw Massacre

Low Specs Experience v11.5.0 - 2023-12-22
• Added maximum performance optimization for Train Sim World 4
• Added optimized settings for Agony
• Added optimized settings for Agony Unrated
• Added optimized settings for Grand Theft Auto 3 - The Definitive Edition
• Added optimized settings for Grand Theft Auto 4: The Complete Edition
• Added optimized settings for Grand Theft Auto: San Andreas - The Definitive Edition
• Added optimized settings for Grand Theft Auto: Vice City - The Definitive Edition
• Added optimized settings for Rise of the Tomb Raider
• Added optimized settings for Shadow of the Tomb Raider
• Added optimized settings for Tomb Raider (2013)
• Added optimized settings for Train Sim World 4
• Tweaked maximum performance optimization for Agony
• Tweaked maximum performance optimization for Agony Unrated
• Tweaked maximum performance optimization for Grand Theft Auto 3 - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: San Andreas - The Definitive Edition
• Tweaked maximum performance optimization for Grand Theft Auto: Vice City - The Definitive Edition
• Tweaked maximum performance optimization for Rise of the Tomb Raider
• Tweaked maximum performance optimization for Shadow of the Tomb Raider
• Tweaked maximum performance optimization for Tomb Raider (2013)
• Tweaked optimized settings for Train Sim World 3
• Updated game detection protocol for Final Fantasy 15 (FFXV)
• Updated game detection protocol for Rise of the Tomb Raider
• Updated game detection protocol for Train Sim World 2
• Updated game detection protocol for Train Sim World 3

Low Specs Experience v11.4.9 - 2023-12-18
• Added optimized settings for Scum
• Added optimized settings for Train Sim World 2
• Added optimized settings for Train Sim World 3
• Added optimized settings for Train Sim World 2020
• Reworked maximum performance optimization for Scum
• Tweaked maximum performance optimization for The Finals

Low Specs Experience v11.4.8 - 2023-12-15
• Added maximum performance optimization for Call of Duty: Modern Warfare 3 (2023)
• Added maximum performance optimization for Call of Duty: Warzone (2023)
• Added maximum performance optimization for The Finals
• Added optimized settings for Call of Duty: Modern Warfare 3 (2023)
• Added optimized settings for Call of Duty: Warzone (2023)
• Added optimized settings for The Dark Pictures Anthology: House of Ashes
• Added optimized settings for The Dark Pictures Anthology: Little Hope
• Added optimized settings for The Dark Pictures Anthology: Man of Medan
• Added optimized settings for The Dark Pictures Anthology: The Devil in Me
• Added optimized settings for The Finals
• Deprecated optimization support for Call of Duty: Warzone 2.0 (2022)
• Deprecated optimization support for Call of Duty: Warzone (2020)
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Little Hope
• Tweaked maximum performance optimization for The Dark Pictures Anthology: Man of Medan
• Updated game detection protocol for Sifu

Low Specs Experience v11.4.7 - 2023-12-08
• Tweaked maximum performance optimization for Cyberpunk 2077
• Updated game detection protocol for Cyberpunk 2077

Low Specs Experience v11.4.6 - 2023-12-07
• Added optimized settings for Assassin's Creed 4: Black Flag
• Added optimized settings for Assassin's Creed Rogue
• Added optimized settings for Assassin's Creed Syndicate
• Added optimized settings for Assassin's Creed Unity
• Added optimized settings for Assassin's Creed: Freedom Cry
• Added optimized settings for Far Cry 2
• Reworked maximum performance optimization for Assassin's Creed 4: Black Flag
• Reworked maximum performance optimization for Assassin's Creed Rogue
• Reworked maximum performance optimization for Assassin's Creed Syndicate
• Reworked maximum performance optimization for Assassin's Creed Unity
• Reworked maximum performance optimization for Assassin's Creed: Freedom Cry
• Reworked maximum performance optimization for Far Cry 2
• Tweaked maximum performance optimization for Far Cry 3
• Tweaked maximum performance optimization for Far Cry 3: Blood Dragon
• Tweaked optimized settings for Far Cry 3
• Tweaked optimized settings for Far Cry 3: Blood Dragon
• Updated game detection protocol for Assassin's Creed 4: Black Flag
• Updated game detection protocol for Assassin's Creed Syndicate
• Updated game detection protocol for Assassin's Creed Unity
• Updated game detection protocol for Assassin's Creed: Freedom Cry
• Updated game detection protocol for Far Cry 2

Low Specs Experience v11.4.5 - 2023-12-01
• Tweaked maximum performance optimization for Assassin's Creed 2
• Tweaked maximum performance optimization for Assassin's Creed: Brotherhood
• Tweaked maximum performance optimization for Assassin's Creed: Revelations
• Tweaked optimized settings for Assassin's Creed 2
• Tweaked optimized settings for Assassin's Creed: Brotherhood
• Tweaked optimized settings for Assassin's Creed: Revelations
• Updated game detection protocol for Assassin's Creed 2
• Updated game detection protocol for Assassin's Creed: Brotherhood
• Updated game detection protocol for Assassin's Creed: Revelations

Low Specs Experience v11.4.4 - 2023-12-01
• [BACK-END] Refined game detection and optimization API (gen_3_update_55)
• Added maximum performance optimization for Assassin's Creed 3
• Added maximum performance optimization for Assassin's Creed: Liberation HD
• Added optimized settings for Assassin's Creed 2
• Added optimized settings for Assassin's Creed 3
• Added optimized settings for Assassin's Creed 3 Remastered
• Added optimized settings for Assassin's Creed 3: Liberation Remastered
• Added optimized settings for Assassin's Creed: Brotherhood
• Added optimized settings for Assassin's Creed: Liberation HD
• Added optimized settings for Assassin's Creed: Revelations
• Reworked maximum performance optimization for Assassin's Creed 2
• Reworked maximum performance optimization for Assassin's Creed 3: Liberation Remastered
• Reworked maximum performance optimization for Assassin's Creed: Brotherhood
• Reworked maximum performance optimization for Assassin's Creed: Revelations
• Tweaked maximum performance optimization for Assassin's Creed 3 Remastered
• Tweaked maximum performance optimization for Assassin's Creed: Director's Cut (2008)
• Tweaked optimized settings for Assassin's Creed: Director's Cut (2008)
• Updated game detection protocol for Assassin's Creed 2
• Updated game detection protocol for Assassin's Creed: Brotherhood
• Updated game detection protocol for Assassin's Creed: Revelations
• Updated game detection protocol for Dishonored
• Updated game detection protocol for Sifu

Low Specs Experience v11.4.3 - 2023-11-22
• [BACK-END] Refined game detection and optimization API (gen_3_update_54)
• Added optimized settings for Assassin's Creed: Director's Cut (2008)
• Added optimized settings for Big Earth
• Added optimized settings for Dead Man's Diary
• Added optimized settings for Redfall
• Added optimized settings for The Last Oricru
• Reworked maximum performance optimization for Assassin's Creed: Director's Cut (2008)
• Tweaked maximum performance optimization for Redfall
• Tweaked maximum performance optimization for The Last Oricru
• Updated game detection protocol for Redfall

Low Specs Experience v11.4.2 - 2023-11-16
• Added optimized settings for Dead Space (2023)
• Added optimized settings for Grand Theft Auto 5 Legacy
• Added optimized settings for Red Dead Redemption 2
• Tweaked maximum performance optimization for Grand Theft Auto 5 Legacy
• Tweaked maximum performance optimization for Red Dead Redemption 2
• Updated game detection protocol for Far Cry 2
• Updated game detection protocol for Far Cry 3
• Updated game detection protocol for Far Cry 3: Blood Dragon
• Updated game detection protocol for Far Cry 4
• Updated game detection protocol for Far Cry 5
• Updated game detection protocol for Far Cry 6
• Updated game detection protocol for Far Cry New Dawn
• Updated game detection protocol for Grand Theft Auto 5 Legacy
• Updated game detection protocol for Red Dead Redemption 2

Low Specs Experience v11.4.1 - 2023-11-10
• [UI-UX] Refined user interface (gen_3_update_54)
• Added maximum performance optimization for RoboCop: Rogue City
• Added optimized settings for Dead Island Definitive Edition
• Added optimized settings for Dead Island: Riptide Definitive Edition
• Added optimized settings for Death Stranding Director's Cut
• Added optimized settings for F1 22
• Added optimized settings for F1 2010
• Added optimized settings for F1 2011
• Added optimized settings for F1 2012
• Added optimized settings for F1 2013
• Added optimized settings for F1 2014
• Added optimized settings for F1 2015
• Added optimized settings for F1 2016
• Added optimized settings for F1 2017
• Added optimized settings for F1 2018
• Added optimized settings for F1 2019
• Added optimized settings for F1 2020
• Added optimized settings for F1 2021
• Added optimized settings for Far Cry 3
• Added optimized settings for Far Cry 3: Blood Dragon
• Added optimized settings for RoboCop: Rogue City
• Reworked maximum performance optimization for Death Stranding Director's Cut
• Reworked maximum performance optimization for Far Cry 3
• Reworked maximum performance optimization for Far Cry 3: Blood Dragon
• Tweaked maximum performance optimization for Dead Island Definitive Edition
• Tweaked maximum performance optimization for Dead Island: Riptide Definitive Edition
• Updated game detection protocol for Dead Island Definitive Edition
• Updated game detection protocol for Dead Island: Riptide Definitive Edition
• Updated game detection protocol for Death Stranding Director's Cut
• Updated game detection protocol for F1 22
• Updated game detection protocol for F1 2010
• Updated game detection protocol for F1 2011
• Updated game detection protocol for F1 2012
• Updated game detection protocol for F1 2013
• Updated game detection protocol for F1 2014
• Updated game detection protocol for F1 2015
• Updated game detection protocol for F1 2016
• Updated game detection protocol for F1 2017
• Updated game detection protocol for F1 2018
• Updated game detection protocol for F1 2019
• Updated game detection protocol for F1 2020
• Updated game detection protocol for F1 2021

Low Specs Experience v11.4.0 - 2023-11-03
• Reworked maximum performance optimization for The Last Oricru

Low Specs Experience v11.3.9 - 2023-11-02
• [UI-UX] Refined user interface (gen_3_update_53)

Low Specs Experience v11.3.8 - 2023-11-01
• Added maximum performance optimization for Alan Wake 2
• Added maximum performance optimization for Ghostrunner 2
• Added maximum performance optimization for Tony Hawk's Pro Skater 1 + 2
• Added optimized settings for Alan Wake 2
• Added optimized settings for Esse Proxy
• Added optimized settings for Ghostrunner
• Added optimized settings for Ghostrunner 2
• Added optimized settings for Max Payne 3
• Added optimized settings for Star Trek Prodigy: Supernova
• Added optimized settings for Tony Hawk's Pro Skater 1 + 2
• Tweaked maximum performance optimization for Ghostrunner

Low Specs Experience v11.3.7 - 2023-10-26
• Added optimized settings for Batman: Arkham Knight
• Added optimized settings for Batman: Arkham Origins Blackgate
• Added optimized settings for Life is Strange 2
• Added optimized settings for Life is Strange Remastered
• Added optimized settings for Life is Strange: True Colors
• Added optimized settings for The Awesome Adventures of Captain Spirit
• Added optimized settings for The Sims 3
• Reworked maximum performance optimization for The Sims 3
• Updated game detection protocol for The Evil Within 2

Low Specs Experience v11.3.6 - 2023-10-23
• [BACK-END] Refined game detection and optimization API (gen_3_update_53)
• Added optimized settings for Batman: Arkham Asylum - Game of the Year Edition
• Added optimized settings for Batman: Arkham City - Game of the Year Edition
• Added optimized settings for Batman: Arkham Origins

Low Specs Experience v11.3.5 - 2023-10-20
• Added optimized settings for Dishonored
• Added optimized settings for Homefront
• Added optimized settings for Mirror's Edge
• Added optimized settings for Outlast
• Added optimized settings for Outlast 2
• Added optimized settings for Remember Me
• Added optimized settings for The Bureau: XCOM Declassified
• Added optimized settings for Wolfenstein 2: The New Colossus
• Added optimized settings for Wolfenstein: Youngblood
• Reworked maximum performance optimization for Wolfenstein 2: The New Colossus
• Reworked maximum performance optimization for Wolfenstein: Youngblood
• Tweaked maximum performance optimization for Remember Me
• Tweaked maximum performance optimization for The Bureau: XCOM Declassified
• Updated game detection protocol for The Evil Within
• Updated game detection protocol for Wolfenstein: Youngblood

Low Specs Experience v11.3.4 - 2023-10-17
• Tweaked maximum performance optimization for Dishonored
• Tweaked maximum performance optimization for Homefront
• Tweaked maximum performance optimization for Mirror's Edge
• Tweaked maximum performance optimization for Outlast
• Tweaked maximum performance optimization for The Bureau: XCOM Declassified

Low Specs Experience v11.3.3 - 2023-10-16
• Added maximum performance optimization for Lords of the Fallen (2023)
• Added optimized settings for Lords of the Fallen (2023)
• Tweaked maximum performance optimization for Outlast 2

Low Specs Experience v11.3.2 - 2023-10-13
• Tweaked maximum performance optimization for Sunset Overdrive
• Tweaked optimized settings for Sunset Overdrive
• Updated game detection protocol for Sunset Overdrive

Low Specs Experience v11.3.1 - 2023-10-11
• Added maximum performance optimization for Forza Motorsport (2023)
• Added optimized settings for Forza Motorsport (2023)
• Added optimized settings for Mafia 3: Definitive Edition
• Reworked maximum performance optimization for Mafia 3: Definitive Edition
• Tweaked maximum performance optimization for Mafia: Definitive Edition
• Tweaked optimized settings for Mafia: Definitive Edition
• Updated game detection protocol for Mafia 3: Definitive Edition

Low Specs Experience v11.3.0 - 2023-10-06
• Added maximum performance optimization for Assassin's Creed Mirage
• Added optimized settings for Assassin's Creed Mirage
• Added optimized settings for Call of Duty: Modern Warfare 2 (2022)
• Added optimized settings for Call of Duty: Warzone 2.0 (2022)
• Added optimized settings for Mafia 2: Definitive Edition
• Added optimized settings for Mafia: Definitive Edition
• Reworked maximum performance optimization for Mafia 2: Definitive Edition
• Reworked maximum performance optimization for Mafia: Definitive Edition
• Tweaked optimized settings for Call of Duty: Black Ops Cold War (2020)
• Tweaked optimized settings for Call of Duty: Vanguard (2021)
• Updated game detection protocol for Mafia 2: Definitive Edition
• Updated game detection protocol for Mafia: Definitive Edition

Low Specs Experience v11.2.9 - 2023-10-02
• Updated game detection protocol for Call of Duty: Black Ops 4 (2018)
• Updated game detection protocol for Call of Duty: Black Ops Cold War (2020)

Low Specs Experience v11.2.8 - 2023-09-30
• Updated game detection protocol for Lies of P

Low Specs Experience v11.2.7 - 2023-09-28
• Added maximum performance optimization for Counter-Strike 2
• Added maximum performance optimization for EA Sports FC 24
• Added maximum performance optimization for Project CARS 3
• Added optimized settings for Counter-Strike 2
• Added optimized settings for EA Sports FC 24
• Added optimized settings for Project CARS
• Added optimized settings for Project CARS 2
• Added optimized settings for Project CARS 3
• Reworked maximum performance optimization for Project CARS
• Reworked maximum performance optimization for Project CARS 2

Low Specs Experience v11.2.6 - 2023-09-25
• Added maximum performance optimization for Payday 3
• Added optimized settings for Payday 3

Low Specs Experience v11.2.5 - 2023-09-22
• Tweaked optimized settings for Cyberpunk 2077

Low Specs Experience v11.2.4 - 2023-09-22
• Tweaked maximum performance optimization for Cyberpunk 2077
• Tweaked optimized settings for Cyberpunk 2077
• Updated game detection protocol for Cyberpunk 2077
• Updated game detection protocol for Final Fantasy 15 (FFXV)

Low Specs Experience v11.2.3 - 2023-09-20
• Added maximum performance optimization for Lies of P
• Added maximum performance optimization for Mortal Kombat 1 (2023)
• Added optimized settings for Lies of P
• Added optimized settings for Mortal Kombat 1 (2023)
• Tweaked optimized settings for Days Gone

Low Specs Experience v11.2.2 - 2023-09-15
• Added maximum performance optimization for The Crew Motorfest
• Added optimized settings for The Crew Motorfest
• Tweaked maximum performance optimization for eFootball 2022
• Tweaked maximum performance optimization for eFootball 2023
• Tweaked maximum performance optimization for eFootball 2024
• Tweaked optimized settings for eFootball 2022
• Tweaked optimized settings for eFootball 2023
• Tweaked optimized settings for eFootball 2024

Low Specs Experience v11.2.1 - 2023-09-14
• Added maximum performance optimization for Call of Duty: Black Ops Cold War (2020)
• Added maximum performance optimization for Call of Duty: Modern Warfare (2019)
• Added maximum performance optimization for Call of Duty: Vanguard (2021)
• Added maximum performance optimization for Call of Duty: Warzone (2020)
• Added maximum performance optimization for Daymare: 1994 Sandcastle
• Added maximum performance optimization for eFootball 2024
• Added maximum performance optimization for The Texas Chain Saw Massacre
• Added optimized settings for Call of Duty: Black Ops Cold War (2020)
• Added optimized settings for Call of Duty: Modern Warfare (2019)
• Added optimized settings for Call of Duty: Vanguard (2021)
• Added optimized settings for Call of Duty: Warzone (2020)
• Added optimized settings for Daymare: 1994 Sandcastle
• Added optimized settings for Daymare: 1998
• Added optimized settings for eFootball 2022
• Added optimized settings for eFootball 2023
• Added optimized settings for eFootball 2024
• Added optimized settings for Just Cause 2
• Added optimized settings for Just Cause 3
• Added optimized settings for Just Cause 4
• Added optimized settings for Mortal Kombat X
• Added optimized settings for Mortal Kombat XL
• Added optimized settings for The Texas Chain Saw Massacre
• Reworked maximum performance optimization for Just Cause 2
• Reworked maximum performance optimization for Just Cause 3
• Reworked maximum performance optimization for Just Cause 4
• Reworked maximum performance optimization for Mortal Kombat X
• Reworked maximum performance optimization for Mortal Kombat XL
• Tweaked maximum performance optimization for Apex Legends
• Tweaked maximum performance optimization for Daymare: 1998
• Updated game detection protocol for Dead by Daylight
• Updated game detection protocol for Just Cause 2
• Updated game detection protocol for Just Cause 4
• Updated game detection protocol for Sunset Overdrive

Low Specs Experience v11.2.0 - 2023-09-04
• Added maximum performance optimization for Crysis 2
• Added maximum performance optimization for Crysis 3
• Added maximum performance optimization for Starfield
• Added optimized settings for Crysis 2
• Added optimized settings for Crysis 3
• Added optimized settings for Starfield
• Added optimized settings for Sunset Overdrive
• Reworked maximum performance optimization for Sunset Overdrive
• Updated game detection protocol for Sunset Overdrive

Low Specs Experience v11.1.9 - 2023-08-29
• Added optimized settings for Ghostwire: Tokyo
• Reworked maximum performance optimization for Ghostwire: Tokyo
• Updated game detection protocol for Ghostwire: Tokyo

Low Specs Experience v11.1.8 - 2023-08-28
• Added maximum performance optimization for Armored Core 6: Fires of Rubicon
• Added optimized settings for Armored Core 6: Fires of Rubicon
• Updated game detection protocol for Ghostwire: Tokyo

Low Specs Experience v11.1.7 - 2023-08-25
• Added maximum performance optimization for Dark Souls 2 (2014)
• Added maximum performance optimization for Saints Row: The Third (2011)
• Added optimized settings for Dark Souls 2 (2014)
• Added optimized settings for Dark Souls 2: Scholar of the First Sin
• Added optimized settings for Dark Souls 3
• Added optimized settings for Dragon Ball Xenoverse
• Added optimized settings for Dragon Ball Xenoverse 2
• Added optimized settings for Dying Light
• Added optimized settings for Dying Light 2 Stay Human
• Added optimized settings for I Am Alive
• Added optimized settings for Metro 2033 Redux (2014)
• Added optimized settings for Metro: Last Light Redux (2014)
• Added optimized settings for Saints Row 4
• Added optimized settings for Saints Row: Gat out of Hell
• Added optimized settings for Saints Row: The Third (2011)
• Added optimized settings for Saints Row: The Third Remastered
• Reworked maximum performance optimization for Dark Souls 2: Scholar of the First Sin
• Reworked maximum performance optimization for Dark Souls 3
• Reworked maximum performance optimization for Dragon Ball Xenoverse
• Reworked maximum performance optimization for I Am Alive
• Reworked maximum performance optimization for Metro 2033 Redux (2014)
• Reworked maximum performance optimization for Metro: Last Light Redux (2014)
• Reworked maximum performance optimization for Saints Row 4
• Reworked maximum performance optimization for Saints Row: Gat out of Hell
• Reworked maximum performance optimization for Saints Row: The Third Remastered
• Tweaked maximum performance optimization for Dying Light 2 Stay Human

Low Specs Experience v11.1.6 - 2023-08-18
• Added maximum performance optimization for Dark Souls: Prepare to Die Edition (2012)
• Added maximum performance optimization for Darksiders 2
• Added optimized settings for Dark Souls Remastered
• Added optimized settings for Dark Souls: Prepare to Die Edition (2012)
• Added optimized settings for Darksiders 2
• Added optimized settings for Darksiders 2: Deathinitive Edition
• Added optimized settings for Days Gone
• Added optimized settings for Horizon Zero Dawn
• Added optimized settings for Need for Speed (2016)
• Added optimized settings for Need for Speed: Most Wanted (2012)
• Added optimized settings for Saint Seiya: Soldiers' Soul
• Added optimized settings for Sherlock Holmes: Chapter One
• Reworked maximum performance optimization for Dark Souls Remastered
• Reworked maximum performance optimization for Darksiders 2: Deathinitive Edition
• Reworked maximum performance optimization for Need for Speed: Most Wanted (2012)
• Reworked maximum performance optimization for Saint Seiya: Soldiers' Soul
• Tweaked maximum performance optimization for Horizon Zero Dawn
• Tweaked maximum performance optimization for Need for Speed (2016)
• Tweaked maximum performance optimization for Sherlock Holmes: Chapter One
• Updated game detection protocol for Civilization 6
• Updated game detection protocol for Darksiders 2: Deathinitive Edition

Low Specs Experience v11.1.5 - 2023-08-08
• Added maximum performance optimization for Atlas Fallen
• Added maximum performance optimization for Baldur's Gate 3
• Added optimized settings for Atlas Fallen
• Added optimized settings for Baldur's Gate 3
• Updated game detection protocol for Assassin's Creed Syndicate
• Updated game detection protocol for Assassin's Creed Unity

Low Specs Experience v11.1.4 - 2023-08-04
• Added optimized settings for A Way Out
• Added optimized settings for Alan Wake Remastered
• Added optimized settings for Need for Speed: Shift
• Added optimized settings for Need for Speed: Shift 2 Unleashed
• Reworked maximum performance optimization for Need for Speed: Shift
• Reworked maximum performance optimization for Need for Speed: Shift 2 Unleashed
• Tweaked maximum performance optimization for A Way Out
• Tweaked maximum performance optimization for Alan Wake Remastered
• Tweaked maximum performance optimization for FIFA 23
• Updated game detection protocol for Alan Wake Remastered

Low Specs Experience v11.1.3 - 2023-08-02
• Updated game detection protocol for Red Dead Redemption 2

Low Specs Experience v11.1.2 - 2023-07-31
• Added maximum performance optimization for F1 Manager 2023
• Added optimized settings for F1 Manager 2023
• Updated game detection protocol for Cyberpunk 2077

Low Specs Experience v11.1.1 - 2023-07-28
• Tweaked maximum performance optimization for FIFA 17
• Tweaked maximum performance optimization for FIFA 18
• Tweaked maximum performance optimization for FIFA 19
• Tweaked maximum performance optimization for FIFA 20
• Tweaked maximum performance optimization for FIFA 21
• Tweaked maximum performance optimization for FIFA 22
• Tweaked maximum performance optimization for FIFA 23
• Updated game detection protocol for Batman: Arkham Knight

Low Specs Experience v11.1.0 - 2023-07-27
• [BACK-END] Refined game detection and optimization API (gen_3_update_52)
• Added maximum performance optimization for FIFA 18
• Added maximum performance optimization for FIFA 19
• Added maximum performance optimization for FIFA 20
• Added maximum performance optimization for FIFA 21
• Added maximum performance optimization for FIFA 22
• Added maximum performance optimization for FIFA 23
• Added maximum performance optimization for Ratchet and Clank: Rift Apart
• Added optimized settings for Battlefield 3
• Added optimized settings for Battlefield: Bad Company 2
• Added optimized settings for FIFA 18
• Added optimized settings for FIFA 19
• Added optimized settings for FIFA 20
• Added optimized settings for FIFA 21
• Added optimized settings for FIFA 22
• Added optimized settings for FIFA 23
• Added optimized settings for Ratchet and Clank: Rift Apart
• Reworked maximum performance optimization for Battlefield 3

Low Specs Experience v11.0.9 - 2023-07-24
• Added maximum performance optimization for Remnant 2
• Added optimized settings for Remnant 2

Low Specs Experience v11.0.8 - 2023-07-21
• [UI-UX] Refined user interface (gen_3_update_52)
• Added optimized settings for Call of Duty: Black Ops 4 (2018)
• Added optimized settings for Call of Duty: Infinite Warfare (2016)
• Reworked maximum performance optimization for Call of Duty: Black Ops 4 (2018)
• Tweaked maximum performance optimization for Dead Space 2 (2011)
• Tweaked maximum performance optimization for Dead Space 3 (2013)
• Tweaked maximum performance optimization for Dead Space (2008)

Low Specs Experience v11.0.7 - 2023-07-19
• Added maximum performance optimization for FIFA 11
• Added maximum performance optimization for FIFA 12
• Added maximum performance optimization for FIFA 13
• Added maximum performance optimization for FIFA 14
• Added optimized settings for Call of Duty: Black Ops 3 (2015)
• Added optimized settings for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• Added optimized settings for Call of Duty: Modern Warfare Remastered (2016)
• Added optimized settings for Call of Duty: World War 2 (2017)
• Added optimized settings for Dead Space 2 (2011)
• Added optimized settings for Dead Space 3 (2013)
• Added optimized settings for Dead Space (2008)
• Added optimized settings for FIFA 11
• Added optimized settings for FIFA 12
• Added optimized settings for FIFA 13
• Added optimized settings for FIFA 14
• Added optimized settings for FIFA 15
• Added optimized settings for FIFA 16
• Added optimized settings for FIFA 17
• Added optimized settings for Nioh: Complete Edition
• Reworked maximum performance optimization for Call of Duty: World War 2 (2017)
• Reworked maximum performance optimization for Dead Space (2008)
• Reworked maximum performance optimization for Dead Space 2 (2011)
• Reworked maximum performance optimization for Dead Space 3 (2013)
• Reworked maximum performance optimization for FIFA 15
• Reworked maximum performance optimization for FIFA 16
• Reworked maximum performance optimization for FIFA 17
• Reworked maximum performance optimization for Nioh: Complete Edition
• Tweaked maximum performance optimization for Call of Duty: Black Ops 3 (2015)

Low Specs Experience v11.0.6 - 2023-07-13
